label arcade_start:

    $ arcade_atrium_intro = False
    $ arcade_gift_shop_intro = False
    $ arcade_eatery_intro = False
    $ arcade_bookstore_intro = False
    $ arcade_paints_gotten = False
    $ floral_perfume_found = False
    $ laser_arena_explained = False
    $ arcade_doombringer_flowers = False
    $ arcade_roughrider_found = False
    $ roughrider_caffiene_fix = False
    $ arcade_doombringer_scared = False
    $ laser_tag_completed = False
    $ laser_tag_intro = False
    $ laser_arena_explained = False
    $ laser_weapons_explained = False
    $ laser_bluelaserwolf_explained = False
    $ bluelaserwolf_intro = False
    $ arcade_food_have = False
    $ arcade_items_ordered = 0
    $ arcade_paint_applied = False
    $ bluelaserwolf_exposition_given = False
    $ laser_garlic_scent = False
    $ arcade_paint_colors = "nothing"
    $ arcade_gift_shop_ticket = False
    $ competitive_gaming_completed = False
    $ competition_game_intro = False
    $ goldenclaw_foods = False
    $ goldenclaw_login = False
    $ rock_band_microphone = "missing"
    $ racing_game_intro = False
    $ arcade_doom_challenge = False
    $ shooting_game_intro = False
    $ arcade_doom_challenge = False
    $ arcade_roughrider = False
    $ arcade_proper_intro = False
    $ shooter_game_completed = False
    $ roughrider_had_sex = False
    $ arcade_gift_shop_prize = False
    $ arcade_goldenclaw_intro = False

    "As you make your way over to the arcade you find that one of it's most notable features, the glass roof framed by a park that surrounded it, was still intact."

    "It made sense to you, it was supposed to be able to withstand a bomb so a bunch of lizard creatures running around would be nothing for it."

    "Though the front entrance is still locked up tight you knew the guy who took care of the place enough they he told you where an unlocking mechanism for the door was."

    "The door lock opens with a small beep and you begin to walk down in the darkness towards the atrium of the mall proper, keeping an eye out for any suspicious activity."

    jump arcade_atrium

label arcade_atrium:

    if arcade_atrium_intro:

        "You find yourself back in the arcade proper, the moonlight still illuminating down in the underground mall area as you condemplate what to do next."

    else:

        "Nothing jumps out at you though and when you make it to the bottom you're greeted with a silent arcade illuminated only by the moonlight from the glass ceiling."

        "Part of you wonders if anyone had been here when it happened and how terrifying it must have been to look up and see the entire roof get covered with that tar-like substance, only to have it get stripped away and reveal monsters underneath."

        "You know from past experiences there are a few places to go, but you know even if the front entrance was locked that rubber creatures, or possibly humans, have gotten in."

        $ arcade_atrium_intro = True

    menu:

        "Head to the gift shop":
            jump arcade_gift_shop

        "Go to the resturant":
            jump arcade_eatery

        "Investigate the main gaming area":
            jump arcade_proper

        "Check out the bookstore":
            jump arcade_bookstore

        "Leave the arcade and try somewhere else":
            jump the_search_begins

label arcade_gift_shop:

    if arcade_gift_shop_intro:

        "When you come up to the arcade gift shop you can see the naga that had given you the quest in the first place still there behind the counter, waving to you as you come up to him."

    else:

        "The arcade gift shop was a combination of prize redemption as well as tourists being able to buy a small keepsake of the unique underground structure, though as you attempt to open the door you find you will be able to browse neither as it is locked."

        "Just as you're about to give up and leave the door you were pulling on suddenly opens, revealing a rubber constrictor naga that pokes his head through the door to look at you."

        "Gift shop naga" "Are you here to redeem some tickets for prizes?"

        "You're at a loss for what to say and state that you were here in order to see about turning this place into a base of operations for yourself, which caused the creature to look slightly surprised."

        "Gift shop naga" "To tell you the truth other than the arcade itself this place is in a serious state of disrepair."

        "Gift shop naga" "I would love to see this place come to life again and I'm willing to let you be that creature as long as you can show me that you deserve it."

        "When you ask what he means by that he grins even more."

        "Gift shop naga" "There are a number of creatures here that have proven themselves to help me out in this place and to symbolize that I gave them each a special prize ticket."

        "Gift shop naga"  "You get me three of those tickets from them and I'll turn over control of this place to you to run as you see fit, got it?"

        "Though you are weary of playing games with other corruptors, having seen before just how that can go, you nonetheless agree to the terms."

        "Three tickets shouldn't be too hard to get... right?"

        $ arcade_gift_shop_intro = True

    menu:

        "Head to the arcade":
            jump arcade_proper

        "Check out the resturant":
            jump arcade_eatery

        "Go to the bookstore":
            jump arcade_bookstore

        "Redeem gift shop ticket" if arcade_gift_shop_ticket:
            jump arcade_gift_shop_redemption

        "Give him the three special tickets" if laser_tag_completed and competitive_gaming_completed and shooter_game_completed:
            jump arcade_mission_complete

label arcade_gift_shop_redemption:

    "The gift shop naga looks at the piece of paper that you give him and nods to himself before disappearing back into the store proper, only to return a few minutes later with several toys in his arms that he lays out in front of you."

    "Gift shop naga" "Go ahead and pick your prize!"

    menu:

        "What prize do you pick?"

        "The cuddly monkey plush":

            "You grab the small monkey plush, shrugging as you put it away and thanking the gift shop naga before moving back into the atrium."
            $ arcade_gift_shop_item = "monkey plush"
            $ arcade_gift_shop_prize = True
            $ arcade_gift_shop_ticket = False
            jump arcade_atrium

        "The stretchy snake toy":

            "You take the rather long elastic snake and give it a few stretches before putting it away, thanking the naga before heading back to the atrium."
            $ arcade_gift_shop_item = "stretchy snake"
            $ arcade_gift_shop_prize = True
            $ arcade_gift_shop_ticket = False
            jump arcade_atrium

        "The fake rubber spider":

            "Given what it was made off you suspect it might be real as you pick up the palm sized spider, but when it doesn't move you assume its a toy and thank the naga before moving back to the atrium."
            $ arcade_gift_shop_item = "rubber spider"
            $ arcade_gift_shop_prize = True
            $ arcade_gift_shop_ticket = False
            jump arcade_atrium

        "The squeaky dog toy":

            "You give the toy a squeeze and it lets out a loud sound before you put it away and thank the gift shop naga before heading back into the atrium."
            $ arcade_gift_shop_item = "dog toy"
            $ arcade_gift_shop_prize = True
            $ arcade_gift_shop_ticket = False
            jump arcade_atrium

        "The canister of goop":
            jump arcade_gift_shop_goop # this is a bad end, go to badends

label arcade_eatery:

    if arcade_eatery_intro:

        "You head back to the snack shack and see the pretzel-colored rubber naga behind the counter, working away as diligently as ever.  He smiles and comes over to you as you sit down at the counter."

    else:

        "When you look into the local resturant you remember that it wasn't a bad place to eat, probably two steps up from a fast food joint and three steps down from a fancy resturant."

        "At this point its completely abandoned, though you wondered if this place was even open when the Shining Rains hit since everything looks relatively put together compared to most of the places you've been."

        "When you walk towards the serving window you do notice someone milling about behind the counter in the kitchen area, which immediately puts you on your guard as you slowly approach it."

        "Whatever was there appears not to hear you approach and when you finally do look inside you see a naga slithering around, its brown latex scales glistening in the light broken up by singular white scales that made him look like a pretzel."

        "Pretzel naga" "Man, I'm running out of everything..."

        "You decide that it's time to announce your presence and clear your throat, which startles the creature and nearly causes him to drop the food that he was bringing over to the oven."

        "Pretzel naga" "Oh hey, I didn't expect anyone to be around during the slow time."

        "Pretzel naga" "I'm not quite ready to offer the full menu yet but if you're hungry I can give you something."

        "When you tell him that you don't have any money the naga just laughs and hands you a piece of paper that had a number of dishes on it."

        "Pretzel naga" "It's on the house, at least the next two orders are, call it an incentive to spend some corruption coin here at the arcade."

        $ arcade_food_item = "nothing"
        $ arcade_eatery_intro = True

    menu:

        "Put in an order":
            jump arcade_food_order

        "Head over to the arcade":
            jump arcade_proper

        "Take a look at the gift shop":
            jump arcade_gift_shop

        "Go to the bookstore":
            jump  arcade_bookstore

label arcade_food_order:

    if arcade_items_ordered >= 2:

        "The naga just shakes his head when you ask if you could order something else."

        "Pretzel naga" "Sorry [povname], but I got a lot of hungry mouths out there and not a lot of stock left, I'm sure you understand."

        "You nod as you can tell he clearly is set on the limit, then head on your way back to the atrium."

        jump arcade_atrium

    elif arcade_food_have:

        "As you come up and ask for something to order off the menu the naga looks at you and gives you a little coy grin."

        "Pretzel naga" "Perhaps you want to try my first item before you go and order something else?"

        "You realize that you are still carrying a [arcade_food_item] and should probably do something with it before getting something else."

        "You thank the naga and head back to the atrium, food in hand."

        jump arcade_atrium

    else:

        "When you ask the naga what all is available on the menu he grins and gives you a piece of paper that turned out to be a menu."

        "Pretzel naga" "Well you got my classic burger and fries that you can eat anywhere, otherwise if you don't mind getting your fingers dirty I can make you a plate of wings too."

        "Pretzel naga" "I also can get you a slice of pizza, though depending on what you get you may want to be careful as it can be kind of greasy."

        "Pretzel naga" "Fair warning though is I'm sort of running low on supplies right now and the big man only gave you enough credit for two items so choose carefully."

        menu:

            "What would you like to order?"

            "A burger and fries":
                jump arcade_burger

            "A basket of chicken wings":
                jump arcade_chicken_wings

            "A slice of pizza":
                jump arcade_pizza

            "I'll come back later":
                "The naga smiles and nods at you, then goes back to what he was cooking as you head back to the atrium."
                jump arcade_atrium

label arcade_burger:

    menu:

        "What kind of burger would you like?"

        "Deluxe burger":

            "You wait for a surprisingly short time after putting in your order, and when he gomes back a few minutes later he gives you a burger with a bunch of traditional toppings on it."

            "You thank him for the order and head back out to the atrium with your food."

            $ arcade_food_item = "deluxe hamburger"
            $ arcade_food_have = True
            $ arcade_items_ordered += 1
            jump arcade_atrium

        "Cheeseburger":

            "You wait for a little bit as you watch the naga put together your order, wrapping it up and giving it to you with a bag of fries as well."

            "You thank him for the food and head back out to the atrium with it."

            $ arcade_food_item = "cheeseburger"
            $ arcade_food_have = True
            $ arcade_items_ordered += 1
            jump arcade_atrium

        "Chili cheeseburger":

            "You sit there and watch as he takes the burger and slathers chili and liquid cheese on it before wrapping it in a waterproof foil and gives it to you with some fries as well."

            "You can feel the burger squish slightly in your hands as you thank him for the food and head back out to the atrium."

            $ arcade_food_item = "chili cheeseburger"
            $ arcade_food_have = True
            $ arcade_items_ordered += 1
            jump arcade_atrium

        "Plain hamburger":

            "You don't wait very long as he takes a simple burger and puts it in a bun, then hands it to you with a side of fries."

            "You give the naga a nod and head back out with your food."

            $ arcade_food_item = "plain hamburger"
            $ arcade_food_have = True
            $ arcade_items_ordered += 1
            jump arcade_atrium

        "I want to order something else.":
            jump arcade_food_order

label arcade_chicken_wings:

    menu:

        "What flavoring would you like on those chicken wings?"

        "Plain wings":

            "He gives you a shrug and goes over to the frier, coming back a short while later with an order of hot fresh wings that you take back with you to the atrium."

            $ arcade_food_item = "plain wings"
            $ arcade_food_have = True
            $ arcade_items_ordered += 1
            jump arcade_atrium

        "Honey BBQ flavor":

            "He grins and nods before putting some chicken wings in the frier, than once they were done he two squirt bottles and added the sauce before shaking them and giving them to you in a basket."

            "With your wings ready you nod to him before heading out the door back to the arcade atrium."

            $ arcade_food_item = "BBQ wings"
            $ arcade_food_have = True
            $ arcade_items_ordered += 1
            jump arcade_atrium

        "Five alarm flavor":

            "After the naga fries up your wings he puts them in a bowl and squirts some bright red sauce on it, the smell of the spices reaching your nose even before he puts them in a basket and hands them to you."

            "You take the wings and thank him for them, then head out to the atrium once again."

            $ arcade_food_item = "five alarm wings"
            $ arcade_food_have = True
            $ arcade_items_ordered += 1
            jump arcade_atrium

        "Garlic parmesan flavor":

            "You watch as the naga fries up the wings for you, then gives them a toss with some liquid from a squirt bottle before handing them to you.  The potent smell of garlic hits you as you take them, nodding to the naga before heading back."

            $ arcade_food_item = "garlic parmesan wings"
            $ arcade_food_have = True
            $ arcade_items_ordered += 1
            jump arcade_atrium

        "I want to order something else.":
            jump arcade_food_order

label arcade_pizza:

    menu:

        "What would you like for toppings"

        "Plain cheese":

            "It doesn't take long for the snack making naga to grab you a slice of cheese pizza, putting it on a paper plate before handing it to you."

            "You grab the hot slice and thank him before leaving the resturant and heading back towards the atrium."

            $ arcade_food_item = "cheese pizza"
            $ arcade_food_have = True
            $ arcade_items_ordered += 1
            jump arcade_atrium

        "Sausage and mushroom":

            "The naga tells you that is a good choice before slithering over and grabbing a slice out of the oven and giving it to you."

            "Once you have the piece of pizza you thank him and head out on your way back to the atrium."

            $ arcade_food_item = "sausage and mushroom pizza"
            $ arcade_food_have = True
            $ arcade_items_ordered += 1
            jump arcade_atrium

        "Vegetable":

            "You don't have to wait long as he goes into one of the pizza ovens and fishes out a slice piled high with toppings, the naga calling it the herbivore special as he puts it on a place and slides it your way."

            "When you have the slice secured you thank the naga and head back to the atrium with your prize."

            $ arcade_food_item = "vegetable pizza"
            $ arcade_food_have = True
            $ arcade_items_ordered += 1
            jump arcade_atrium

        "All the meat and extra cheese":

            "Pretzel naga" "I'd say if we had arteries that you're about to clog them, one of the perks of being a latex creature I guess."

            "The naga chuckles to himself as he goes over to the oven and pulls out a slice of pizza, the sound of grease sizzling as it hits the hot metal could be heard as he puts the loaded piece onto two plates that can hardly hold the weight."

            "You try not to drip grease on yourself as you thank the naga for the food, then carefully head back to the atrium."

            $ arcade_food_item = "carnivore and extra cheese pizza"
            $ arcade_food_have = True
            $ arcade_items_ordered += 1
            jump arcade_atrium

        "I want to order something else.":
            jump arcade_food_order

label arcade_bookstore:

    if arcade_bookstore_intro:

        "Once more you walk around the bookstore and see that nothing has changed, the room still devoid of people with various books littering the floor."

    else:

        "The bookstore was the place where those who wanted to hang out but didn't like the arcade games could go to talk, relax, and for parents to go when their kids were busy doing things in the main arcade area."

        "There were also a small coffee shop that was attached to it, a place where you could buy food that wasn't greasy and fried as well as various coffee beverages as well."

        "There didn't seem to be anyone inside at the moment as you take a look around, finding nothing but empty coffee cups and books scattered about."

        $ arcade_bookstore_intro = True

    menu:

        "Look for something in the book section":
            jump arcade_book_section

        "Check out the magazine section":
            jump arcade_magazine_section

        "Look in the coffee area":
            jump arcade_coffee_shop

        "Head over to the arcade":
            jump arcade_proper

        "Glance over at the gift shop":
            jump arcade_gift_shop

        "Go into the resturant":
            jump arcade_eatery

label arcade_book_section:

    if arcade_paints_gotten:

        "You believe you got everything that you needed from this section, no more need to keep looking around for anything else as you take another round through the book area..."

        jump arcade_bookstore

    else:

        "As you look through the various book sections you find that most of them aren't particularly helpful to you, mostly game books and things of that nature."

        if laser_arena_explained:

            "Upon closer inspection though you do find a few arts and crafts book and one of them happens to have a set of paints that might be useful, but with the way they're packaged you'd be only able to take one of the sets efficently."

            menu:

                "What set would you like to take?"

                "The natural colors":

                    "You manage to pry out the pot of natural colors, destroying the others in the process as you put it away before wandering back to the arcade atrium."
                    $ arcade_paint_colors = "natural"
                    $ arcade_paints_gotten = True
                    jump arcade_atrium

                "The fluorescent colors":

                    "You manage to pry out the pot of fluorescent colors, destroying the others in the process as you put it away before heading back to the arcade atrium."
                    $ arcade_paint_colors = "fluorescent"
                    $ arcade_paints_gotten = True
                    jump arcade_atrium

                "The glow in the dark colors":

                    "You manage to get out the pot of glow in the dark paint, destroying the others in the process before you put it away and move back into the arcade atrium."
                    $ aracde_paint_colors = "glowing"
                    $arcade_paints_gotten = True
                    jump arcade_atrium

        else:

            "With nothing in particular you're looking for you wander aimlessly about for a bit."

            jump arcade_bookstore

label arcade_magazine_section:

    if floral_perfume_found:

        "You give another look through the various magazines and comics and don't find anything especially useful."

        "As you go through the comic rack you do find a few issues of Void Protocol and give them a read... though as you flip through issue two you see that someone had torn out page eight for some reason."

        "After searching some more you eventually find yourself back near the entranceway empty handed."

        jump arcade_bookstore

    else:

        "The magazines are all gaming related as you look through them, either they were publications for both PC and consoles or they were about the games themselves.  There were also a few comics as well."

        if arcade_doombringer_flowers:

            "As you move to one section however you see that there was a few magazines for the adult that was likely browsing while waiting for their kids, eventually getting to one section that dealt with homes and gardens and how you could make them btter."

            "When you pick one of them up you are surprised when a small packet of perfume falls out of it, reaching down you see that it's a free sample of some sort of lavender fragrence that had just come out."

            "You decide to hold onto it just in case and continue to look through the rack for anything else that might be of use, though you find little in the way of useful material after that and head back to the atrium."

            $ floral_perfume_found = True

            jump arcade_atrium

        else:

            "There wasn't much else that you could think of that would be useful as you wander about before getting back to where you had started."

            jump arcade_bookstore

label arcade_coffee_shop:

    "While this area has seen better days it appears to still be relatively functional, though it looks as though those that have taken control of this establishment favor the resturant over this particular coffee outlet."

    if arcade_roughrider_found:

        "When you go into the back room of the coffee shop you find that somehow the leopard had found even more coffee and was still masturbating himself as he looked up at you, wondering what you could possibly want."

    elif roughrider_caffiene_fix:

        "But it was the only place besides the resturant to get caffiene, and as you go back to a door marked employees only you open it up to see something somewhat surprising; rough rider turned out to be a rubber punk leopard that sat there guzzling an entire pot of coffee before looking at you."

        "Roughrider"  "Yeah?  Wat do you want?  Ain't never seen a rubber cat before?"

        "You begin to understand what his name meant as you look further down and seeing him stroking off his own rubber cock with latex tines on it while he sat there."

        "Roughrider" "Either you got something to say or get out, I'm kinda in the middle of somethin ere."

        $ arcade_roughrider_found = True

        menu:

            "Ask about Doombringer":
                jump roughrider_doombringer

            "Ask why he's hiding out in a closet":
                jump arcade_roughrider_hiding

            "Ask if you could join him":
                jump roughrider_sex

            "Head back into the bookstore":
                jump arcade_bookstore

    else:

        "You don't see too much of use around here and head back to the atrium after a bit of searching and coming up with nothing."

        jump arcade_bookstore

label roughrider_doombringer:

    "When you ask him about Doombringer and the feline sighs and rolls his eyes."

    "Roughrider" "Of course you want to know bout Doombringer, that's one of the reasons I'm hidin in here just havin a wank while the others fawn round him."

    "Roughrider" "Look, to be honest I figured out how to beat him and after that it just wasn't that fun anymore, plus I didn't want to run that place anyway so I decided to retire on top."

    if arcade_doombringer_scared:

        "When you mention that you had overheard an incident where Doombringer had been visibly shaken by something that happened in his pod it caused the rubber leopard to grin."

        "Roughrider" "Heh, I suppose the cat is out of the bag so to speak."

        "Roughrider" "Listen, you didn't hear this from me, but the reason that he got so flustered is because I left a little present for him in his favorite pod before we played."

        "The latex leopard motions for you to lean in, and when you do the other male still seems to check around before he whispers it to you."

        "Roughrider" "...it was a plush spider."

        "As the feline began to cackle in laughter you are surprised at what he had just said and when you ask if you had heard him right he just nods."

        "Roughrider" "Turns out the big bad reptile is scared to death of them, of course I had to be careful that he didn't discover it before the match but when he did man did he just crash and burn!"

        "When you ask if he still has that spider plush the feline shakes his head."

        "Roughrider" "Nah man, after dat match he took it and ripped it up somethin good, not that I cared much bout it."

        "Roughrider" "Anyway I hope that helps you not end up sucking his dick, now unless you're going to do that to mine I suggest shoving off."

        menu:

            "Ask why he's hiding out in a closet":
                jump arcade_roughrider_hiding

            "Ask if you could join him":
                jump roughrider_sex

            "Head back to the main book store area":
                jump arcade_bookstore

    else:

        "When you ask him what that might be the secret to his success he just laughs and waves you off."

        "Roughrider" "If you have no idea then I ain't gonna go around and air out someone else's dirty laundry."

        "Roughrider" "Anything else you want?"

        menu:

            "Ask why he's hiding out in a closet":
                jump arcade_roughrider_hiding

            "Ask if you could join him":
                jump roughrider_sex

            "Go back to the main bookstore area":
                jump arcade_bookstore

label arcade_roughrider_hiding:

    "Roughrider" "Who says anyone is hidin here, eh?"

    "The latex leopard gives you a dirty look from you even implying that he's doing something of that nature, causing you to backtrack as he goes back to drinking his coffee."

    if $roughrider_had_sex:

        "Roughrider" "Plus sometimes I get handsome [corrupted_species] like you that come in here and are willin to let me plow into them."

        "He gives you a wink and eyes up you up, his latex tongue licking his lips."

    else:

        "Roughrider" "Truth be told I came in here for a bit of private time while I indulge in my two favorite past times of drinking caffiene and sex, now since you don't got the former and haven't offered the latter I suggest pissing off."

    menu:

        "Ask about Doombringer":
            jump roughrider_doombringer

        "Ask if you could join him":
            jump roughrider_sex

        "Head back to the book store area":
            jump arcade_bookstore

label roughrider_sex:

    if roughrider_had_sex:

        "When you say that you wouldn't mind another go he gives you a coy grin and stands up once more, giving you his bedroom eyes once he brushed his synthetic hair away from them."

        "Roughrider" "Just can't get enough, eh?"

        "Roughrider" "You know the rule though, I'm on top, no exceptions."

    else:

        "When you mention that you could do a little more than that hand of his stroking his deck he nearly drops the half-empty pot of coffee on himself as he immediately stops mid strokes and looks at you with eager eyes."

        "Roughrider"  "Alright then, that's what I like to hear."

        "He stand up and looks at you, stretching his lean body for you to admire but stops you before you step in."

        "Roughrider" "One rule though that's a deal-breaker for most, I'm on top."

        "Roughrider" "You alright with that we can have some fun, if not then you can beat it while I do."

    menu:

        "Let him be on top":
            jump arcade_roughrider_sex

        "Decline the offer":

            "Roughrider shrugs and walks over to the door, saying suit yourself before slamming it shut in your face.  You reason it would probably be best to talk to him in a little bit if you need to again and stroll back to the main area of the book store."

            jump arcade_bookstore

label arcade_roughrider_sex:

    "You inform him that's perfectly alright with you and he saunters over to the door, grabbing you by the neck and dragging you inside before shutting the door behind him."

    if corrupted_species == "snake":

        "The rubber feline definitely had a dominant streak in him as he tosses you down on the pile of coffee beans, then as you're on your back he straddles your lower body even as you coil around him with it as his fingers play with the vent in your front just below your cocks."

    else:

        "The rubber feline definitely had a dominant streak in him as he tosses you down on the pile of coffee beans, then as you're on your back he grabs your legs and spreads them open to reveal your tailhole between them."

    "Roughrider" "That's a good [corrupted_species], I think we're gonna get along jus fine."

    "You don't have any time to say anything about it as he comes up between your legs and begins to make out with you, his tongue agressively pushing into your [species_adj] maw while his hands roam up and down your body."

    "It is quickly becoming clear that it has been a while since someone has allowed him to get off on top of him, your eyes bulging as he unceremoniously takes the head of his cock and pushes it down into your hole."

    "Your moan is stifled by his continued pressing of his muzzle against yours as he penetrates you, the latex cock sliding easily against those already slick synthetic walls as they clutch around the invading member to give both males even more pleasure."

    "Though his movements are particularly intense the one place he seems to at least have a bit of patience with is his thrusts, the rubbery bumps on his cock slowly slide against your quivering insides as he uses them to draw the maximum about of arousal from it."

    "He started fast but the leopard soon made his intentions known that he was going to take as long as he pleased, his lips drawing down from your muzzle to your neck and then to your chest as he thrusted hard and deep into your hole."

    "While he continued to concentrate on your chest with his tongue one of his hands drifted down to your own throbbing member, giving you much needed stimulation on the sensitive rubber flesh as he as stroked in time with his own hips."

    "Soon both your bodies were in sexual sync with one another as yours rose up to get his cock to impale deeper into you while he pulled out and strokes you down to your root."

    "Eventually though Roughrider's lust overwhelmed his ability to keep control and soon both his hands were braced against the pile of coffee beans as each time he plowed into you it caused you to sink a little deeper into them."

    "As his muscles tensed and his eyes squeezed shut you could tell he was about to orgasm, which after a particularly deep thrust he did as his entire body stretched in the wake of the climax."

    "Despite still spurting his latex seed into you he continues to stroke you until you get off as well, which turned out to be not long after as your hole clamps down on him and causes him to nearly lose it right there."

    "Once he's finished filling your hole with his rubber seed he takes a few seconds to catch his breath before he pulls out of you, causing you to shudder from the withdrawl as your tailhole is empty once again and still feeling the effects of the pounding it got."

    "Roughrider" "That was a lot a fun [povname]"

    "In a show of surprisingly genuine affection he takes his hand and runs it down down your chest, the feel of rubber on rubber once more upping your sensitivity as he sticks out his tongue at you."

    "Roughrider" "Anytime you feel an inch in that hole of yours you come to me, I'll be more then happy ta fill it for ya."

    "Roughrider" "Now loverboy, is there anything else you want to know?"

    $ roughrider_had_sex = True

    menu:

        "Ask about Doombringer":
            jump roughrider_doombringer

        "Ask why he's hiding out in a closet":
            jump arcade_roughrider_hiding

        "Head back into the main area of the book store":
            jump arcade_bookstore

label arcade_proper:

    if arcade_proper_intro:

        "Once more you are surrounded by the dings and beeps of the games that fill the entire area as you look around to decide where to go next."

    else:

        "The sounds of video games going through their demo mode could be heard as you slowly walk inside of the rather large arcade center.  At least that's what you tought it was... until you heard voices too."

        "Your eyes widen slightly as you see that rubber creatures of all sorts had completely taken over the entire center and strangely their only concern seemed to be playing the games and winning tickets."

        "Was this something that these assimilated individuals did in their previous life before the Shining Rains?  Or was this just a new place for them to hang out?"

        if arcade_gift_shop_intro:

            "The naga at the gift shop said that you needed three special tickets from those at the arcade whom he trusted, which meant they were likely the ones who were running things..."

        else:

            "Either way if you were going to take this place over you were going to need to find out who was in charge or how to install yourself as its new leader... "

        $ arcade_proper_intro = True

    menu:

        "Head to the laser tag arena":
            jump arcade_laser_tag

        "Look into the competitive gaming area":
            jump arcade_competition_games

        "Go towards the racing games":
            jump arcade_racing_games

        "Check out the shooting game area":
            jump arcade_shooting_games

        "Go back into the arcade atrium":
            jump arcade_atrium

label arcade_laser_tag:

    if laser_tag_completed:

        "When you wander over to the laser tag area you see bluelaserwolf still checking people into the laser tag arena, though when he sees you he gives you a nod of respect."

        "Since you already have his ticket you realize there's little need for you to be in this section of the arcade and head back to the main area."

        jump arcade_proper

    elif laser_tag_intro:

        "You find yourself once more back at the laser tag arena to find that the queue for those who want to go in has not died down, in fact if anything it seems to grow increasingly longer every time you come back."

    else:

        "While not the busiest section in the entire arcade there was a small crowd of people waiting for their turn to play in the laser tag arena as you approach."

        "Those who were waiting to get in all had weapons but strangely none of the sensors that would normally tell you that you would get hit in such a game, in fact the only gear that any of them seemed to have on besides their weapons was a pair of goggles."

        "It wasn't until you saw one of the group shoot the other one with their laser weapon that you realized that their latex bodies somehow managed to pick up the laser, a multi-colored ripple spreading out on the other creature's body from where the laser hit."

        "It doesn't take long for you to see which one was in charge, a somewhat larger lizardman was directing traffic between the groups that were coming in and out of the laser tag arena."

        if arcade_gift_shop_intro:

            "He was probably one of those that would hold a ticket you were looking for, now all you had to do was figure out a way to get it from him..."

        else:

            "Since he was one that looked like he was in charge, or at least had some power, he might not be bad to talk to if you were still set on trying to take the place for yourself..."

        $ laser_tag_intro = True

    menu:

        "Talk to one of the players coming out":
            jump lizardman_tagger

        "Go up to the one calling the shots" if bluelaserwolf_intro = False:
            jump lasertag_leader

        "Approach Bluelaserwolf" if bluelaserwolf_intro:
            jump lasertag_leader

        "Head back to the main arcade area":
            jump arcade_proper

label lizardman_tagger:

    "You don't have to wait long for a group of excitable rubber creatures to come out of the exit area of the laser tag area, all of them giggling and laughing as they put their weapons back into the bin."

    menu:

        "What do you ask them?"

        "What it's like in the arena":
            jump laser_arena_description

        "How do the laser tag weapons work":
            jump laser_weapons_description

        "Ask about Bluelaserwolf" if bluelaserwolf_intro:
            jump laser_bluelaserwolf_description

label laser_arena_description:

    if laser_arena_explained:

        "When you ask about the laser arena you get much the same info from before, that the entire area is comprised of two floors and that entire area is lit by a blacklight."

    else:

        "When you ask about how the arena works their eyes light up and you can see their tails wagging behind them."

        "Lasertag player" "The inside of the arena is awesome!"

        "Another lasertag arena" "There's two floors that you can shoot from, though the walkways of the second floor are nice they can leave you exposed."

        "Lasertag player" "Yeah, I like the first floor because there's lots of stuff to duck around and everything is illuminated by this really cool blacklight."

        "Another lasertag player" "Yeah, there are even little pots of blacklight paint scattered about that you can use in order to mark areas or put messages on the walls if you want."

        "Lasertag player" "That still wasn't cool writing that on my back..."

        "Another lasertag player" "Hehehe..."

        "Lasertag player" "Anyway if you can I would highly recommend giving it a play."

        $ laser_arena_explained = True

    menu:

        "What do you ask?"

        "How do the laser tag weapons work":
            jump laser_weapons_description

        "Ask about Bluelaserwolf" if bluelaserwolf_intro:
            jump laser_bluelaserwolf_description

        "Head back to the arcade":
            jump arcade_proper

label laser_weapons_description:

    if laser_weapons_explained:

        "You ask around once more about the explination of the laser weapons and get the same results, that they're made to best represent the real thing they're impersonating and that special weapons can be found inside the arena as well."

    else:

        "When you ask them about the weapons they use inside the laser tag arena most of them just shrug."

        "Lasertag player" "Well from what Bluelaserwolf explained to us each weapon acts like the real one would, so rifles are good long range and shotguns have a spread effect."

        "Another lasertag player" "You can also get heavy weapons like the rocket launcher and the minigun but you need to have a lot of points to get them right away..."

        "When you ask how many points it would take to get such a specialized weapon they all just giggle to one another."

        "Lasertag player" "Let us put it this way, you can probably get one if you play every day for... maybe the next month or so?"

        "Another lasertag player" "You're better off just going for some of the standard weapons in the game, they're still pretty good and a lot of fun to play with."

        $ laser_weapons_explained = True

    menu:

        "What else do you ask?"

        "How does the laser tag arena work":
            jump laser_arena_description

        "Ask about Bluelaserwolf" if bluelaserwolf_intro:
            jump laser_bluelaserwolf_description

        "Head back to the arcade":
            jump arcade_proper

label laser_bluelaserwolf_description:

    if laser_bluelaserwolf_explained:

        "You talk a but about Bluelaserwolf but other than a few more stories that you think might be tall tales you realize you probably got the jist of what he was all about."

        "He seems to enjoy following the other players wherever they go and he knows the arena by heart, plus if you try to get around him he's likely to find you first."

    else:

        "There was a moment of silence between the gamers as they looked back and forth at one another, then looked at you with wide eyes."

        "Lasertag player" "Why... you're not thinking of challenging him or something, are you?"

        "When you state that is exactly what you're going to do it causes all of them to gasp and some to cover their muzzles with their mouths."

        "Lasertag player" "Do you like losing or something?  Because's that's exactly what's going to happen if you challenge him!"

        "Another lasertag player" "Yeah, there's a reason why he runs things out here instead of actually playing, he's one of the best laser tag players that this arcade has ever seen!"

        "You tell them that you still intend to challenge him some of them shake their heads while others continue to look at you in disbelief."

        "Lasertag player" "Well if you're that crazy... I mean, these are just rumors but I hear he likes to stalk the ones that he's facing, going to wherever they are so that they can't get a bead on him."

        "Another lasertag player" "Yeah, I wouldn't recommend trying to ambush him, he definitely knows that place like the back of his hand including all the hiding spots that are there."

        "They continue to trade stories for a few more minutes about all the exploits of the lizardman before they give you several good lucks when you choose to face him."

        $ laser_bluelaserwolf_explained = True

    menu:

        "What else do you ask?"

        "How does the laser tag arena work":
            jump laser_arena_description

        "How do the laser tag weapons work":
            jump laser_weapons_description

        "Head back to the arcade":
            jump arcade_proper

label lasertag_leader:

    if bluelaserwolf_intro:

        "The latex lizard that calls himself Bluelaserwolf looks at you as you come up to him, grinning at you as he puts his pistols on the front desk in anticipation."

        menu:

            "Challenge Bluelaserwolf to a game of laser tag":
                jump laser_tag_challenge

            "Ask Bluelaserwolf about himself":
                jump bluelaserwolf_explained

            "Give Bluelaserwolf your food" if arcade_food_have:
                jump bluelaserwolf_food

            "Head back to the arcade proper":
                jump arcade_proper

    else:

        "It takes a bit for you to get towards the front where the lizardman was getting people ready to go into the laser tag arena, and when you come up front he immediately points to the queue that was next to an area marked the armoury."

        "Lasertag Lizard" "If you're looking to sign up for a match [corrupted_species] you and your friends are going to have to line up and wait with the rest of them unless you have a full group, but those times are also pretty full just to warn you."

        if arcade_gift_shop_intro:

            "When you tell him that the naga from the gift shop told you that you needed three tickets from those that he trusted to run things in order to gain control of the arcade a small smile forms on his latex muzzle."

            "Lasertag Lizard" "So, the naga in charge is giving you a shot to run the joint, is he?"

            "Lasertag Lizard" "If he wants you to get these tickets from us it's not going to be as easy as just asking, you're going to have to earn them... at least from me."

            "When you ask how you can do that the lizardman just chuckles and pulls out what appears to be a set of stylized laser pistols."

            "Lasertag Lizard" "One on one duel, you and me in the arena.  If you win I'll give you my ticket, and if I win... well, I'm sure you've been around our kind long enough to know what that entails."

            "You swallow hard and nod, knowing exactly what that would likely entail as he continues to give a fanged grin."

            "Bluelaserwolf" "By the way everyone here calls me by my gamertag 'bluelaserwolf'."

            "When you tilt your head in slight confusion he sighs and shakes his head slightly."

            "Bluelaserwolf" "Yes... I realize I'm not blue... or a wolf... it was from before the Shining Rains, okay?!"

            "Bluelaserwolf" "*sigh*"

            "Bluelaserwolf" "Anyway let me know when you're ready to go, it's been a while since I've had a chance to have some real action."

            $ bluelaserwolf_intro = True

            menu:

                "Challenge Bluelaserwolf to a match":
                    jump laser_tag_challenge

                "Offer Bluelaserwolf some food" if arcade_food_have:
                    jump bluelaserwolf_food

                "Ask Bluelaserwolf about himself":
                    jump bluelaserwolf_exposition

                "Head back to the main section of the arcade":
                    jump arcade_proper

        else:

            "When you tell him that you wanted to discuss potentially making this area a base of operations for you the lizardman just scoffed at you while he handed a rather small rubber kobald a laser minigun."

            "Lasertag Lizard" "That's really not one of my calls to make, I'm just helping keep things running smoothly."

            "Lasertag Lizard" "If you want this area as your prize perhaps you should go to an area that deals with such things?"

            "You want to ask more but it appears that's all the time that this lizardman was going to give you as he continued to sign people up and make teams for the laser tag arena."

            menu:

                "Head back to the main arcade area":
                    jump arcade_proper

                "Talk to one of the players coming out":
                    jump lizardman_tagger

label bluelaserwolf_food:

    "You ask the rubber lizardman whether or not he wanted to have some of the [arcade_food_item] that you had gotten from the resturant."

    "Bluelaserwolf" "What, trying to butter me up before a match [povname]?"

    if arcade_food_item == "garlic parmesan wings":

        "You can see Bluelaserwolf's eyes light up when he sees the wings slathered in garlic parmesan sauce, his tongue licking his lips before you even hand him the food."

        "Bluelaserwolf" "These are my favorite!"

        "He immediately begins to eat them, stopping only to look at you as he wiped the oily flavoring from his mouth."

        "Bluelaserwolf" "Don't think that I'm going to go easy on you just because of this, you're still going down."

        $ laser_garlic_scent = True
        $ arcade_food_have = False

        if arcade_paints_gotten:

            "You just grin at him and tell him that's fine and pat him on the back, and as you make contact with his latex scales you smear the [arcade_paint_colors] paint on his back as much as you can."

            $ arcade_paint_applied = True

        else:

            "You nod and he resumes eating, quickly reducing the chicken wings down to bone before he licks the flavoring off of his hands."

    elif arcade_food_item == "plain wings" or arcade_food_item == "BBQ wings" or arcade_food_item "five alarm wings":

        "Bluelaserwolf's tail wags slightly as you put down the [arcade_food_item] in front of him, the latex lizardman taking some time to smell them."

        "Bluelaserwolf" "I do enjoy the resturant's wings, thanks a lot [povname]."

        if arcade_paints_gotten:

            "You just grin at him and tell him that's fine and pat him on the back, and as you make contact with his latex scales you smear the [arcade_paint_colors] paint on his back as much as you can."

            $ arcade_paint_applied = True

        else:

            "You nod and let him eat, retreating back into the crowd with the other rubber creatures."

        "You watch him eat a few of them, using a paper towel to wipe off his hands each time as he continues to check people in."

    else:

        "Bluelaserwolf looks at the [arcade_food_item] before looking back at you with a smile on his muzzle."

        "Bluelaserwolf"  "Thanks [povname], that's really kind of you."

        "You nod and head back out a bit, though as you continue to watch him it doesn't appear that he's all that hungry at the moment..."

    menu:

        "Challenge Bluelaserwolf to a match":
            jump laser_tag_challenge

        "Ask Bluelaserwolf about himself":
            jump bluelaserwolf_exposition

        "Head back to the main section of the arcade":
            jump arcade_proper

label bluelaserwolf_exposition:

    if bluelaserwolf_exposition_given:

        "When you ask to tell you more about himself he just gives you a shrug and tells you that he pretty much gave you everything there was to know about him that he's willing to tell you."

        menu:

            "Challenge Bluelaserwolf to a match":
                jump laser_tag_challenge

            "Offer Bluelaserwolf some food" if $ arcade_food_have:
                jump bluelaserwolf_food

            "Head back to the main section of the arcade":
                jump arcade_proper

    else:

        "Though it seems like he really wants to keep focus on getting the other synthetic creatures through the arena he motions for you to come back so that you're no longer in the way of those trying to get into the arena."

        "Bluelaserwolf" "While I'm sure you're just trying to get an edge on me it's not very often that I have people asking about me personally, mostly it's just give the gun and go... apologies for the mess too."

        "You watch as he tosses at least three baskets of wings into the garbage in order to try and make things as tidy as possible."

        "Bluelaserwolf" "Anyway I was actually on my way here to the arcade when the Shining Rains came down on us... at first I thought I was going to turn into a rubber monster like the rest of those exposed but after a while I found myself remarkably clear-headed."

        "Bluelaserwolf" "I continued to the arcade and hoped that I could find a way in when I found that it was actually open by the naga that you've met already... and after doing a few comversions top side I came down here to continue to play laser tag."

        "When you ask how he manages to retain his sanity despite not really converting anyone he gives a chuckle and waves the ticket that you're trying to win in front of you."

        "bluelaserwolf" "I guess the gift shop naga gets a lot of corruption from those corrupters who play here, and in turn he uses these to give them to myself and the other two he has making sure this place stays running at peak efficency."

        "bluelaserwolf" "That's me in a nutshell basically... anything else may give you the edge and I'm not going to have that now."

        "He gives you a wink and as you turn to leave he asks you to do him a favor and hands you the baggie that he tossed all the trash into so that you could throw it for him and if he could seperate it too that would be great."

        $ bluelaserwolf_exposition_given

        menu:

            "Toss it all out in the trash":
                jump arcade_toss_all

            "Seperate out the recyclables":
                jump arcade_recycle_toss

label arcade_toss_all:

    "You fail to see why recycling would be a big deal in the first place as you toss the whole bag into the garbage before heading back into the arcade proper once more."

    jump arcade_proper

label arcade_recycle_toss:

    "When you get to the various bins marked with the recylcing logos you open the bag to seperate them out and are immediately met with the powerful scent of garlic as you take everything and put it in their respective bins."

    "Once you are finished with that you are forced to go to the rest room in order to wash your hands, especially when you pass by the others and they turn up their noses at you."

    "As soon as you get the smell from lingering your hands you head back to the arcade."

    jump arcade_proper

label laser_tag_challenge:

    "This was it... you took a deep breath before you went up to Bluelaserwolf and told him that you would like to challenge him for his ticket to the arcade."

    "The smile that formed on the lizardman's face went from ear to ear as he nodded and informed everyone that they were going to close the laser tag arena for a special one on one match, and when several groaned he chuckled and said that they wouldn't have to wait long."

    "That seemed to draw a chuckle from the audience as he turned to you and handed you your gear; a pair of laser pistols and a set of goggles."

    "Bluelaserwolf" "Rules are very simple, first to zero health loses."

    "You nod in agreement as you put on your goggles and grab your guns, Bluelaserwolf doing the same before the two of you enter the arena."

    "The two of you quickly seperate to opposite sides of the laser tag arena into the respective zones reserved for teams and once you're there you take another deep breath as you look up at the scoreboard and wait for the counter to reach zero."

    "When it does you're off like a shot, heading into the rather impressively large facility in order to try and get an edge up on Bluelaserwolf"

    if laser_bluelaserwolf_explained:

        "As you pass by the stairway to get up to the second floor you think about taking it for a second, but then you remember that Bluelaserwolf would likely see you up there and put you at a disadvantage so instead you stick to the ground floor."

        "The seconds continue to tick by and while you still hadn't found your prey it appears that he hasn't either, though you know it's only a matter of time before he jumps out and gets you if you can't get a bead on him."

        if laser_garlic_scent:

            "Just as you were about to turn the corner your nostrils flare as you suddenly smell something, faint at first but as you follow it the scent becomes extremely recognizable..."

            "Garlic..."

            "It was clear that Bluelaserwolf had gone down this direction in an attempt to try and double back on you, which meant that you had the upper hand now as you followed the aroma very quickly."

            "Though the smell gets stronger as you are led into a section of the laser tag arena with a number of blocks and other pieces of cover you realize that he either realized you were following him or thought he had tracked you into an area that was more open."

            "Either way you lost the scent but gained the advantage of knowing that you were behind him, all you had to do was find the stealthy lizardman in the darkness..."

            if arcade_paint_colors == "fluorescent" and arcade_paint_applied:

                "Just as you turn around one corner you suddenly dart back when you see a glowing smear of glowing paint just ahead of you, the fluorescent paint that you had put on him glowing like a beacon as you peek around your corner."

                "It appears that he was attempting to ambush you, waiting for you to come in through the doorway you had already followed him into a while ago.  You wait until he's looking at the doorway again before sneaking up behind him..."

                "He lets out a sharp cry of surprise as his latex scales suddenly light up from the shots coming from your laser pistols, firing on him as fast as you can with both barrels."

                "Bluelaserwolf attempts to dodge and roll out of the way to get cover and return fire but you already have him dead to rights, the lights in the arean coming on fully when you depleted the last of his health bar."

                "The rubber lizardman cursed and pulled off his goggles, looking up at you as he sighed and ran his hands against the latex scales of his head."

                "Bluelaserwolf"  "But... how..."

                "Bluelaserwolf"  "How did you get the drop on me like that?!"

                "Before you even have a chance to explain he shakes his head and waves his hands."

                "Bluelaserwolf"  "Nevermind, I'll watch it on the replay later.  For now... you did beat me and a deal is a deal, here you go."

                "He held out his hand and as you watch the rubber on it coalesces, pooling there until it formed into a large version of an arcade ticket that he hands to you."

                "Bluelaserwolf"  "You earned it."

                "The second it touches your own palm it melts once more and you feel a surge of energy come from it, causing your entire body to shiver as you get used to the newfound power you seem to have."

                "Bluelaserwolf" "Anytime you want to have a rematch let me know, I'm definitely up for it."

                "You nod and the two of your head back out of the arena, which you are immediately greeted by cheers and looks of disbelief as you claim your victory while Bluelaserwolf gets back on his podium to continue his job."

                "Once you are done basking in your victory you head back to the arcade proper, ready to get going once again."

                $ laser_tag_completed = True

                jump arcade_proper

            elif arcade_paint_applied:

                "You look for the paint that you applied to glow in the blacklight lit area, but you frown as the only thing you can see glowing is the paint from the pots that are on the various walls... making you wonder if you had lost him, or if you had used the right paint."

                "As you head curl around one corner though you suddenly hear the sounds of shots being fired in your direction and when you spin around you see that Bluelaserwolf somehow got behind you!"

                "You see your health go down dramatically as you scramble for cover and fire back, but by the time you realized the lizardman had a bead on you it was too late."

                "The match ends quickly after that, watching the last of your health go down as he manages to outmanuever you once again and fire off a few more shots while you stayed behind cover."

                "Bluelaserwolf" "Hey, good effort there [povname], too bad that it wasn't good enough."

                "He pats you on the back and then puts something around your neck, snapping the collar into place before taking the attached leash and leading you out of the arena."

                "As you get back into normal light you can see the paint you had chosen still on his back and realize that you had chosen the wrong paint... which meant you were looking for the wrong thing the whole time."

                jump arcade_bluelaserwolf_lose

            else:

                "Once you know that he's in the area you search around for him, trying to keep your back to the outside walls in order to keep him from sneaking up on you as you look around to try and get the jump on him."

                "Even though you're pretty sure you don't have one you can feel your heart pounding in your chest as you carefully look around every corner, trying to find some way to get the jump on the lizardman before he does the same to you."

                "As you head curl around one corner though you suddenly hear the sounds of shots being fired in your direction and when you spin around you see that Bluelaserwolf somehow got behind you!"

                "You see your health go down dramatically as you scramble for cover and fire back, but by the time you realized the lizardman had a bead on you it was too late."

                "The match ends quickly after that, watching the last of your health go down as he manages to outmanuever you once again and fire off a few more shots while you stayed behind cover."

                "Bluelaserwolf" "Hey, good effort there [povname], too bad that it wasn't good enough."

                "He pats you on the back and then puts something around your neck, snapping the collar into place before taking the attached leash and leading you out of the arena."

                jump arcade_bluelaserwolf_lose

        else:

            "As time goes on you continue to wander around the laser tag arena and though you think you see him more than once by the time you go over to investigate you find the area completely empty."

            "You begin to wonder if you two were making circles around one another as you head into another section of the arena, only to have your question unwittingly answered as you suddenly took fire."

            "Too late you realize that you had just walked into a trap, and by the time you track where Bluelaserwolf was behind a piece of cover your health is so low you can't recover."

            "The match ends quickly after that, watching the last of your health go down as he manages to outmanuever you once again and fire off a few more shots while you stayed behind cover."

            "Bluelaserwolf" "Hey, good effort there [povname], too bad that it wasn't good enough."

            "He pats you on the back and then puts something around your neck, snapping the collar into place before taking the attached leash and leading you out of the arena."

            jump arcade_bluelaserwolf_lose

    else:

        "You decide to head up to the catwalks and balcony that hang above the first floor of the arena, hoping that you can see him as he passes by underneath you."

        jump arcade_bluelaserwolf_lose

label arcade_competition_games:

    if competitive_gaming_completed:

        "Before you can even get close to the cometitive gaming area Goldenclaw seems to sense your approach and turns to stare daggers at you... perhaps now is not the best time to go there as you retreat back to the main arcade."

        jump arcade_proper

    elif competition_game_intro:

        "Once more you find yourself back in the competitive gaming area where Goldenclaw was no doubt crushing another opponent while the crowd of people that looked on cheered."

    else:

        "By and far the most popular part of the arcade was the section where the various rubber creatures could play one another competitively, the crowd that has gathered mostly around the huge projector screen while two to four gamer reptilies would play."

        "It appeared that you could choose what type of game you wanted to challenge someone in and there were also a few areas where people could play one another non-competively, but it was clear that the real action was center stage."

        "Just as you come up you can see one of them, a raptor with golden scales that shimmered in the light as he pumped his hands up in triumph from the win of what you could only imagine was another in a streak of them."

        "A quick talk to those that had gathered around confirmed your suspicion that this raptor, who went by the name of Goldenclaw, was the one that had taken control of this entire area and was the one to beat."

        $ competition_game_intro = True

    menu:

        "See if you can find out more about him":
            jump spectator_question

        "Play a few games in practice":
            jump arcade_competition_practicing

        "Talk to Goldenclaw himself":
            jump competition_leader

        "Head back to the main arcade area":
            jump arcade_proper

label spectator_question:

    "You figure that the best way to get an advantage of this guy would be to see how those that likely have been watching for a long time would talk about him."

    "Most of the rubber creatures that you try and talk to don't even acknowledge your existance, but after a while you do finally find someone that was willing to talk to you."

    "Spectator naga" "Isn't Goldenclaw the best?"

    "Spectator naga" "Not only does he help regulate the fighting game tourneys but he also takes on any newcomer in any game that you throw at him!  He's a complete natural!"

    "When you say that he has to have some sort of weakness or game that he wasn't good at the naga just shook his head."

    "Spectator naga" "Nope, I've seen him play everything here and he's good at all of it.  Not just the fighting games but the rhythm and dance ones too, plus the first person shooters!"

    "Spectator naga" "In fact I don't think I've ever seen him lose a challenge... and he's taken every challenge that I've ever seen."

    if goldenclaw_foods:

        "When you ask about what kind of food he likes, the naga just grives you a shrug as he continues to watch."

        "Spectator naga" "I think he'll pretty much eat anything to be honest..."

        "Spectator naga" "Although I remember that he specifically didn't eat the chicken wings unless they were plain, said that he didn't want to have to wash his hands every time he ate one with flavoring on them."

        "Spectator naga" "He's very particular about his controllers too, I've seen him stop mid-match if he so much as sneezes and doesn't play until he gets them cleaned off."

        "You nod and thank them for their information before moving on somewhere else."

    else:

        "You feel your stomach sink slightly when you realize that taking this rubber raptor down might be harder than you thought..."

    menu:

        "Play a few games in practice":
            jump arcade_competiton_practicing

        "See if you can find out more about him":
            jump spectator_question

        "Talk to Goldenclaw himself":
            jump competition_leader

        "Head back to the main arcade area":
            jump arcade_proper

label arcade_competition_practicing:

    "There were a number of different games available for you to practice on, most of those that were around seemed fixated on watching their idol trounce yet another challenger."

    "Those that were playing on the different consoles looked like they were practicing with great intensity, likely to try and knock Goldenclaw off of his pedistal as you look around at the open spots."

    menu:

        "Which game would you like to practice?"

        "One of the fighting games":
            jump fighting_practice

        "One of the dance games":
            jump dance_practice

        "One of the rhythm games":
            jump rhythm_practice

label fighting_practice:

    "There were all manner of fighting games that you could choose from and though you weren't exactly sure which one would be best to challenge Goldenclaw you figured you might as well try and find the one that you're the best at."

    "You try out a few in quick succession and realize that there are a few that you've played before... though playing with your new latex-scaled hands proves to be a bit more of a challenge than you had imagined before."

    "Still you manage to find one or two where you hold your own, even beating some of the people that you were playing with when you went to battle royale mode."

    menu:

        "Practice another gaming style":
            jump arcade_competition_practicing

        "See if you can find out more about him":
            jump spectator_question

        "Talk to Goldenclaw himself":
            jump competition_leader

        "Head back to the main arcade area":
            jump arcade_proper

label dance_practice:

    "There are a few different games that you could try out that all had the colorful arrows that you had to step on in order to follow the prompts on screen, and after watching a few do it you decide to give it a try yourself."

    if corrupted_species == "snake":

        "When you attempt to push down on the arrows though you quickly realize that a rubber naga body was not made for this type of thing, though you manage to make a little success with your tail you realize that there is no way you're going to be able to compete with any creature that has actual legs."

        "Still you suppose it's worth a shot, especially after you saw a similar naga tapping the arrows with his tail in quick succession."

    else:

        "As the arrows fly across the screen you find that one of the perks about your new body is that your reflexes have increased far more than your old body did and you quickly amp up the difficulty until you reach the heavy mode when you finally encounter a little bit of difficulty with following the arrows."

        "Even though you experienced measured success with the game you realize that Goldenclaw likely has gotten the same advantage as you did with his new body, which means that it would probably be on skill..."

    menu:

        "How do you practice?"

        "Keep going on one song in a loop":
            jump arcade_single_song

        "Try out a variety of songs":
            jump arcade_song_shuffle

label arcade_single_song:

    "The main reason why Goldenclaw is good at everything, you figure, is probably because he spends all his time just playing all the songs... so when you find one that you like you put it on a loop so that you can continue to practice it over and over again until you have all the arrows memorized."

    "It takes a bit and you eventually lose track of what number that you've repeated the song but eventually you manage to ace it even on the insane difficulty."

    "While you know it'll probably still be a tough battle you might have just gotten the advantage you need on the other creature."

    menu:

        "Practice something else":
            jump arcade_competition_practicing

        "See if you can find out more about him":
            jump spectator_question

        "Talk to Goldenclaw himself":
            jump competition_leader

        "Head back to the main arcade":
            jump arcade_proper

label arcade_song_shuffle:

    "You decide to put it on the shuffle mode and dance on a few differnet songs, and while you won't exactly get the hang of any of them compeletely you'll at least be well versed on how the game itself works."

    "Once the shuffle cycle ends you wipe your hand across your brow to get the sweat off of it, only to remember that you don't really sweat anymore as a rubber creature as you watch your scores get displayed."

    "Just before you're about to leave you do notice something interesting before you leave, that the gamertag on the machine that's loaded up is Goldenclaw's... and when you look around you see that the others have the same name on them."

    "Does that mean that all the games here are ones that were already loaded into his account?"

    $ goldenclaw_login = True

    menu:

        "Practice something else":
            jump arcade_competition_practicing

        "See if you can find out more about him":
            jump spectator_question

        "Talk to Goldenclaw himself":
            jump competition_leader

        "Head back to the main arcade":
            jump arcade_proper

label rhythm_practice:

    "There are a couple of different games that would count as being rhythm games, from the ones that used plastic instruments to play various songs to ones that you just kept the beat on in order to win the game."

    "One in particular is a game that had a number of different instruments to it and had a variety of songs attached to it... which Goldenclaw couldn't have possibly played all of them, could he?"

    "As you settle in to one of the instruments, selecting the guitar, you are suddenly approached by someone that had been watching as a spectator."

    "Gamer horned lizard" "Hey!  Do you mind if I play with you?"

    "Gamer horned lizard" "I really enjoy playing this game but only when playing with someone else, so if you don't mind a little company I'll be happy to play."

    "Though you know that when you challenge Goldenclaw you'd be going one on one against him it might not hurt to play with someone... then again it might."

    menu:

        "Allow him to play with you":
            jump arcade_rock_band

        "Tell him you're practicing solo":
            jump arcade_solo_mode

label arcade_rock_band:

    "The lizardman's face lights up when you say that you don't mind him playing this time and together the two of you play a few of the songs."

    "Though it's harder to play with your fingernails being psuedo-claws it's equalized by the increased dexterity in your hands as you go through several of the solos with ease, the other one jamming out on the drums."

    "After a few songs the horned lizard breaths a sigh of accomplishment as he looks at his score and finds himself accomplishing almost eighty percent."

    "Gamer horned lizard" "Ugh... I suck at drums..."

    "When you ask if you'd want to switch instruments for a while he just shakes his head."

    "Gamer horned lizard" "Nah, the only thing that I'm good at really is the singing portion of this game, but unfortunately that's not even an option for this game so I have to play one of the instruments."

    "He thanks you again for the game and says that if you play again he'll probably ask to go another round and returns to the crowd that is watching the main stage."

    if goldenclaw_login:

        "You remember what you saw on the dance game and when you look back into the menu section you see that Goldenclaw was the gamertag that was logged into the console."

        "After a bit of digging you find that he not only had the game control disabled from being able to take input from any audio equipment but also had the mode for the singing portion of the game locked out!"

        "However it doesn't take long for you to unlock that portion of the game, though when you try to fire it up you find that you are still unable to play due to the lack of an audio input device..."

        "You decide to leave it as in and move on, keeping an eye out for something that might help."

        $ rock_band_microphone = "needed"

    else:

        "You think it's strange that a game such as this doesn't have any mode for singing, but when you check it out in the selection screen you find that the only ones available are the instruments."

        "Either way you shrug and set down the instrument, ready to move on to something else."

    menu:

        "Practice something else":
            jump arcade_competition_practicing

        "See if you can find out more about Goldenclaw":
            jump spectator_question

        "Talk to Goldenclaw":
            jump competition_leader

        "Head back to the arcade":
            jump arcade_proper

label arcade_solo_mode:

    "You tell the other creature that you're going solo because you want to challenge Goldenclaw, which he nods and tells you good luck and that he'll keep around if you want to play with him."

    "With the distraction gone you play through several songs on the various instruments, your new body better able to keep up with the various rhythms to the point where you know you were doing better than you had as a human."

    "Still even as you finish up the set and let someone else play you know that Goldenclaw probably has the same physical advantages you do, which means it will once more come down to skill."

    "Your only hope in this arena is that rhythm games are a weak point as you decide what to do next."

    menu:

        "Practice something else":
            jump arcade_competition_practicing

        "See if you can find out more about Goldenclaw":
            jump spectator_question

        "Talk to Goldenclaw":
            jump competition_leader

        "Head back to the arcade":
            jump arcade_proper

label competition_leader:

    "You have to wait between games in order to even talk to the rubber raptor, and that's after you fight your way through the crowd in order to get up front and meet with him."

    "Fortunately you don't have to wait very long as he beats yet another opponent, the crowd erupting into various cheers and appaluse as he grabs the nearby microphone and announces his victory."

    "As soon as he's done he puts it back down in front of him and then looks over to you as you stand right next to him."

    if arcade_goldenclaw_intro:

        "Goldenclaw" "Well look whose back."

        "He gives you a smirk before sitting back in his chair confidently and looking at you."

        "Goldenclaw" "You coming here to tell me that you're finally ready to get beaten by the best?"


        menu:

            "Challenge Goldenclaw to a match":
                jump new_challenger_approaches

            "See if you can find out more about Goldenclaw":
                jump spectator_question

            "Go to the practice section":
                jump arcade_competition_practicing

            "Try to get Goldenclaw to talk about himself":
                jump goldenclaw_boasting

            "Give Goldenclaw some food" if arcade_food_have:
                jump goldenclaw_food_grab

            "Attempt to grab the microphone" if rock_band_microphone == "needed":
                jump drop_the_mic

    elif arcade_gift_shop_intro:

        "Goldenclaw" "What can I sign for you?"

        "You tell him that you have nothing to sign for him, and though he frowns slightly at that his reaction quickly changes when you tell him why you're there in the first place to an eager smile."

        "Goldenclaw" "So the naga is giving you a chance to get the keys to the kingdom, huh?"

        "Goldenclaw" "Well I'm more than happy to give you this ticket of mine, if you can beat me."

        "While you knew that this was coming given his competitive nature it still didn't stop your stomach from twisting itself slightly as he chuckles, almost sensing your reaction."

        "Goldenclaw" "It's really quite simple, you can choose any game in this section of the arcade to play me on."

        "Goldenclaw" "You win I'll give you my ticket, you lose and you can be another trophy of mine on display."

        "Your eyes glance over to where he gestures and you realize the statues of creatures that you see there might not have started that way, once more causing Goldenclaw to chuckle."

        "Goldenclaw" "Just let me know when you're ready to go, I'll be right here playing."

        $ arcade_goldenclaw_intro = True

        menu:

            "Challenge Goldenclaw to a match":
                jump new_challenger_approaches

            "See if you can find out more about Goldenclaw":
                jump spectator_question

            "Go to the practice section":
                jump arcade_competition_practicing

            "Try to get Goldenclaw to talk about himself":
                jump goldenclaw_boasting

            "Attempt to grab the microphone" if rock_band_microphone == "needed":
                jump drop_the_mic

    else:

        "Goldenclaw" "What can I sign for you?"

        "When you tell him the reason why you're there he just shakes his head and waves a hand at you."

        "Goldenclaw" "Listen, I really don't have time to guide you around, I have a queue of people waiting to be beat a mile long."

        "Goldenclaw" "If you're not here to challenge me or fawn over me than I really don't have time for you."

        "Though you had more you wanted to ask you were quickly pushed aside by a naga who did have something he wanted to get signed, terminating your conversation."

        menu:

            "Head back to the main area of the arcade":
                jump arcade_proper

            "Go to the practice section of the competitive gaming area":
                jump arcade_competition_practicing

            "Talk to some of the spectators around about Goldenclaw":
                jump spectator_question

label goldenclaw_boasting:

    "Now that you had Goldenclaw's attention you decide to see if you can get to know him a little bit better, though the rubber raptor's attention was clearly focused elsewhere."

    "Goldenclaw" "Look if you want to know about me here you go: I'm awesome and can beat anyone at anything, you got that?"

    "Goldenclaw" "Now unless the next words out of your mouth are that you have something for me to eat I've got more people who want the pivilage of getting thrashed by my elite skills."

    "It was clear that was the end of that conversation as you sigh and move back just as he started yet another game, leaving you to wonder what to do next as you hear him shouting for someone to get him food."

    $ goldenclaw_foods = True

    menu:

        "Go to the practice section":
            jump arcade_competition_practicing

        "Challenge Goldenclaw to a match":
            jump new_challenger_approaches

        "See if you can find out more about Goldenclaw":
            jump spectator_question

        "Give Goldenclaw some food" if arcade_food_have:
            jump goldenclaw_food_grab

        "Head back to the main part of the arcade":
            jump arcade_proper

        "Attempt to grab the microphone" if rock_band_microphone == "needed":
            jump drop_the_mic

label drop_the_mic:

    "You look at the table in order to see if you can try and grab the microphone that was there, but it was so close to Goldenclaw that there was no way you could do it while he was still there."

    "There must be some way to get that microphone though, you think to yourself..."

    menu:

        "Go to the practice section":
            jump arcade_competition_practicing

        "Challenge Goldenclaw to a match":
            jump new_challenger_approaches

        "See if you can find out more about Goldenclaw":
            jump spectator_question

        "Give Goldenclaw some food" if arcade_food_have:
            jump goldenclaw_food_grab

        "Head back to the main part of the arcade":
            jump arcade_proper

        "Attempt to grab the microphone" if rock_band_microphone == "needed":
            jump drop_the_mic

label goldenclaw_food_grab:

    "The golden rubber raptor looks up at you in annoyance as you go up to him between matches, but all that disappears when he smells the food on you and reaches out to grab it before you have a chance to even say it's for him."

    if arcade_food_item == "garlic parmesan wings" or arcade_food_item == "BBQ wings" or arcade_food_item == "five alarm wings":

        "As soon as he takes the basket of [arcade_food_item] he looks down at it and his muzzle turns down into a frown."

        "Goldenclaw" "I can't eat these in the middle of defending my title!"

        "Your mouth drops as he tosses the food into a nearby trash can, telling someone else to go and get him something he can eat while playing and leaving you with nothing..."

        "There's nothing else you could really do except shake your head and walk back to the main arcade floor while you condemplate what to possibly do next to the rubber raptor."

        jump arcade_proper

    elif arcade_food_item == "chili cheeseburger" or arcade_food_item == "carnivore and extra cheese pizza":

        "You watch him take the [arcade_food_item] and tear into it like a wild animal."

        if arcade_food_item == "chili cheeseburger":

            "As he tears further into the wrapping you suddenly get the desired effect you wanted as the chili and cheese sauce immediately begins to ooze down Goldenclaw's hands, which causes his eyes to widen as he drops the burger and looks at his hands."

        else:

            "The second he grabs the heavily meat and cheese laden pizza you see some of the toppings as well as a copious amount of grease drain down onto his hands, which as soon as he feels it he immediately jumps back and nearly knocks people over as he runs to the bathroom."

        "Goldenclaw" "Everyone out of the way!"

        if rock_band_microphone == "needed":

            "With the rubber raptor gone you easily have time to unplug the microphone and wrap up the cord before he returns, the others that had gathered around too busy talking about what just happened to notice or care about what you did."

            "A few minutes later Goldenclaw returns and takes his seat, but by the time he realizes his microphone is gone you've already rushed back to the main arcade area with your new prize."

            $ rock_band_microphone = "gotten"

            jump arcade_proper

        else:

            "You watch him leave as the crowd gets up into a commotion, talking about what just happened as the player that was about to challenge Goldenclaw just waits there."

            "Eventually the rubber raptor gets back and gives you a dirty look before grabbing his controller once again... and though you can't quite place it you feel like you may have just missed an opportunity for something there."

            jump arcade_proper

    else:

        "You watch him take the [arcade_food_item] and tear into it greedily, eating nearly half of it in one go before he finally realizes that you're still standing there."

        "Goldenclaw" "...thanks."

        "With that he turns his attention back to his game, once more focusing on the screen and continuing to munch on your food between games."

        "While you're not sure what that accomplished other than feeding your opponent you decide to head back to the main arcade area to think over what to do next."

        jump arcade_proper

label new_challenger_approaches:

    "Goldenclaw gives you a predatory grin as you say you want to challenge him so that you can get his ticket."

    "Goldenclaw" "Your challenge is accepted."

    "There is a shout that comes up from the crowd as Goldenclaw continues to ham it up for the audience before turning back for you."

    "Goldenclaw" "Since you are the challenger I will let you choose the game we play, only condition is that it has to be something in this area out of respect for my fellow rubber creatures in the other sections."

    menu:

        "Pick your game"

        "A fighting game":
            jump arcade_goldenclaw_fighting

        "A dancing game":
            jump arcade_goldenclaw_dancing

        "A rhythm game":
            jump arcade_goldenclaw_rhythm

        "A singing game" if rock_band_microphone == "gotten":
            jump arcade_goldenclaw_singing

label arcade_goldenclaw_fighting:

    "You pick a game that you think that you'll at least stand a chance with and have it projected up onto the main screen, Goldenclaw tossing you a controller before taking up his own."

    "After everything is settled in you can feel the growing crowd's eyes not only on the screen but you as well, waiting to see their idol take down another challenger."

    "Though you know you had to believe in yourself you still couldn't help but feel anxious as you chose your characters, then waited for the level to be randomly selected."

    "As you turn to look at Goldenclaw he shoots you a smirk before going back up to concentrate on the game which you do as well as you see your characters waiting there for the countdown to finish."

    "3... 2... 1..."

    "The second that you're out of the gate Goldenclaw proceeds to destroy you, no amount of practice you could have done preparing you for the slaughter that was your game."

    "As you watched your character get KOed twice in quick succession you are forced to hang your head down as Goldenclaw raises his arms and turns to his adoring public for a few seconds before looking back down at you."

    jump arcade_goldenclaw_lose

label arcade_goldenclaw_dancing:

    "It seems like Goldenclaw mostly plays fighting games, so when you challenge him to a dance game you hoped that it would rattle him at least a little."

    "From his reaction and that of the crowd though it appears you were not the only to have ever thought of that as the rubber raptor strode confidently over to the dance machine that was set up on a small stage while all those in attendence gathered around it."

    "Goldenclaw allows you to pick the first song and you choose one that you're familiar with, and when you start to dance you can hear the others cheer as you hit almost all the notes before the song ends and you walk off the platform."

    "Then it was Goldenclaw's turn..."

    "Not only did he up the difficulty to the hardest level but he managed to ace all the arrows, completely crushing your score as his feet flew from pad to pad in quick succession."

    "It was clear that you were in trouble, especially since that was your go to song and when you compete for the second one out of three you are trounced just as easily as the first time."

    "You still stare dumbfounded at the score as Goldenclaw raises his hands in the air, then immediately turns back to you with a wide smirk on his face."

    jump arcade_goldenclaw_lose

label arcade_goldenclaw_rhythm:

    jump arcade_goldenclaw_lose

label arcade_goldenclaw_singing:

    "There is a murmur through the crowd as you challenge him to one of the singing sections in the band game, and though you knew it wasn't possible you swore you could see the color drain from his face when you suggest it."

    "Goldenclaw" "I said a game that's currently here, that particular version doesn't have a singing section."

    "You smirk as you tell him that it does now, pointing over to the game you had modded and showing that there was in fact a section for vocals.  The worried look soon turned to relief on the rubber raptor's face however as he crossed his arms."

    "Goldenclaw" "Well... even if it is there we need a microphone and I'm not lending any of mine to this venture."

    "As he smirks you quickly tell him that it's no bother, holding up the one you had taken as the rest of the crowd began to chitter with excitment."

    "Goldenclaw looked back at his table to see the space where his microphone had been but before he could say anything you had plugged it in and started on one of the songs."

    "Though it was clear that the rubber raptor had lost some of that swagger and confidence, a mixture of his pride and the watchful eyes of the crowd prevented him from retreating from the challenge as he grabs the microphone from you."

    "You step back and wait as the first song comes on, Goldenclaw taking a few shallow breaths before he finally got ready to sing as the first note appeared..."

    "...and the result of which was everyone covering their ears as the clearly tone-deaf raptor began to sing so badly that he couldn't hit a single note even on the medium difficulty you had chosen."

    "While you weren't the best at it yourself by the time he was finished and you had gone it was clear who the winner was as Goldenclaw pouted in the chair he sat on."

    "Goldenclaw" "Yeah... I guess you win... even though this is basically cheating..."

    "There was a chorus of boos to his remark and he quickly waved his hands around to get them to stop before he held out his palm, a rubber arcade ticket forming in the latex before it formed into its own object that he gave him."

    "Goldenclaw" "There you go, your prize, now get out of here before I change my mind."

    "The rest of the crowd begins to excitedly chatter around you as the ticket you were given melts into your hand, meaning that you were one step closer to claiming the arcade as your own."

    $ competitive_gaming_completed = True

    jump arcade_proper

label arcade_racing_games:

    if racing_game_intro:

        "You go towards the racing section again and see that various rubber reptiles were merely enjoying themselves, some of them racing one another but without any real rhyme or reason to such a thing."

    else:

        "Though they take up an entire wall you see that the area of the arcade that was composed mostly of driving video game rigs was not as popular as the rest of the place, though with a number of the clientle being nagas without feet you could understand possibly why."

        "One section of games in particular, the apparent highlight of the area called Adrenaline Rush, was completely out of order with a sign saying so on each of the four screens."

        "It also doesn't appear that anyone in particular is leading this section, people just coming and going as they please, which means that anyone of importance would probably not be around that area."

        $ racing_game_intro = True

    menu:

        "Go back to the main arcade area":
            jump arcade_proper

        "Try out one of the racing games":
            jump arcade_racing_playing

        "Look for Roughrider" if arcade_roughrider:
            jump arcade_racing_roughrider

label arcade_racing_playing:

    if corrupted_species == "snake":

        "You attempt to play the games but find that your serpentine lower body doesn't fit into most of them, and those that do fit you find are a bit uncomfrotable as you attempt to use your tail tip for the pedals."

        "There are a few that you manage to squeeze into that don't require feet and those you actually do pretty well on, even placing in a small impromptu tourney that someone set up."

    else:

        "As you play a few games some others come up to join you, it's a fun time and you even manage to place in an impromptu tourney that someone set up."

    "As you're about to leave the one that set the whole thing up thanks you for your participating and gives you a prize, a ticket that you can redeem at the gift shop that you pocket."

    $ arcade_gift_shop_ticket = True

    menu:

        "Go back to the main arcade area":
            jump arcade_proper

        "Look for Roughrider" if arcade_roughrider:
            jump arcade_racing_roughrider

label arcade_racing_roughrider:

    "You look around for a gamer lizardman named Roughrider but as you scan the area you find no one who matches that description."

    "When you ask a few of the others they tell you that he bounces around a lot through the arcade nowadays, though at the moment no one knows where he is."

    "The only piece of useful information they give you is that he said he was going to get his caffiene fix."

    "You thank them and head back to the main aracde, hoping to find the main opponent of Doombringer somewhere nearby..."

    $ roughrider_caffiene_fix = True

    jump arcade_proper

label arcade_shooting_games:

    if shooter_game_completed:

        "As you go over to the area with all the shooting games you see Doombringer, who still appears to be visably shaken as glances back at the pod that likely still contained the source of his fear."

        "You decide it best not to interact with him anymore at the moment and instead head back into the main section of the arcade."

        jump arcade_proper

    elif arcade_doom_challenge:

        "The second you come into the shooting gallery section of the arcade Doombringer has his eyes on you, waiting to see what you're going to do next as he checks people into the pods."

    elif shooting_game_intro:

        "The crowd around the mech pod section of the arcade seems to have grown bigger as some tourney organized by Doombringer started, all the pods completely full as people vye to be next on the docket."

        "You see Doombringer patiently getting people signed in, helping others get into their respective pods while you watch from a distance."

    else:

        "Near the back of the arcade was an area dedicated to shooting games, everything from zombie survival shooters to snipers to machine guns were represented here as those that played were glued to the screen while waiting for their targets."

        "One of the biggest areas was a bank of eight pods, each of them in control of a mech creature that others could watch on a projection screen that hung up above them."

        "As you watch the others try to shoot one another in the virtual world with their rigs you notice the leaderboard and see that there was one score in particular that was a factor of ten above the others, one that went by the callsign 'Doombringer'"

        "Though the tag was particularly eye-rolling you couldn't help but admit the guy was good, expertly dodging all the shots that three different players tried to nail him with before releasing a barrage of gunfire that took them all out."

        "A bit of talking with those that gathered around to watch infromed you that this Doombringer was also the one in charge of running this whole area of games as well as special tournaments from time to time."

        if arcade_gift_shop_intro:

            "This was likely one of the three that held the special ticket you needed in order to take control of the arcade, which meant you needed to talk to him immediately."

        else:

            "It was possible that he would be someone to talk to, if he wasn't in direct control of the arcade he would likely know who was."

        $ shooting_game_intro = True

    menu:

        "Challenge Doombringer" if arcade_doom_challenge:
            jump arcade_doombringer_challenge

        "Talk to Doombringer":
            jump shooting_game_leader

        "Find out more about the game":
            jump mech_game_explained

        "Head back to the main arcade":
            jump arcade_proper

label shooting_game_leader:

    if arcade_doombringer_flowers:

        "When you go up to the booth where he's writing down people's names for the next round of the mech warrior tournement he sees you and give you a knowing smile, wondering if you two were about to have an epic duel."

    elif arcade_doom_challenge:

        "When you go up to the booth where he's writing down people's names for the next round of the mech warrior tournement he sees you and give you a knowing smile, wondering if you two were about to have an epic duel."

        "Just as you were about to approach him to talk another lizardman comes up between the two of you and holds up what appear to be a bunch of flowers that he had gotten from some florist."

        "Lizardman Fan" "You're the best Doombringer!  I want you to have these!"

        "You can tell that Doombringer wasn't the most comfortable as he took them and smiled, thanking the enthusiastic male as watches him practically skip away."

        "Once it was clear that the fan boy was out of sight Doombringer's forced smile turned to a frown and he gave them a sniff before crinkling his nose in disgust and throwing them in the trash."

        "At this point you think it might be best not to follow that up, heading back to the main section of the arcade."

        $ arcade_doombringer_flowers = True

    else:

        "You go up to Doombringer once he is finished with his game, though you aren't the only one that wants a piece of him as you are suddenly surrounded by a throng of his fans trying to get at the rubber crocodile."

        "It takes a while but eventually you get up to him and he looks at you with a smug grin on his face and asks if there's anything that you want him to sign."

        "When you inform him of the real reason why you're there he seems to be a bit suprised, his eyes widening slightly before he gives you an even bigger smirk."

        if arcade_gift_shop_intro:

            "Doombringer" "Looks like I got another challenger to try and defend my title against."

            "He motions for everyone else in the group to disperse before he looks down at you with his arms crossed."

            "Doombringer" "Let's keep this simple, it's one match between you and me."

            "Doombringer" "You get a mech of your choice and I get a mech of mine, we let the map randomizer do its thing and the first to blow up the other wins, got it?"

            "The rubber creature seems particularly set in this and you find yourself nodding in agreement, the guy giving you a wink before moving back towards a small table set up in the corner."

            "Doombringer" "I got another tourney to run here but you just say the word and we'll go, I can take a few minutes out of my day to blow you up."

            "Even though it was mostly boasting you could hear the confidence that oozed behind those words as he let you go about your business once again."

            $ arcade_doom_challenge = True

        else:

            "Doombringer" "While I commend you for your efforts I'm afraid you're talking to the wrong guy."

            "Doombringer" "Perhaps you want to go up to the gift shop if you want to see the man in charge."

            "Though you try and get a little more out of him that seems to be the end of it as he goes back to his adoring fans who continue to fawn over him."

    menu:

        "Challenge Doombringer" if arcade_doom_challenge:
            jump arcade_doombringer_challenge

        "Go find out more about the game":
            jump mech_game_explained

        "Head back to the main arcade":
            jump arcade_proper

label mech_game_explained:

    "You decide to head over to one of those that look like they have been watching the game for a while and when you ask about it you are quickly surrounded by several excited gamers that are willing to tell you about what the game is about."

    "This particular game was played in one of the pods which simulated the mech you picked out beforehand.  Once you were loaded in you had the chance to run around the various levels that were randomly generated and try to shoot the others."

    menu:

        "Ask about Doombringer's playstyle":
            jump doombringer_playstyle

        "Find out about the current leaderboard":
            jump doombringer_opponents

        "Head back to the main arcade":
            jump arcade_proper

label doombringer_playstyle:

    "When you ask about how Doombringer is able to maintain such a high score and what sort of style of play he uses the others just chuckle at you."

    "Gamer lizard" "The fact that he is able to utilize a bunch of different play styles is what makes him such a formidable opponent."

    "Another gamer lizard" "Yeah, although I think he might be a little weak on the flying angle because there was that one time he was almost in last place."

    "Gamer lizard" "I think that there was a different reason for that, he didn't look very good after that and nearly stumbled out of the pod."

    "Another gamer lizard" "In either case it doesn't matter what way you come at him, he's not going to let up on you at all."

    $ arcade_doombringer_scared = True

    menu:

        "Anything else you want to ask?"

        "Find out about the current leaderboard":
            jump doombringer_opponents

        "Head back to the main arcade":
            jump arcade_proper

label doombringer_opponents:

    "As you look at the leaderboard you ask them if there was anyone who ever got close to beating Doombringer."

    "Gamer lizard" "Well there was this one guy, think he went by the gamertag Roughrider, he got really close one."

    "Gamer lizard" "I haven't seen him around in a while though, I think he may have moved on to the racing section."

    "You nod and ask about anyone else that might have been able to unseat Doombringer but they just looked at one another and shook their heads."

    $ arcade_roughrider = True

    menu:

        "Anything else you want to ask?"

        "Find out about Doombringer's playstyle":
            jump doombringer_playstyle

        "Head back to the main arcade":
            jump arcade_proper

label arcade_doombringer_challenge:

    "You go up to Doombringer and tell him that you want to challenge him for the special ticket that the gift shop naga had charged you with in order to gain control of the arcade, the crocodile giving you a fanged smile as he tells you that he's ready to go."

    "The only thing is you have to wait for the current game to finish and tells you to wait nearby in order to do so."

    "As you wait near the pods that Doombringer reserves specifically for challenges you realize that now would be the best time to do something while Doombringer and the rest of his brood were busy tallying up the final results of the tournement."

    if arcade_gift_shop_item == "rubber spider" and floral_perfume_found:

        "You take the rubber spider you had gotten and was about to place it in the pod when you realize that you needed it to be hidden enough not to be found right away, but still could be found during the match."

        "As you think about it for a few seconds you remember that you found that floral perfume in the magazine and you take a second to rub it over the rubber spider before tucking it underneath his seat."

    elif arcade_gift_shop_prize and floral_perfume_found:

        "You carefully look around before you take the [arcade_gift_shop_item] and put it in the pod, but just as you were about to set it somewhere visable you realize that you needed to hide it somehow but still have it get discovered later."

        "Your answer is the floral perfume you found, you quickly rub it on the item before setting it in a tucked away area where he would hopefully find it later."

    elif arcade_gift_shop_prize:

        "Once you're sure the coast is clear you take the [arcade_gift_shop_item] you got and toss it into the pod before moving away from it."

    else:

        "You wait patiently as Doombringer checks out all the people in the tourney, making sure that he got all their rankings down."

    "Once all the other players appeared to have gotten checked out in the tournement Doombringer announced that there was going to be a special match between you and him, with the winner getting a very special prize from the other as the crowd hooted and hollared."

    "When he was done with his explination he turns to you and asks if you are ready, and when you respond you are you quickly move over to the challenger pod while he strode confidently over to his own."

    "After the two of you were locked inside you see the screen come to life and you choose your mech, Doombringer's cursor immediately going to one and selecting it after you do."

    "Doombringer" "I hope you're ready for this."

    "You realize that your pod is connected to his and you respond that you're ready, telling him to get the show on the road already."

    "There's a chuckle and a bit of a delay before you see the mech you chose in the middle of a field and a countdown timer that eventually runs out, signaling that the game began."

    if arcade_gift_shop_item == "rubber spider" and floral_perfume_found:

        "You wait patentily and try to avoid getting hit, but Doombringer is true to his name and soon you find your shields running low with little in the way of return fire from you."

        "About midway through the match however you hear the sound of sniffing and you swear you can almost hear Doombringer's disgust, though what you can hear is him shuffling around a bit as his mech gets slightly erratic in its fighting pattern."

        "Despite the distraction he continued to keep the pressure on you and you fear that you may have not picked the right tactic when..."

        "Doombringer" "What the..."

        "Doombringer" "AHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHH!"

        "The mech he was piloting took a nosedive and you could hear him scrambling to get out of the pod, which in turn allowed you to easily fire on the prone mech and it wasn't long before it exploded."

        "With your victory assured you open your pod to see the group that had been watching gathered around a trembling Doombringer, who doesn't even look up at you as the others ask if he was alright."

        "Once Doombringer did have enough composure to look up you were surprised to see a small, albeit slightly panicked, grin on his face."

        "Doombringer" "Either you've been talking to my friend Roughrider or you got very lucky."

        "He holds out his palm and you see one of the shiny tickets that you need to collect right there, eagerly grabbing it and having it melt into your scales as he waves off those concerned about him."

        "Doombringer" "If it's the former than when you see him again tell him I'll be having his ass one way or another."

        "Though you just nod you can't help but smile as you got the ticket, getting you once more step towards your goal of making this place your own."

        $ shooter_game_completed = True

        jump arcade_proper

    elif arcade_gift_shop_prize and floral_perfume_found:

        "You find that Doombringer is an extremely formitable opponent and the longer the fight goes the more it's clear that you're about to lose, which means the only thing you could hope for is the present you left inside his pod."

        "At first you fear he won't see it but as the game progresses you hear him sniffing, then shuffling around in his pod as you hope that what you put in there is enough of a distraction that you can win."

        "Doombringer" "What the..."

        "You hold your breath as it appears he found your [arcade_gift_shop_item]."

        "Doombringer" "Ooookay, that's odd."

        "You feel your heart sink as he continues his barrage on your hiding place, obliterating your shields and then the mech itself in short order as you watch it explode into thousands of tiny pieces."

        jump arcade_doombringer_lose

    elif arcade_gift_shop_prize:

        "As the match goes on it is clear that Doombringer is a force to be reckonded with, blasting through your shields and continuing to corner you no matter where you went."

        "The [arcade_gift_shop_item] you tried to psych him out with appeared to have no effect either, whether he even saw it or was just focused on the game didn't matter as he pummeled you into the ground."

        "After only a minute you watched as the last of your health went down, blowing your mech up into smithereens and declaring Doombringer the winner."

        jump arcade_doombringer_lose

    else:

        "As the battle wears on it's clear that you are completely outclassed, even if you had all the training beforehand in the world it was doubtful you could compare to the sheer expertise that Doombringer showed in your match."

        "It isn't long before your mech is nothing more than a smoldering piece of metal, hearing Doombringer chuckle over the intercom as the screen flashed declaring him the victor."

        jump arcade_doombringer_lose

label arcade_mission_complete:

    "You breathe a sigh of accomplishment as you hold out your palm and the three special tickets you had gotten from the others resolidify in your hands before you hand them to the gift shop naga, who looks at them with slight awe in his eyes."

    "Gift shop naga" "I have to say that I'm impressed."

    "He fishes around behind the counter before bringing out a set of keys that were for the arcade and put them between you."

    "Gift shop naga" "I'll be on my way then, it was time for me to have a change of pace anyway.  If I were you I'd see if I could keep the three that you got those tickets from in your employ, I'm sure they'd love to stay."

    "You nod and watch as the naga slithers out of the shop and up to the exit of the atrium, signaling that you were in fact the one in charge now as you nodded to yourself while looking at your new headquarters."

    jump corruption_headquarters
