label casino_start:

    $ casino_main_intro = False
    $ casino_bar_intro = False
    $ casino_bartender_intro = False

    "With the legalization of gambling on Kajira a number of casinos like the one you were about to head towards sprung up almost overnight, though the one you were heading towards wasn't the biggest it's location on the river made it very popular."

    "Back when you used to run the streets of Kajira as a simple criminal you heard rumors that the place was a front for money laundering as well as a few other seedy operations which meant it would likely suit your needs just fine."

    "The only thing that worries you as you step inside the usually unlocked door is that you weren't the only that had this idea or, ever more shiver-inducing, that it's original occupants are still there."

    menu:

        "Head to the security offices":
            jump casino_security

        "Go to the bar area":
            jump casino_bar

        "Enter the casino proper":
            jump casino_main

label casino_security:

    if $ strip_poker:

        "placeholder"

    else:

        "When you look inside the glass doors that show off the impressive security system of the casino you see the rubber creatures inside hard at work, their eyes glued to the screens watching for potential trouble."

        "Though they continue to be diligent you see that more than one of them would zoom in on the bulges of the other rubber males, and one or two even had their hands between their legs as they did so."

        "As you watch howeever one of them gives you a look and you quickly back away and head to a different section of the casino."

    menu:

        "Go into the bar area":
            jump casino_bar

        "Head into the main casino area":
            jump casino_main

label casino_bar:

    if $ casino_bar_intro:

        "placeholder"

    else:

        "When you go into the bar you find it filled with other creatures, most of them conversing and having a drink while others played the games that were installed into the bar itself."

        if $ casino_main_intro:

            "Much like when the casino proper when you go in here it's like the Shining Rains never happened save for the fact all the patrons were rubber creatures."

            "Behind the bar is a naga bartender who at first looked like the rest of the ceatures, although when he passes by one of the signs you realize that he's semi-transparent and filled with liquid."


        else:

            "placeholder"

        $ casino_bar_intro = True

    menu:

        "Talk to the bartender":
            jump casino_bartender

        "Chat with the other patrons":
            jump casino_barflies

        "Go into the main casino":
            jump casino_main

label casino_bartender:

    if $ casino_bartender_intro:

        "placeholder"

    else:

        "When you get to the bar the rubber alligator that is there he looks at you and gives you a wink, but before you are able to ask anything he immediately sets down a glass in front of you."

        "Bartender" "So, what'll it be for you?"

        menu:

            "Ask about the casino":
                jump casino_bartender_casino

            "Talk about the games":
                jump casino_bartender_games

            "Inquire about Jasper" if $ casino_cashier_intro:
                jump casino_bartender_jasper

            "Order a drink":
                jump casino_bartender_drink

label casino_bartender_casino:

    "When you ask the bartender about what the casino itself and why all these rubber creatures are there he just grins and shrugs at you."

    "Bartender" "Not really sure why, maybe it's a force of habit for some even after the Shining Rains."

    "Bartender" "Even though it's mostly reptiles such as [corrupted_species] like yourself we do get a number of interesting creatures around here, heck even the boss man is a latex shark."

    "Bartender" "Speaking of such watch out for them at the poker tables, I think they may have gotten that form for a reason."

    "Bartender" "Anything else I can do for you?"

    menu:

        "Ask about the games":
            jump casino_bartender_games

        "Inquire about Jasper" if $ casino_cashier_intro:
            jump casino_batender_jasper

        "Order a drink":
            jump casino_bartender_drink

label casino_bartender_games:

    "Bartender" "The casino games here are pretty much like what they were back before the Shining Rains, with a few modifications here and there."

    "Bartender" "You have your poker room where a couple of tables of regulars gather to play, I would be careful around that sort if you can."

    "Bartender" "There's also a sizable bingo hall if that's more your speed, takes a little bit of an investment to play but otherwise it's a bit of good fun."

    "Bartender" "Then of course you have your roulette.  It's all luck there but if you know what to look for you might be able to do well."

    "Bartender" "Anything else I can do for you?"

    menu:

        "Ask about the casino itself":
            jump casino_bartender_casino

        "Inquire about Jasper" if $ casino_cahsier_intro:
            jump casino_bartender_jasper

        "Order a drink":
            jump casino_bartender_drink

label casino_bartender_jasper:

    "When you inquire about the rubber great white shark the alligator's eye ridges move up in a look of slight confusion."

    "Bartender" "You met Jasper?  You're... not thinking of challenging him for this place, are you?"

    "When you tell him that is exactly what you're thinking of doing he shakes his head."

    "Bartender" "Well I'm not going to be one to stop you but I'm going to tell you right now that shark is definitely more bite than bark, you play him he's going to do anything and everything he can to keep this place."

    "Bartender" "I hear he's got a tell when he cheats but rumor is the last guy that called him out on it went through that window in his office so... be careful on that."

    "Bartender" "Anything else I can do for you today sir?"

    menu:

        "Ask about the casino itself":
            jump casino_bartender_casino

        "Ask about the games":
            jump casino_bartender_games

        "Order a drink":
            jump casino_bartender_drink


label casino_bartender_drink:

    "The synthetic alligator's grin widens and he asks you what your pleasure is."

label casino_barflies:

    "The dance floor of the bar had more of a nightclub feel instead of your standard bar and the second you stand on the dance floor you realize that any sort of communication here was going to be next to impossible."

    "You were going to have to get someone away from the heavy music of the DJ and get them to one of the quieter parts of the bar in order to talk to them, and as you watch you see a few that might be easy to draw away."

    menu:

        "Lead away the cheetah in the rave gear":
            jump casino_rave_cheetah

        "Get the stallion in the harness":
            jump casino_harness_stallion

        "Go for the lizardman dressed in a suit":
            jump casino_suited_lizardman

label casino_main:

    if $ casino_main_intro:

        "placeholdeR"

    else:

        "As you enter into the casino it's not what you expected; not only had this area not gotten destroyed at all like many of the places when the Shining Rains hit but it was still actually operating normally!"

        "Of course not everything was quite normal, instead of the usual elderly folks and gamblers at the machines the cliente had been repaced with rubber creatures.  The slot machines had also noticably changed as wel as you pass by them."

        "None of them really seem to pay you any attention, most of them still completely fixated on thier matchines as they continue to play them while you watch over their shoulders."

        "While you continue to explore the area you do notice that the money they're using was far different than the normal Kajira currency that most people had, the machines taking in the black shiny strips of paper the creatures fed them."

        "That would have to be a mystery for another time though as you decide where to go next."

    menu:

        "Check out the roulette table":
            jump casino_roulette

        "Go into the poker room":
            jump casino_poker_room

        "Head into the bingo area":
            jump casino_bingo_area

        "Venture into the high roller's suite":
            jump casino_high_rollers

        "Go to the cashier cages":
            jump casino_cashiers

label casino_roulette:

    "There are a number of other rubber creatures that have gathered around the roulette table, all of them with stacks of shiny black chips in front of them with various glowing colors that represent how much they're worth."

    "When you go up to the table itself they make room for you, allowing you to squeeze in so that you can get in on the action as well if you so choose."

    if $ casino_chips_have:

        "placeholder"

    else:

        "You watch them play for a while and watch the others win and lose, mostly lose, and with nothing to gamble with yourself your options are rather limited."

    menu:

        "Head back to the main casino area":
            jump casino_main

        "Try to talk to some of the other players":
            jump casino_roulette_players

        "Make a wager" if casino_chips_have:
            jump casino_roulette_gambling

label casino_roultte_players:

label casino_roulette_gambling:

label casino_poker_room:

    "The poker room's tables were filled with various creatures betting against one another, the scene almost painting worthy as nagas and other rubber reptilians trade barbs and attempt to one up one another in the game."

    if $ casino_chips_have:

        "As you pass by the lizardman in charge of the casino he gives you a look and when his gaze lands on the chips that you are carrying with you he give you a nod and motions for you to have a seat where you would like."

        "Though the room is mostly full there are a number of tables that have a seat available, the only question is where you want to go and how much do you want to gamble."

        if $ shipyard_card_sharks:

            "While you look around for somewhere to play you happen to notice a few familiar faces as you notice a few latex sharks at a table to themselves, laughing and smoking as they mostly played cards with one another."

            "It was the ones from the shipyards that you met when you were still human... and since you have a new rubber body yourself you knew that they likely wouldn't recognize you at all."

        menu:

            "Go to the table with a high betting limit":
                jump casino_poker_masters

            "Try the one with a low betting limit":
                jump casino_poker_beginners

            "Go to the one with the sharks you had met before" if $ shipyard_card_sharks:
                jump casino_card_sharks

    else:

        "When you try and go up to one of them you are stopped by a rather stern-faced lizardman who holds up his hand at you and shakes his head."

        "Poker Lizardman" "I'm sorry sir, but you don't appear to have any chips on you and this area is closed to specators."

        "You nod, unable to do anything without chips as you head back into the casino proper."

        jump casino_main

label casino_poker_masters:

label casino_poker_beginners:

label casino_card_sharks:

label casino_bingo_area:

label casino_high_rollers:

label casino_cashiers:

    if $ casino_cashier_intro:

        "When you head up to the cashiers the naga that had helped you before seemed to wave you over, as though she is now there specifically for your challenge as you walk over to them."

        menu:

            "How can I help you [povname]?"

            "Check your chip balance":
                jump casino_chip_balance

            "Challenge Jasper for the casino":
                jump casino_boss_challenge

            "Head back to the main casino":
                jump casino_main

    else:

        "When you go up to the cashiers you see a number of rubber creatures like yourself going up to it and exchanging shiny black tokens... but then receive nothing as they just smile and walk away."

        "While you stand in line you ask someone with a rather large stack of chips in their hands what exactly the currency exchange is for this place and they smile at you."

        "Lizardman" "First time at the casino, huh?"

        "You nod your head and he lets out a small ah of understanding."

        "Lizardman" "I can see why you might be confused, you see since we really don't have a need for actual money we use our corruption essence in order to play with."

        "Corruption essence... you remember your [corrupted_species] mentor telling you about your need to corrupt others, but you just thought it was to keep you sane and you relay that information to the lizardman."

        "Lizardman" "Well with the glut of corruption essence we all got from the people of this city, as well as that which is continuing to come in as more get corrupted, we have more than enough to stay corrupters so we decide to have a bit of fun with what we got extra."

        "Lizardman" "Naturally I'm sure you know that the more corruption essence you have the more powerful you are, so everyone comes here attempting to be the next General or Collector or something of that nature."

        "While you wish you could ask your new friend more questions it's his turn to go up to the cashiers to exchange his tokens and you don't have too long to wait as you are called up to the next one soon after."

        "Cashier naga" "Welcome!  How many chips can I get for you today?"

        "You explain to the naga why you're really there, trying to turn this casino into a potential base of operations... though when you made such a plan you didn't realize how occupied this place actually was."

        "Cashier naga" "I see, you wish to challenge the owner?  I can call him right now if you would like."

        "There is a moment where you're slightly taken aback by the ease in which you are able to just go and talk to the owner before you nod, the rubber naga behind the cashier cage asking you to go and wait by the side door for someone to come and collect you."

        "You thank them and head over to the door marked 'Employees Only', looking out at the casino and all those who are still gambling while you wait.  It's hard to believe that creatures you thought were just monsters when you were human were able to do something like this..."

        "Of course you don't have too long to think about it as you hear teh door behind you open, two pairs of hands grabbing you from behind and yanking you through the doorway!"

        menu:

            "Struggle against your captors":
                jump casino_hard_way

            "Let them take you":
                jump casino_easy_way

label casino_hard_way:

    "As you stuggle against your captors you feel them switch tactics on you, one of them shoving and pressing you against the wall while the other zip-ties your hands behind your back and then puts a black bag over your head."

    "After they do the same to your lower body you are then dragged up the stairs and through the hallways of the back of the house completely bound and blind until you hear a door open and are sat roughly onto a chair."

    "Once you are seated you feel the zip ties get cut off your wrists, only to have them resecured onto the arms of the chair before they do the same to your lower body as well."

    jump casino_big_boss

label casino_easy_way:

    "Despite the surge of adrenaline that floods your system you remain calm as you are told not to make any sudden moves, and when you show that you can comply to such an order they let you [species_move] your way up the stairs and through the hallway."

    "After a quick journey through the back of the casino you are brought to a set of large wooden doors, which you see a well-muscled hand reach from behind you to push them open before escorting you inside the very richly-decorated office."

    "The large leather chair behind the rich cherry wood desk rocks slightly back and forth as you are brought to a chair on the other side of the desk, the two goons that brought you there sitting you down before securing your hands and lower body to the chair itself."

    jump casino_big_boss


label casino_big_boss:

    "Once you are secured in the chair the two bodyguards, whose suits were practically ripping at the seams from their bulging muscles, stood on either side of you as you watched the leather chair slowly turned around and faced you to reveal a latex creature you did not expect."

    "Casino Boss" "So you're the one who is thinking they want to dethrone me?"

    "The rubber great white shark lit up a cigar and leaned forward, grinning at you with those sharp teeth of his as looked straight at you with gleaming yellow eyes."

    "Casino Boss" "I have to say I like your spunk, wanting to come up here and challenge me just like that... most people I see wandering around the casino for days, trying to figure out the best way that they can to beat me."

    "Casino Boss" "Of course I did something similar; as soon as the Shining Rains changed me I went here in order to try my luck only to find that I had gotten beaten to the punch on claiming this area."

    "Casino Boss" "But the last one that owned this, a rather cocky iguana, allowed me to challenge him to a game of high-stakes poker and as you can see the rest is history."

    "The rubber shark pours you a drink and offers it you, then when he realizes that he was offering it to someone tied up he chuckles and takes it for himself."

    "Casino Boss" "Now looking at how much corruption essence you have on you this wouldn't be much of a challenge, but I'll tell you what, I'll give you a deal."

    "Casino Boss" "I'm going to extend you a line of credit, you go out to the cashier cage and get your coins and see if you can make enough of your own to challenge me to a proper game."

    "Casino Boss" "Plus it'll give you the chance to prove yourself in my eyes, right now you're sort of a wild card to me so I'm looking forward to watching you strut your stuff."

    "The two bodyguards move to unstrap you from the chair but as they do he holds up his hand and causes them to pause, once more flashing you a toothy grin."

    "Casino Boss" "Of course I don't have to tell you what will happen if you lose..."

    "You swallow hard and nod, then once more get pulled up to a standing position before you are escorted out of the office and back down to the main casino floor."

    "You are brought out of the door that you had been grabbed at and as soon as you are on the other side it closes loudly behind you and is locked in place."

    "Just as you are about to head back into the casino you hear a whistle and turn to see the cashier naga that had helped you waving you over."

    "Cashier naga" "I have your chips here Mr. [povname], compliments of Jasper and the Casino."

    "You look through the small rack of chips that you've been given and realize you have the equivalent of a hundred dollars worth in corruption, a concept that you're still attempting to get your head wrapped around."

    "Jasper... well now you know the shark's name, all you have to do is get enough credits to challenge him to a game and beat him."

    $ casino_cashier_intro = True
    $ casino_chips_have = True
    $ casino_ship_count = 100

    menu:

        "Head back to the main area of the casino":
            jump casino_main

        "Go to the bar":
            jump casino_bar

        "Go to the security room":
            jump casino_security

label final_table_showdown:
