label start:

    $ serathin_touched = False
    stop music

    "Kajira... a metropolis located on the coast on the largest of an island chain that branched off from the main continent."

    "Not only was it a major trade hub with access to several large ports, but also the gateway to the more tourist-laden cities and towns for human and anthro alike that were further down the island chain."

    "It was consdiered a hub of commercialism, any company worth their salt had at least a major distribution office there, if not their main headquarters."

    "Such access and connections also came with a darker side; those who were interested in less than legal enterprises also found a home there in the bustling city."

    "However, despite its flaws however Kajira was a shining beacon and safe haven for many who decided to call it home."

    "One day the sun rises just like it always does, shining in a cloudless blue sky while you sit at the local coffee shop in one of the smaller residential districts of the city."

    "You sip on your drink of choice for the day as you watch people go about their morning."

    "As you mind your own business another gentlemen sits down next to you, his long ponytail swinging behind him as he looks over at you with a pair of green-tinted sunglasses."

    "Stranger" "Looks like it might rain soon."

    "He says it with a sly grin on his face, and as you look out at the clear sky and then back at him he looks straight at you as though daring you to call him a liar."

    "Stranger"  "So what do they call you?"

    define pov = Character("[povname]")

    python:
        povname = renpy.input("What's your name?")
        povname = povname.strip()

        if not povname:
            povname = "Pat Smith"

    pov "My name is [povname]."

    "Stranger" "Ah, that's a great name, so have you been in this city very long?"

    "When you tell him that you you've been here long enough to establish yourself the man chuckles and takes a drink from his glass before he continues on."

    "Stranger" "Well I don't know if anyone has said this to you but welcome to Kajira."

    "He says it in a warm and genuine tone as he puts down his drink and begins to gesture around with his hands."

    "Stranger" "Now the way I see it there are four types of people that come to this city, at least those with any intention of sticking around like you.  Let me list them off to you, I will bet you my hat that you will fall into one of these four."

    "You look up to see that he's not wearing a hat, but decide to indulge him anyway since he seems so eager to tell you his theory.  He went on to explain that the first and primary kind of person to come to Kajira were the merchants."

    "Those were your business people, your movers and shakers in the city who normally have an eye for detail and a silver tongue.  They could be anything from shop owners to CEO's to the ones who sold novelty items in the middle of the street."

    "The second kind of people, he went on to say, were the performers.  They were in Kajira for two reasons; either to get into the spotlight or to get out of it."

    "Normally the kind of performers here are very physically active and have quite the high dexterity and strength.  They also know how to get the attention of the crowd whether it's on one of the stages or performing out for the tourists."

    "The third were researchers, those who came to study at the institutions set up by those with all the money."

    "These highly-intelligent individuals know how to solve a complex problem and often have higher than average computer skills.  Most researchers can also find complex patterns and use them to solve whatever problem they happen to be looking at."

    "Finally you had your criminal element, those that come to profit on the more... creative and less than legal avenues.  From the cat burglar to the smuggler to the con artist most criminals on Kajira tend to be better than most."

    "Security systems are normally no issue for a criminal and they usually know where the good stuff is."

    "Stranger" "So [pov], did I get it right?  Are you one of those four?"

    menu:

        "I'm a merchant.":
            jump merchant_class

        "I'm a performer.":
            jump performer_class

        "I'm a researcher.":
            jump researcher_class

        "I'm a criminal.":
            jump criminal_class

label merchant_class:

    $ character_class = "merchant"

    "The man slaps his knee and lets out another laugh."

    "Stranger" "What did I tell you?"

    "Stranger" "It's always one of those four.  Come here to make your fortune, or did you already do that and you own the island now?"

    jump class_chosen

label performer_class:

    $ character_class = "performer"

    "The man slaps his knee and lets out another laugh."

    "Stranger" "What did I tell you?"

    "Stranger" "It's always one of those four.  I always envied those that could make a living off of making others happy, do you do anything like street performing or are you one of those big name actors that I might not have heard of being cooped up in a lab all day?"

    jump class_chosen

label researcher_class:

    $ character_class = "researcher"

    "The man slaps his knee and lets out another laugh."

    "Stranger" "What did I tell you?"

    "Stranger" "It's always one of those four!  You're a man after my own heart, trying to unlock the mysteries of the world through logic and understanding."

    "Do you happen to have a specific field of research that you've come to the island for or are you just a generalizst in search of a job?"

    jump class_chosen

label criminal_class:

    $ character_class = "criminal"

    "The man's glasses slip slightly as he tilts his head towards you."

    "Stranger" "Well I certainly can't say you aren't honest, even if your profession isn't."

    "Stranger" "But like I said it's always one of those four.  You come to take these people for all they're worth or have you done that already and looking for a place to hide out for a while?"

    jump class_chosen

label class_chosen:

    "The man seemed to catch himself in his own line of conversation and waved his hands in the air, shaking his hands at you before apologizing."

    "Stranger" "Ah sorry, getting too personal, you don't have to tell me that,"

    "Stranger" "In any case I happen to be a scientist, herpatology in fact.  Always found the big reptiles to be the most fun to study in my humble opinion, especially the komodo dragon."

    "Stranger" "Do you have a particular type of reptile that you like the most?"

    menu:

        "Snakes are fun.":
            jump snake_species

        "I really like lizards.":
            jump lizard_species

        "Crocodiles are cool.":
            jump crocodile_species

        "Dinosaurs are the best.":
            jump dinosaur_species

label snake_species:

    $ corrupted_species = "snake"
    $ species_adj = "serpentine"
    $ species_move = "slither"

    "Stranger" "I always feel bad for the rap that snakes get."

    "Stranger" "They've been made out to be the bad guys ever since the bible, and all they want to do is reach out there and give you a hug."

    "The man chuckled, then looked down at the table when it faded."

    "Stranger" "Apologies, bad snake joke, in any case despite their stigma they are quite the fasinating species to be able to survive slithering around like that and some of them are quite cute to boot."

    jump species_chosen

label lizard_species:

    $ corrupted_species = "lizard"
    $ species_adj = "reptilian"
    $ species_move = "pad"

    "Stranger" "A lover of the classics I see."

    "Stranger" "Something that always gets me is the number of companies that use a lizard as a logo.  You could almost say that they're the rockstars of the reptile world, if they had the capability to collect royalities they'd probably be the richest animals in the world!"

    "Stranger" "I also see them used in those fantasy movies and games all the time, though they're walking around and using weapons which gives me a kick."

    jump species_chosen

label crocodile_species:

    $ corrupted_species = "crocodile"
    $ species_adj = "crocodilian"
    $ species_move = "trudge"

    "Stranger" "Ah yes, the oldest original living species out there, or so they say."

    "Stranger" "They certainly are quite the predator, I know I wouldn't want to see that grin of theirs looking at me from the bank of a river.  Tough scales, powerful jaws, all in all something you definitely don't want to mess with."

    jump species_chosen

label dinosaur_species:

    $ corrupted_species = "dinosaur"
    $ species_adj = "saurian"
    $ species_move = "sculk"

    "Stranger" "A fan of the prehistoric are we?  A little too ancient a species for my knowledge but they are fun nonetheless."

    "Stranger" "Plus if we didn't have dinosaurs then some of the more famous movies in the world would never have been made.  While it's a shame that we can't study them nowadays I think I'm more greatful I can't wake up one day and find a T-rex in my backyard."

    jump species_chosen

label species_chosen:

    "The man suddenly looks down at his watch and then quickly finishes his drink as you watch him get slightly flustered."

    "Stranger" "I didn't realize what time it was."

    "He gets up from his chair."

    "Stranger" "Here I am talking your ear off and I didn't even consider you might have had an engagement yourself.  Here, let me pay for your drink at least as my thanks for the rousing conversation."

    "It isn't until the man puts down the money and walks out of the coffee shop that you realize he had just sort of sat down and started talking to you with no real prompt.  You realize you didn't even get his name as you put the money down on your bill to pay for your drink."

    "As you wonder if you'll ever see the strange and talkative man again you get up from your table and notice that the entire shop has gone quiet, all of their heads turned towards the window."

    "Hushed whispers pass between the patrons as they look out at the thick black clouds that had formed on the previously clear day, a shadow of darkness covering the streets as those outside look up as well in confusion."

    "As you stare outside the window with the others the view is suddenly obscured by a black liquid that quickly begins to coalesce on the glass."

    "It takes a few seconds before those inside, including yourself, realize it's the rain that's an inky color and very viscous, to the point where soon it becomes impossible to tell what's going on outside."

    "But while sight is completely blocked you can still hear what's going on beyond the glass, though it's impossible to make out specifics.  You can tell, however, that people are shouting and that cars were coming to a screeching halt with some ending in a large crash."

    "Someone makes mention that they should maybe open a door to go outside and look or possibly help, but no one makes a move to go and see."

    "..."

    "For a minute everyone just stands there in silence as the noises outside grow quieter, the rain stopping as suddenly as it had started.  Everyone starts to grow nervous as the sounds of the outside world had ceased, as though it had come to a complete standstill."

    "Then something low and indistinct could be heard, followed by a shout, then another before the sounds of multiple people yelling filled the air."

    "Once again the suggestion was made to open the door and see if anyone needs help, but no one wanted to venture forward and expose themselves to what potentially had happened that would cause such a large amount of screaming."

    menu:

        "Go and open the door":
            jump rubberpocolypse

        "Stay where you are":
            jump calm_before_the_storm

        "Advance mode: Laboratory Start":
            jump laboratory_start

        "Advance mode: Arcade Start":
            jump arcade_start

        "Advance mode: Studio Start":
            jump studio_start

        "Advance mode: Communication Hub":
            jump communication_interrupted_don

        "Advance mode:  Secret Military Base":
            jump military_installation_begin

label rubberpocolypse:

    "You decide if no one else is going to look outside to see what was going on, you are.  You feel everyone's eyes drift to you as you walk towards the door to the coffee shop but no one stops you, everyone else is just as eager to see what's going on outside."

    "As you get to the window you can see that whatever was in the rain has already solidified into a thick film on the window, making peering out even at close range impossible."

    "The second you open the door you immediately wish you hadn't, the patrons of the coffee shop gasping and shouting at the scene you reveal.  Outside everything looks like it was coated in the same thick layer of rubber as the windows of the shop."

    "Cars were crashed into one another and some objects almost completely indistinguishable underneath the shiny substance."

    "But what drew the most attention was someone who had likely gotten caught out in the rain, his clothes covered in a thick layer of the substance that still drips from them as he clutched his head."

    "He seems to be in some sort of pain but before you could decide to go out and help him the scene took a dramatic turn..."

    "As the man in the street began to shout his cries grew steadily deeper as his actual clothes began to drip off his body like they were dissolving, exposing rubber-covered skin underneath as his head thrashed from left to right."

    "His disintegrating shoes burst at the seams as his hands and feet grew larger, the toes and fingers morph and twist until they're the hands and feet of a monster, complete with claws."

    "When he finally pulls his enlarged hands away from his face it looks massively swollen and the muscles continue to pulsate as it stretches out while his wide-open mouth and tongue, also covered in the shiny black substance, allows you to see his teeth grow sharper and his tongue stretch to inhuman length."

    "As his shouts turned to growls the last of his clothes either melt or are torn from his expanding frame as his body inflates with muscle so quickly it's as if someone is filling him like a balloon, especially when a thick rubber tail pops out from his backside that whips around in the air behind him."

    if character_class == "criminal" or character_class == "performer":

        "Just as you are about to close the door another creature suddenly jumps down straight in front of you and lets out a loud hiss!"

        "It takes a swipe at you but you manage to dodge out of the way, the creature stumbling forward into the coffee shop to attempt to pounce."

        "The woman behind you isn't so nimble and before she could move out of the way it pounces on her, her screams filling the coffee shop as the rubber on the creature begins to transfer on her clothes and skin."

        "Almost immediately you begin to see a similar transformation start on her body, her dress melting away where the rubber substance made contact and the shiny liquid began to spread over her skin like wildfire."

        "Someone shouts to run for the shelter and as you move away the front window suddenly bursts as another creature crashes through it!"

        jump run_for_your_lives

    else:

        "Just as you try to close the door again another of the creatures drops down in front of the doorway, it's mostly transformed face hissing at you loudly!"

        "You try to back away as it takes a swipe at you but stumble backwards, the clawed hand slicing through your shirt and leaving four black parallel streaks on your chest."

        "As you continue to fall backwards onto the ground you brace yourself for it to pounce on you, but instead its attention is turned towards a woman behind you that it pounces on instead."

        "As people start to panic and run towards the back the front window suddenly bursts as another creature crashes through it.  You attempt to run with the others to safety, but your vision starts to grow blurry as the marks on your chest heat up..."

        jump beginning_corruption  # this is a bad end, go to badends

label calm_before_the_storm:

    "You decide to stay where you are and wait, hoping that new information comes up from the safety of where you were standing."

    "Before anyone else can decide to try and see what's going on the television, which had just been running a typical early morning piece of programming, flashed with an emergency report screen before going to the two anchors of the Kajira local news network."

    "Anchorwoman" "This just in."

    "Anchorwoman" "We are here at Kajira News Television with an emergency report.  A bizarre rainstorm has left the entire city coated in a strange residue."

    "Anchorwoman" "If you are seeing this broadcast and are in the city local law enforcement is advising everyone to seek shelter as quickly as possible.  You are urged not to go outside or to leave your place of residence while the composition of this strange substance is analyzed."

    "As many of the people in the coffee shop gasped the camera switched to the male anchor at the news desk."

    "Anchorman" "While preliminary reports are still flooding the station the current knowledge is that anyone caught in the rain has exhibited symptoms that could be concurrent with some sort of infection or other illness."

    "Anchorman" "If you know someone or are around anyone that may have come in contact with the rain you are advised to distance yourself immediately."

    "Anchorman" "Authorities are unsure whether this was some sort of intentional attack or some unknown natural phenomenon but until the damage is contained it will remain a mystery.  Sources say-"

    "A loud crash suddenly causes everyone to tear their eyes away from the television as something barrels its way through the black-covered window, the creature that caused it rolling on the floor for a few feet."

    "Shouts of confusion quickly turn to screams as it quickly jumps up to its feet and lets out a loud, inhuman roar!"

    "Its entire humanoid body, which was completely naked save for the layer of rubbery material that likely came from the rain, seems to be mutating before everyone's eyes."

    "It reaches out with unnatural speed and grabs the nearest person, a guy trapped by several chairs who shouts as he tries to squirm out of its grasp."

    "The disfigured human face of the bigger creature just held him in place and an unnaturally long tongue pushes its way out of the half-formed animal muzzle to lick across the captive man's head and neck, even pushing into the man's mouth."

    "The rubber liquid seems to spread across the restrained male as his entire body began to convulse, clothes underneath the creature's gasp sizzling away as the once normal person's head began to morph and swell just like the thing that held it."

    "From behind the shocking display you can see more similar creatures out in the streets doing the same thing, some of them dragging out people from their cars while others were chasing those who had somehow avoid the original deluge."

    "But as you and the others stare out they seem to see your group that had been exposed by the broken window, their rubber-covered tongues flicking out as they eye you all hungrily."

    "They quickly start to sprint towards the coffee shop as the original creature drops the half-naked and half-mutated male to the ground, who quickly stood on his rubber-covered feet and let out roar as they both eye up their next prey as well."

    jump run_for_your_lives

label run_for_your_lives:

    "You and everyone else run down the concrete steps into the building's foundation level, normally reserved for hurricanes and potential nuclear devastation but currently used as a storage area for coffee house supplies."

    "As you make your way down the infected creatures continue to bear down on the group, those behind you shouting as they are pounced upon."

    "Those that are caught seem to quickly succumb to the effects of whatever transformative toxin was in the rain and on the creature's skin, which causes the number of creatures chasing you to double as you run down the stairs as fast as you can."

    "Thankfully when you reach the final stairwell it's a narrow passage, though for the two people behind you it was too little too late as they are pulled back against the creatures and subjected to the mutating substance that turns them into monsters as well."

    "When you finally get to the bottom you were thankful to see the shelter still had the original steel blast door, and once you are sure that everyone not turning to a monster was inside you and several others slam it shut and lock it."

    "Only a few seconds later you back away when you hear a loud thud against the metal, followed by another and another before the banging grows to a near constant frenzy."

    "Everyone stares wearily at the door; it's the only way in or out of the shelter that either meant their salvation or their demise depends on the integrity of a single piece of metal."

    "Minutes pass and finally the pounding died off, the attack against the door seems to cease and the room quickly grew deathly quiet."

    "..."

    "Suddenly a woman you recognize as the barista for the coffee shop shouts."

    "Barista" "Wha... what the hell just happened?!"

    "It was the match that exploded the powder keg of shouts and cries from the group inside the shelter."

    "Everyone there is justifiably terrified and afraid; they are locked down in a bomb shelter while the entire city is getting ravaged by strange rubber monsters created by a rain of rubber."

    "Everyone wants answers and no one down there had them, which meant nothing was happening save for people's emotions getting heated."

    menu:

        "Take charge of the situation":
            jump leadership_role

        "Sit back and stay out of it":
            jump follower_role

label leadership_role:

    "You shout to get everyone's attention, which despite the roar of the people inside your voice manages to carry enough to get everyone to stop their arguments and look at you."

    "Unfortunately it meant that all eyes were on you now as you swallow hard from the sudden attention."

    "As calmly as you can muster you say that you know everyone is scared, but that they were at least in a safe place to wait until help arrives."

    "If everyone could just remain as calm as possible, you state, then when the army or something of that nature arrives everyone can get out and maybe even figure out what happened to the city."

    if character_class == "merchant" or character_class == "performer":

        "As you continue to talk everyone seems to be listening to you, either nodding their head in agreement or at least no longer looking angry.  It appears that your words managed to get everyone calmed down enough that the moment of panic passes."

        "As you sit back down on the sacks of coffee beans that were good enough for a chair everyone gives you a small nod of respect."

        "While you're not sure they would follow you into battle or anything like that it seems you are earning enough of their respect with your eloquence that they'll at least listen to you."

        "Of course none of that will matter unless something takes care of whatever is out there, which continues to remain a mystery on the other side of that door."

        $ group_leader = "player"

        jump wait_it_out

    else:

        "While you talk there are noises of dissention that begin to rise up in the group, your words growing less effective with each passing one until the arguments you tried to quell start up again."

        "Soon it becomes clear that you are fighting a losing battle and sit down again, only to get dragged into a conflict where another asked you what gave you the right to say anything."

        "Before you can get into it with the other survivor however a loud, booming voice tells everyone to shut up and it overpowers everyone else in the room."

        "Man" "All of you need to rest those teeth flappers of yours and take a second to catch a breath!"

        "The sheer force of his shout causes everyone to grow quiet once more and look at him."

        "Mason"  "Now my name is Mason and I'm a security officer for one of the corporations here in Kajira.  While I don't know what happened either I want to get out of this in one piece and with my head on straight just like you all."

        "Mason"  "If we stick together and wait this out then we'll be just fine, I'm sure whatever happened up top the military and everyone else will be converging on this place to rescue us and clean up the mess."

        $ group_leader = "mason"

        jump wait_it_out

label follower_role:

    "As more and more people get drawn into the panicked argument you decide to stay on your laurels and watch.  There was no reason to single yourself out and no one seemed to be paying attention to you anyway."

    "It was also the chance to work out your own thoughts, particularly flashing back to the horrors that had unfolded in front of you.  It isn't long though before a particularly large man let out a loud whistle that caused everyone to stop immediately and hold their ears."

    "Man" "All of you need to rest those teeth flappers of yours and take a second to catch a breath!"

    "Mason"  "Now my name is Mason and I'm a security officer for one of the corporations here in Kajira.  While I don't know what happened either I want to get out of this in one piece and with my head on straight just like you all."

    "If we stick together and wait this out then we'll be just fine, I'm sure whatever happened up top the military and everyone else will be converging on this place to rescue us and clean up the mess."

    "The others seem to understand and nod sullenly as Mason takes his place along the wall he had been leaning upon.  Like Mason had said no one knew what was happening, what they had saw just before they had to run could have been anything."

    "All anyone could do at that point was just sit and wait for help to inevitably come to rescue everyone."

    $ group_leader = "mason"

    jump wait_it_out

label wait_it_out:

    "Despite the tension draining out of the room everyone had forlorn looks on their faces as they try to get comfortable where they could."

    "Those with cell phones attempt to call out or get an internet signal but whether due to the disaster or the nature of the shelter no one could get any sort of reception."

    "There was enough actual food in the shelter to last for the next few days, which hopefully was long enough for the military or whatever to come in and try to clean things up."

    "The only question was how long did they wait before they had to leave their place of safety in order to check?"

    jump survival_begins
