label laboratory_start:

    $ science_mission = "unknown"
    $ labboxone = "stored"
    $ labboxtwo = "stored"
    $ labboxthree = "stored"
    $ labboxfour = "stored"
    $ labboxfive = "stored"
    $ labboxall = False
    $ numberlabboxes = 0
    $ labscalezeroed = False
    $ lab_box_taring = False
    $ research_offices_intro = False
    $ research_bio_office_intro = False
    $ research_chem_office_intro = False
    $ research_op_office_intro = False
    $ correct_chemical_ph = 9
    $ incorrect_chemical_ph = 6
    $ research_loading_boxes = "none"
    $ research_cooler_intro = False
    $ testing_lab_intro = False
    $ science_mission = "unknown"
    $ lab_locker_intro = False
    $ lab_condensation_tube = "none"
    $ lab_condensation_needed = False
    $ specimen_storage_key = False
    $ research_biology_intro = False
    $ lab_pcrchem_solution = "none"
    $ research_machine_failed = False
    $ research_chemistry_intro = False
    $ ph_probe_location = "buffer"
    $ ph_probe_calibration = "none"
    $ ph_lowph_calibration = False
    $ ph_neutralph_calibration = False
    $ ph_highph_calibration = False
    $ lab_purified_liquid = "none"
    $ chem_polymerase_info = "none"
    $ lab_pcrchem_solution = "none"
    $ lab_polymerase_addition = "none"
    $ chem_polymerase_mixing = "none"
    $ chem_pcrbeads = "none"
    $ lab_chem_phnotes = False
    $ research_offices_visited = 0
    $ research_pcrmachine_notes = False
    $ lab_sample_passes = "no"
    $ specimen_storage_investigation = False
    $ research_troy_introduction = False
    $ research_loading_area_intro = False
    $ lab_condensation_tower = "none"
    $ research_chemist_comment = False
    $ research_cord_problems = False
    $ pcr_research_cord = False
    $ research_pcr_connection = False
    $ lab_pcrchem_polymerase = "none"
    $ research_password_found = False

    "The research lab you knew about was a smaller sattelite of a food and beverage testing company so it wasn't located in the heart of the science district like more labs of that nature."

    "With it's location you could no only continue to do scientific persuits but still be close to other conversion targets so you could spread the rubber to others and continue to be a corruptor."

    "Of course as you head up to the front of the building and find the doors not only unlocked but completely open you realize that others may have had the same plan, something that only causes you a moment's pause as you step inside."

    "While you're hoping that you might find some unconverted humans to tied you over it's more likely that you'll find a group of rubberized individuals that would like to do the same for you."

    jump lab_front_lobby

label lab_front_lobby:

    "The moonlight streams in through the front doors behind you as you look around the front lobby area.  There is naturally no receptionist at the desk and beyond that is the doors to the lab."

    menu:

        "Head to the main testing lab":
            jump research_testing_lab

        "Check out the office area":
            jump research_offices

        "Look in the back loading area":
            jump research_loading_area

label research_offices:

    if research_offices_visited == 5:

        jump research_office_drone #this is a bad end, go to bad ends

    elif research_offices_visited == 4:

        "Once more you find yourself in the offices of the lab, now intimately familiar with the layout as you go in to look for the information you seek."

        "Scientist" "Oh hey [povname]."

        "You sigh inwardly as you hear the voice of the lizardman scientist from before is once more behind you, looking at you expentently as you ask him if you could help him."

        "Scientist" "Well I was hoping that since you spend so much time here if you could reorganize a few of these files for me?"

        "You ask why you would possibly do such a thing."

        "Scientist" "When we came in here we sort of wanted to get going and made a bit of a mess and never had any time to go back and get it all cleaned up."

        "Scientist" "With you here now you can take care of some of this office work while you're back here, that way in the future you can find things that are asked for more easily without having to dig around random piles!"

        "Though your first instinct is to tell him off you can't help but rationalize that he makes a good point, and soon you find yourself actually going around and tidying the place up a bit."

        "You don't even realize how through you are in your organization until you snap out of your cleaning trance and see the offices mostly put back to order, actually looking clean for once as you feel a strange sense of pride welling up in your chest."

        "With the task given to you done it's time to get back to work."

        $ research_offices_visited += 1

    elif research_offices_visited == 3:

        "As you go into the offices of the lab this time everything begins to feel a little more familiar to you, part of you wondering if you could have made a career out of this in your former life."

        "Scientist" "Hey, could you get me a inventory request form?"

        "The sound of another's voice quickly causes you to turn around and you see the rubber lizardman standing there looking rather impatient."

        "You tell him that you don't actually work in the offices and his eyes seem to narrow slightly; while you're not sure it's because he doesn't believe you or just doesn't care he continues to stand there tapping his clawed foot on the ground."

        "Scientist" "I've seen you back here enough time, I would think that you knew where things were by now."

        "It's clear this creature won't leave until you get what he asks you so after a few minutes of digging around the various offices you finally find it and give it to him."

        "Scientist" "Thanks [povname], you're really handy to have around here."

        "You just shake your head as you leave and get down to the task at hand..."

        $ research_offices_visited += 1

    elif research_offices_intro:

        "Once more you venture forth into the offices of the lab, finding them in the same disarray as they had been the last time you came in."

        $ research_offices_visited += 1

    else:

        "The offices themselves are on a hallway outside of the main lab area and seperated by a wall, which meant that no one could see you sneak around as you take a look inside them."

        "Most appear to be in a state of disuse; papers were scattered all over the place and it looks like those who were searching them cared not that they were making such a mess."

        "While a through search may possibly yield something it's probably not for the best with others potentially roaming around."

        $ research_offices_intro = True

        $ research_offices_visited += 1

    menu research_office_directory:

        "Search the head of biology offices":
            jump research_biology_office

        "Search the head of chemistry office":
            jump research_chemistry_office

        "Search the head of lab operations office":
            jump research_operations_office

        "Go back to the front lobby":
            jump lab_front_lobby

        "Look in the back loading area":
            jump research_loading_area

label research_biology_office:

    if research_bio_office_intro:

        "You look around the office that had been once used by the head of the biology department of this lab."

    else:

        "It appeared you weren't the first person to think of going through the papers that were in the head of the biological sciences office, and though it appeared everything had been rifled through whoever did it kept things relatively organized."

        "Most of the piles appear to be sorted into things like personnel records, reports, and other things like that.  As you scan through them however you do notice that there was a small grouping of binders that were important enough to be on the desk."

        $ research_bio_office_intro = True

    menu bio_office_material:

        "What do you look at?"

        "Check the manual on the proper usage of good lab practices in dealing with biological samples":
            "Though it's a small book what you manage to plow through details everything from flame steralization to the use of gloves when measuring samples."
            "It also goes through how to properly pipette a sample onto petrifilm or agar plates and then cover and store for incubation."
            "Though you're not sure how that's going to help you in the future you now feel like you are better equipped to move around a lab."
            jump bio_office_material

        "Read the procedure on the usage of specimen scales":
            "There really isn't a whole lot to the specimen scale procedure."
            "Aside from making sure that you keep a clean and sanitary surface you are told to make sure there's no residue on the object your sampling and to zero out the scale with the vessel you're holding the sample in so it doesn't skew the results."
            $ lab_box_taring = True
            jump bio_office_material

        "Read the incubation research tables":
            "What you find is a rather dry table that refers to the time that you were supposed to be putting samples into the incubator in order to have optimal growth for bacteria."
            "You put the tables back with a new knowledge of how long it takes for samonella cultures to grow."
            jump bio_office_material

        "Notes on the PCR machine":
            "As you look through the guide manual on how to properly use the Polymerase Chain Reaction machine you notice that someone had been scribbling a number of notes in the margin."
            "'Don't run the machine for more than three samples in a row without a cooldown.'"
            "'Make sure it's plugged into the right wall to prevent a breaker from tripping.'"
            "'The heating block in the machine is running cool, set the temperature twenty-five degreees over the recommended in order to get viable results.'"
            "'Tell Jerry to stop eating when he's around the machine, I found melted cheese inside the block again... at least I hope that he's just eating around it.'"
            "The notes go on for a while before you finally put down the book and move on."
            $ research_pcrmachine_notes = True
            jump bio_office_material

        "Data logs for the biological lab equipment":
            "What you find is pages upon pages of raw measurements that were likely calibration logs for everything from incubators to automated pipettors."
            "It appeared to be months worth of notes and each device had pages upon pages of observational data attached to it."
            "Not surprisingly those logs end the day before the Shining Rains... it appears that the new occupants of the lab weren't as meticiulous in their recording as their former predecessors."
            jump bio_office_material

        "Head out of the office":
            jump research_office_directory


label research_chemistry_office:

    if research_chem_office_intro:

        "You look around what had once been the office for the head of the chemistry department."

    else:

        "This area was definitely for the chemistry department, even without the placard on the door you could have guessed from the number of chemical equations and other such items inside of it."

        "You have to pull a large poster of the periodic table that had fallen off the wall and onto the table, but otherwise underneath it you find that most of the papers have gone relatively undisturbed."

        $ research_chem_office_intro = True

    menu chem_office_material:

        "How to use the mass spectrometer":
            "You get a very lengthy, very detailed guide of how to use the machine in order to discern the different elements that go into a particular compound."
            "Part of you wonders what it would be like to test the rubber that you are covered in, but you think that it would either come back as mundane latex or as something so exotic it can't be tested."
            "Either way the stats in this book go way over your head and you are unable to comprehend much more about the use of such a complicated machine."
            "Perhaps it's something better left to the professionals."
            jump chem_office_material

        "The melting and boiling points of common elements and compounds":
            "It appears to be a notebook for the use of chemicals in various reactions and in lab equipment, particularly the mass spectrometer."
            "You flip through a few pages but the amount of data is staggering... unless you had something in partucular you were looking for it was rather pointless."
            "After a few more cursory glances you put the book down and continue on looking."
            jump chem_office_material

        "A guide for balancing the pH of chemicals":
            "What you find appears to be a comprehensive guide for the testing of the pH of chemicals using a new device that they had just gotten a few weeks ago."
            "From what you could read the device needs to be calibrated using three buffer solutions: a red low pH solution first, then a clear neutral pH solution, and finally a blue high pH solution last."
            "To calibrate you just dip the probe in each one and hit the 'tare' button, then after that the machine will be properly calibrated and can more accurately test chemicals."
            $ lab_chem_phnotes = True
            jump chem_office_material

        "Invoice for ordering of chemicals":
            "It appears to be a normal invoice for the ordering of chemicals, pretty standard ones too as you read down the list."
            "As you are just about to put it away however you do notice a note that catches your eye written in hasty letters on a post-it note next to one line item in particular."
            "'There is NO way we're using this much chloroform in your sample studies!'"
            "The anger portrayed through the note makes you wonder what exactly was going on in this lab before the Shining Rains happened as you put the piece of paper away."
            jump chem_office_material

        "Proper distillation and purification of chemicals":
            "What you get from this guidebook is a number of diagrams on the proper utilization of building a condensation tower in order to purify or distill chemicals to be used in certain things."
            "From the diagram you can use either air, water, or gas condensation tubes in order to get the desired results."
            "Also it appears you only have to distill most chemicals once, after that the purification process becomes more of a hindrence than a help."
            jump chem_office_material

        "Mixing polymerase solutions with use of PCR beads":
            "You find a small booklet that likely came with a PCR kit explaining how to properly mix a polymerase solution in order to be used in a PCR machine."
            "It states that you have to take a neutral base, one that has been distilled in order to remove the excess hyrdate solution, then add exactly forty milliliters of polymerase."
            "Once the polymerase has been added you swirl it around gently until mixed, and then add the PCR beads in order to prevent as much suspension as possible."
            $ chem_polymerase_info = True
            jump chem_office_material

        "Head out of the office":
            jump research_office_directory

label research_operations_office:

    if research_op_office_intro:

        "The inside of the lab supervisor's office is just as you left it the last time."

    else:

        "This office area is dominated with work schedules, inventory invoices, machine maintenance charts, and other such things that seem to be a part of the day to day operations of the lab."

        "Though there's nothing that identifies it clearly as such you assume you're probably standing in the office of the head lab technician, or at the very least a supervisor of sorts."

        "As you search around you find a lot of information... the only question will be if it's any help to you or not."

    menu op_office_material:

        "Schedule for lab technicians":
            "As you look at the schedule your eyes widen in shock at how many hours they had put in even before the Shining Rains happened... some of them in overtime by the time they hit the middle of the week."
            "Apparently that made management mad as there were a number of notes on how to potentially reduce the amount of overtime that the technicians received, as well as a theory that the technicians were doing on purpose, something called..."
            "...super overtime club?"
            jump op_office_material

        "Invoice on fume hood repairs":
            "What you find is a small piece of paper with a number of prices on it, detailing how the air and gas system in the fume hoods for the chemistry department are in dire need of replacement."
            "It appears that the head of the lab had shut down both until the necessary repairs are made... and from the date it was rather recent before the Shining Rains happened."
            jump op_office_material

        "Grivences made by lab technicians":
            "You find a folder with a number of complaints in it, and while they're rather spread out most of them appear to be between the chemistry and biology departments."
            "In the weeks leading up to the shining rains there were no less than ten filed between the two, everything from taking markers and pens without asking to intentional sabatoge in order to make the other part of the lab look bad."
            "The most recent one appeared to be where the data cord used between the larger machines in the lab was stolen from the PCR machine in order to attack to the laptop of one of the chemistry department's mass spectrometers."
            "After looking through a few you put down the thick stack of papers and shake your head."
            $ research_cord_problems = True
            jump op_office_material

        "Notice on pathogen level testing":
            "This stack of papers had a number of notices desginating the lab as the stage two pathogen testing facility, which meant while what they were working with wasn't terribly dangerous it was enough to warrant expanded PPE protocols."
            "You wonder what they would have classified this rubber outbreak as... a pathogen infection, an airborne turned bloodborne plague?"
            "...maybe a zombie apocolypse?"
            "Either way while the reading does have some interesting distinctions between the levels of pathogens being tested you really don't see anything that could be of use to you in here."
            jump op_office_material

        "Order of promotion given to lab technician":
            "This appeared to be the paperwork that was used to promote a lab technician before the Shining Rains happened, though as you read through it you find that the promotion was resinded a short while later."
            "Though it was an interesting read you aren't sure exactly what such a thing could be used for in your current situation as you put the paper back."
            jump op_office_material

        "Head out of the office":
            jump research_office_directory

label research_loading_area:

    if research_loading_area_intro:

        "You find yourself once more in the back of the research facility where they receive samples."

    else:

        "As you walk back into the loading area you see that despite it being completely vacant the lights are still on and it looks like everything is still operational."

        "There is a door that leads outside that is currently locked, as well as a metal door that leads to a cooler that when you check the gauges of seems to still be working as well."

        "Other than that there's a simple bench with a few tools such as cutters, scales, and a few other bags as well as what looks like an empty styrofoam container."

        $ research_loading_area_intro = True

    menu:

        "Open the cooler":
            jump research_cooler_area

        "Go into the research facility lobby":
            jump lab_front_lobby

        "Check out the offices":
            jump research_offices

label research_cooler_area:

    if research_loading_boxes == "finished":

        "You look in the cooler area and find that there's nothing really of note in the area, feeling the chill of the air before you close the door once more."

        jump research_loading_area

    elif science_mission == "loading":

        "You open the door and are greeted with a blast of cold air as you look around the cooler and see the boxes that Troy had mentioned sitting there on the shelf."

        "You frown slightly as you look at the five boxes and notice that none of them are marked with any type of identifiable information."

        "Does that mean that they're all for Troy?  You wonder as you pick them up, shaking them slightly to try and hear whats inside."

        "They do all appear to weigh the same and sound somewhat similar when you shake them and when you look around the area you do find a small dolly to take them back to the lab with you."

        if research_loading_boxes == "examination":

            "Troy did tell you how much sample he needed, perhaps there was a way to figure out what was in the boxes without opening them?"

        else:

            $ research_loading_boxes = "questioning"

        menu:

            "Transport specimen boxes to the biology lab":
                jump lab_certain_boxes

            "Examine the boxes with the tools in the loading area" if research_loading_boxes == "examination":
                jump lab_box_examination

            "Open the boxes to see what's inside":
                jump lab_box_opening #this is a bad end, go to bad ends

            "Leave the cooler area":
                jump research_loading_area


    elif research_cooler_intro:

        "You are once more greeted with a blast of cool air as you look inside the cooler once more."

    else:

        "You open the cooler area and find it to be mostly empty, save for five boxes made of styrofoam that were sealed tight with packing tape that went all the way around the lid of the boxes."

        "There was no other identifying marks about these boxes... and as you pick each of them up whatever was inside was packed securely enough that it didn't rattle when you tried to shake one of them."

        "Something you do see right after you did such a thing was a biohazard sticker that was on the back of it, causing you to swallow hard before you carefully put it back with the others."

        "There's nothing else you could really do to them at the moment, at least not in here."

        $ research_cooler_intro = True

        menu:

            "Open one of the boxes":
                jump lab_blind_cooler

            "Take the boxes out of the cooler to examine them" if research_loading_boxes == "examination":
                jump lab_boxes_examination

            "Go back into the lab lobby":
                jump lab_front_lobby

label lab_box_examination:

    "Upon Troy's recommendation you take the five boxes out and put them on the shelf next to all the measurement tools in the area, pushing aside the already empty styrofoam cooler before placing yours on it."

    "Once you have all five boxes properly marked and identified you're ready to weigh out the sample, though you realize that you're going to have to either weigh the samples with the boxes or open the boxes to get the sample."

    menu:

        "What do you decide to do?"

        "Open the boxes to take out the samples":
            jump lab_box_opening #this is a bad end, go to bad ends

        "Weigh the boxes with the samples":
            jump lab_box_weighin

        "Use the empty styrofoam cooler and rezero the scale" if lab_box_taring:

            if labscalezeroed:

                "You already zeroed out the scale the first time, you don't really see a need to do it again and go straight to weighing."

            else:

                "You take the empty box and put it on the scale, then once the number had settled you press the button and reset the scale to zero before taking it off."

                "With the scale properly calibrated to the empty box you are confident now that you are just weighing the sample and not the cooler it's in."

                $ labscalezeroed = True

            jump lab_box_weighin

label lab_box_weighin:

    "Which box do you weigh?"

    menu:

        "Weigh box one" if labscalezeroed == False:
            "The sample in box one weighs 20 grams."
            jump lab_box_weighin

        "Weigh box one" if labscalezeroed:
            "The sample in box one weighs 8 grams."
            jump lab_box_weighin

        "Weigh box two" if labscalezeroed == False:
            "The sample in box two weighs 27 grams."
            jump lab_box_weighin

        "Weigh box two" if labscalezeroed:
            "The sample in box two weighs 15 grams."
            jump lab_box_weighin

        "Weigh box three" if labscalezeroed == False:
            "The sample in box three weighs 15 grams."
            jump lab_box_weighin

        "Weigh box three" if labscalezeroed:
            "The sample in box three weighs 3 grams."
            jump lab_box_weighin

        "Weigh box four" if labscalezeroed == False:
            "The sample in box four weighs 41 grams."
            jump lab_box_weighin

        "Weigh box four" if labscalezeroed:
            "The sample in box four weighs 29 grams."
            jump lab_box_weighin

        "Weigh box five" if labscalezeroed == False:
            "The sample in box five weighs 32 grams."
            jump lab_box_weighin

        "Weigh box five" if labscalezeroed:
            "The sample in box five weighs 20 grams."
            jump lab_box_weighin

        "Stop weighing boxes":

            "You decide you have enough information and put the boxes back into the cooler before closing the door once more."

            jump research_loading_area

label lab_certain_boxes:

    "With the convienient cart in one corner of the room you are able to easily transport the boxes from the specimen receiving room to the biology lab, the only question is which boxes to load up."

    menu lab_box_pickup:

        "Take box one" if labboxone == "stored":
            "You take specimen box one and put it on the cart."
            $ labboxone = "taken"
            $ numberlabboxes += 1
            jump lab_box_pickup

        "Put back box one" if labboxone == "taken":
            "You put back specimen box one on the cooler shelf."
            $ labboxone = "stored"
            $ numberlabboxes -= 1
            jump lab_box_pickup

        "Take box two" if labboxtwo == "stored":
            "You take specimen box two and put it on the cart."
            $ labboxtwo = "taken"
            $ numberlabboxes += 1
            jump lab_box_pickup

        "Put back box two" if labboxtwo == "taken":
            "You put back specimen box two on the cooler shelf."
            $ labboxtwo = "stored"
            $ numberlabboxes -= 1
            jump lab_box_pickup

        "Take box three" if labboxthree == "stored":
            "You take specimen box three and put it on the cart."
            $ labboxthree = "taken"
            $ numberlabboxes += 1
            jump lab_box_pickup

        "Put back box three" if labboxthree == "taken":
            "You put back specimen box three on the cooler shelf."
            $ labboxthree = "stored"
            $ numberlabboxes -= 1
            jump lab_box_pickup

        "Take box four" if labboxfour == "stored":
            "You take specimen box four and put it on the cart."
            $ labboxfour = "taken"
            $ numberlabboxes += 1
            jump lab_box_pickup

        "Put back box four" if labboxfour == "taken":
            "You put back specimen box four on the cooler shelf."
            $ labboxfour = "stored"
            $ numberlabboxes -= 1
            jump lab_box_pickup

        "Take box five" if labboxfive == "stored":
            "You take specimen box five and put it on the cart."
            $ labboxfive = "taken"
            $ numberlabboxes += 1
            jump lab_box_pickup

        "Put back box five" if labboxfive == "taken":
            "You put back specimen box five on the cooler shelf."
            $ labboxfive = "stored"
            $ numberlabboxes -= 1
            jump lab_box_pickup

        "Take all the boxes" if labboxall == False or numberlabboxes <= 4:
            "You decide to just grab all the boxes and put them on the cart."
            $ labboxall = True
            $ labboxone = "taken"
            $ labboxtwo = "taken"
            $ labboxthree = "taken"
            $ labboxfour = "taken"
            $ labboxfive = "taken"
            $ numberlabboxes = 5
            jump lab_box_pickup

        "Put back all the boxes" if labboxall or numberlabboxes >= 5:
            "You take all the boxes and put them back on the cooler shelf."
            $ labboxall = False
            $ labboxone = "stored"
            $ labboxtwo = "stored"
            $ labboxthree = "stored"
            $ labboxfour = "stored"
            $ labboxfive = "stored"
            $ numberlabboxes = 0
            jump lab_box_pickup

        "Take the boxes to the research lab" if numberlabboxes >= 1:
            jump research_box_results

        "Put all the boxes back and go back into the main loading area":
            "With all the boxes back on the cooler shelf you put the cart away and get out of the cooler."
            $ labboxall = False
            $ labboxone = "stored"
            $ labboxtwo = "stored"
            $ labboxthree = "stored"
            $ labboxfour = "stored"
            $ labboxfive = "stored"
            $ numberlabboxes = 0
            jump research_loading_area

label research_box_results:

    "You take the cart that you had loaded up and wheeled it into the research lab, a smirk forming on the rubber wolf's muzzle as he motions for you to come right to the sample processing table."

    if labboxall or numberlabboxes >= 5:

        "Troy" "Looks like you brought the entire cooler to me [povname]."

        "He motions for his assistant to come over and help him put everything on the table."

        "Troy" "No matter, we'll get these processed for you in no time so that we can continue on with the experiment."

        jump wrong_lab_box # this is a bad end, go to bad ends


    elif labboxone == "taken" or labboxthree == "taken" or labboxfour == "taken":

        "He motions for his assistant to come over and help him put everything on the table."

        "Troy" "Alright, we'll get this prepped for you, you go on to the next part of the experiment while we handle this."

        jump wrong_lab_box # this is a bad end, go to bad ends

    elif labboxtwo == "taken" and labboxfive == "taken":

        "He motions for his assistant to come over and help him put everything on the table."

        "Troy" "Alright, we'll get this prepped for you, now we need you to get moving on the next part of the experiement while we handle this."

        "As he slices open the tape to one of the boxes he motions over to the nearby chemistry department with his head."

        "Troy" "So as usual those good for nothings over there are behind on the prep work for the chemicals that are used in the machine itself, without them we're doing all this for nothing."

        "Troy" "Go over there and tell them to get moving, once this sample is open it has an extremely short shelf life which means if they're not ready when we're ready then all hell is going to break loose."

        "You nod in understanding and look over at the chemistry department, then when you glance back at Troy he's already deep in concentration on the sample that you just provided him."

        $ research_loading_boxes = "finished"
        $ science_mission = "chemistry"

        menu:

            "Head over to the chemistry lab":
                jump research_chemistry

            "Go back to the front of the lab":
                jump research_testing_lab

    else:

        "Troy takes the box from you and tells you to move on to the next phase of the project, but just as you're about to do so you see the rubber wolf frown as he's prepping the sample."

        "Troy" "No no no..."

        "You watch as he frantically looks through the rest of the cooler, drawing the attention of the komono dragon scientist as well when he takes the box and throws it across the room."

        "Troy" "It's not enough!  Not even close!"

        "The komono dragon tries to calm him down but the latex creature is clearly agitated as he points a shiny finger in your direction."

        "Troy" "I told you what I needed and now this sample is ruined, even if you got the rest of it I can't use it anymore!  You're fired, get out of here right now!"

        "Even though you want to try to repair the damage it is clear that you are no longer welcome here and you can feel the eyes of the others on you as you turn and leave, knowing that you're going to have to find somewhere else to be your base of operations..."

        jump the_search_begins

label research_testing_lab:

    if testing_lab_intro:

        "The lab continues to remain buzzing with activity as you look around for what to do next."

    else:

        "When you make your way back into the lab area you are surprised to not only find it occupied but in actual working order with nearly a dozen of the latex creatures in white lab coats doing various things with the lab equipment."

        "Komodo Dragon Scientist" "Hey, what do you think you're doing?"

        "You immediately feel your fight or flight response start to kick in when you see a stern-looking Komodo Dragon walking their way towards you with a stern look on their face before they shove something into yours."

        "Komodo Dragon Scientist" "No persons in the lab without a lab coat on!"

        "When you pull away you see that the red rubber reptile had put a labcoat into your hands and as you apologize for not having it on he immediately leaves in a huff."

        "Once you had on the proper gear to move about the lab it was time for you to decide where to go next to try and see if you can make this place your own."

        $ testing_lab_intro = True

    menu:

        "Go to Specimen Storage":
            jump specimen_storage

        "Check out the lab equipment locker":
            jump lab_equipment_locker

        "Talk to the Komodo Dragon scientist" if science_mission == "unknown":
            jump lab_dragon_scientist

        "Go to the biology section of the lab":
            jump research_biology

        "Go to the chemistry section of the lab":
            jump research_chemistry

        "Go back to the lobby of the facility":
            jump lab_front_lobby

label specimen_storage:

    if specimen_storage_investigation:

        "You look around the various samples that line the shelves, already knowing that the samples you need are not in this cooler."

        jump specimen_storage_menu

    elif specimen_storage_key:

        "Using the key you got from Troy you open the specimen storage door and find the chilled space filled with... well, you're not quite sure how to classify a lot of it."

        "A number of containers just appear to be filled with various colored shiny liquids, mostly likely latex or rubber based as the contents seem to shift towards you."

        "One in particular is behind a pane of recently installed security glass, though instead of any description on what it was the purple and black liquid just had a crudely drawn picture of some sort of sabertoothed creature with an x drawn through it."

        "None of that really mattered though, what you needed was on the other side of the cooler, carefully counting the number of spaces before you reached the one where the sample would be..."

        "...only to find it empty."

        "Troy is not going to be happy about this one..."

        $ science_mission = "specimen"

        $ specimen_storage_investigation = True

        menu specimen_storage_menu:

            "Rummage through the various samples":
                jump research_sample_catastrophe # this is a bad end, go to bad ends

            "Open the security glass":
                "As you undo the latch to the security glass you feel a tingling at the back of your neck, warning you of potential danger as the vial of liquid seems to shudder slightly from your mere presence."

                menu:

                    "Are you sure you wish to investigate the strange vial?"

                    "Grab the vial":

                        "Before you have a chance to even wrap your hand around the vial however it shatters, the glass flying in the container except in your direction as the rubber reached towards your direction."

                        "As soon as it touches your hand you feel a sensation unlike anything that you've ever experienced before, even when you were initially turned into a corruptor it wasn't anything like what you felt now."

                        "Every cell of your body feels like it's on fire as the rubber quickly spreads over your arm, coating it in another layer of latex that turned a deep blue until it got half-way up your wrist."

                        "You can hear someone else talking near the cooler door, but at this point you aren't able to comprehend them as you watch the assimilating substance push its way up your arm."

                        "Once it reaches your neck you can feel an almost oppressive force against your psyche pushing you down as your head becomes covered... no, you quickly realize that your muzzle is absorbing the rubber pushing over it as you see glowing green lines run down from your muzzle."

                        "The presence you feel threatens to overwhelm you and as your body begins to bulk up you fall to your knees, feeling a synthetic mane growing out of your back as the rubber worms its way into your skull."

                        "You are unable to do anything but submit and you begin to black out with the last thing you see and feel before you do is your teeth pushing down into a pair of saber teeth..."

                        jump sabrewolf_drone_start

                    "On second thought... maybe not":
                        jump specimen_storage_menu

            "Get out of the storage cooler":
                jump research_testing_lab

    else:

        "You go up to the impressive climate-controlled metal box that was the specimen storage room and see a number of charts that were filled in next to it, these creatures apparently still keeping with good lab practices despite everything."

        "When you attempt to open the door to look inside however you find that it is locked and when you look at the handle you just pulled on you see a small key hole on the side of it."

        "Though you might be able to break the lock or pick it open you didn't want to anger the other synthetic creatures, not to mention one of them probably had the key anyway."

        menu:

            "Check out the lab equipment locker":
                jump lab_equipment_locker

            "Investigate the biology section of the lab":
                jump research_biology

            "Investigate the chemistry section of the lab":
                jump research_chemistry

            "Head to the main lab area":
                jump research_testing_lab

label lab_equipment_locker:

    if lab_locker_intro:

        "Opening the door reveals all the lab equipment still in its proper place, waiting for you to use it."

    else:

        "You open up the equipment locker to find all sorts of various glassware as well as safety equipment."

        "While some of it is missing, no doubt in use by those in the various lab areas, most of it is there and ready to be used."

        "There's really nothing you can see that you would really need at the moment so you shut the doors once more and look about the lab."

        $ lab_locker_intro = True

    menu equipment_locker_menu:

        "Grab a condensation tower" if lab_condensation_needed:

            "It takes you a few seconds while looking through the glassware section until you find what you were looking for, a line of condensation tubes strapped to the door ready and waiting to be used."

            "Just as you were about to take one randomly you stop and realize that this lab is equipped with a number of different ones, begging the question of which one to take."

            menu:

                "Take the standard condensation tube":
                    "You now have a standard open condensation tube."
                    $ lab_condensation_tower = "air"
                    $ lab_condensation_needed = False
                    jump equipment_locker_menu

                "Take the water-cooled condensation tube":
                    "You now have a water-cooled condensation tube."
                    $ lab_condensation_tower = "water"
                    $ lab_condensation_needed = False
                    jump equipment_locker_menu

                "Take the gas-cooled condensation tube":
                    "You now have a gas-cooled condensation tube."
                    $ lab_condensation_tower = "gas"
                    $ lab_condensation_needed = False
                    jump equipment_locker_menu

                "Don't take any condensation tubes yet":
                    "You decide to hold off on any tube selection for now."
                    jump equipment_locker_menu

        "Look through the various lab equipment":

            "While you see a lot of useful and interesting stuff you don't really see anything that you need at the moment."
            jump equipment_locker_menu

        "Check out the lab coats":

            if research_password_found = True:

                "The only thing you find in the tattered lab coats is the memo with the password 'Dragonsrule123' written on it, which you decide to leave in the pocket in case the coat's original owner came to claim it once again."

            else:

                "It appears that the rubber komono dragon was running low on lab coats to give to people, you muse as you look through the two coats that they had left."

                "One appeared to be in disrepair with a long slice down it and it makes you wonder exactly what sort of things they're testing around here."

                "As you look idly through the pockets you see that there was a note from Connor to the heads of the departments in the lab, which read:"

                "Connor's Note" "Attention to all the department heads."

                "Connor's Note" "This memo is to inform you that as of a few days ago I've changed the passwords to all the laptops, you will be expected to go in and change them to a more personalized version after you're first log in."

                "Connor's Note" "Please remember that these passwords are for your use only, lately we've been having to scrub the hard drives as technicians go onto work stations for... less than efficent means."

                "You can't help but smirk as you look over the note one more time and find more writing on the back where someone had scribbled 'Dragonsrule123' on the back of the memo."

                "So much for secure..."

                $ research_password_found = True

            jump equipment_locker_menu

        "Look through the chemical storage area":

            "This area appears to be where they keep all the chemicals that they use for their testing."

            "You rifle through it for a while but don't really find anything of worth, just a bunch of chemicals that you have no real need for."

            jump equipment_locker_menu

        "Head back into the main lab area":
            jump research_testing_lab

label lab_dragon_scientist:

    "You approach the scientist that gave you the lab coat and when you get his attention he turns back and gives you an annoyed look."

    "Komodo Dragon Scientist" "What?  Why are you not testing something?"

    "When you tell him that you don't actually work there and you were thinking about possibly making the area into a base of operations for yourself he sighs and shakes his head, rubbing his temples."

    "Komodo Dragon Scientist" "Look... as much as I would love to give you this headache of a facility and make it your problem we're here for a very specific task, and until that task is complete none of us are going anywhere."

    "It looks like that's about to be the end of the conversation, but he seems to have a second thought about it and looks you over."

    "Komodo Dragon Scientist" "Hey, if you're any good at this stuff if you want to lend a hand and expedite the process I would be more than happy to exchange your help for the solution to our problem here."

    "Komodo Dragon Scientist" "If you can successfully reverse engineer the... uh... samples that we've been given so we can use the ability for ourselves we'll pop right on out, deal?"

    "It sounds reasonable enough to you and you nod, reaching out to shake his hand that he looks at before shaking his head and touching your elbow with his instead."

    "Komodo Dragon Scientist" "Alright, feel free to use whatever resources you want future lab manager and come back to me when you have a solution."

    "Komodo Dragon Scietnist" "Oh, and the name is Connor, now go out there and make me some science."

    "That appears to be the end of that as he walks away from you without another word, leaving you once more to your own devices."

    $ science_mission = "started"

    jump research_testing_lab

label research_biology:

    if science_mission == "chemistry":

        "Troy and his assistant are working hard on taking care of the samples that you provided him as you walk into the biology section of the lab, not even looking up at you as you walk by."

    elif research_biology_intro:

        "The biological research section of this lab is still thrumming with activity as they work hard to unlock the secrets of the samples that they have."

        "You spot the rubber wolf in one corner of the room working on a computer while also looking at petridish, counting the various colonies that's growing on them before recording the results."

        if science_mission == "started":

            "The rubber wolf gives you a dirty look when you come over towards him, but when you mention that Connor told you that you were here to help with the research they were trying to do he breathes a small sigh of relief."

            "Researcher" "It's about time they bring in more people to give us a hand, if I have to do one more day of setting up and breaking down this entire table I was going to scream."

            "Researcher" "Name's Troy, I guess I'm what would be considered the head of the biological sciences area here."

            "When you inform him that you were a researcher back before the Shining Rains his eyes light up and you can see his tail wagging behind him."

            "Troy" "Competent too?  I must have died and gone to heaven."

            "Troy" "Listen, we need to get the prepped sample out of specimen storage, could you go and do that for me?  Here's the key."

            "The rubber wolf hands you a small key and points over to the stainless steel door of the specimen cold storage container."

            "Troy" "It's going to be on shelf four, space three.  Thanks a lot [povname]."

            $ research_troy_introduction = True
            $ science_mission = "gathering"
            $ specimen_storage_key = True

            jump research_biology_menu

        else:

            jump research_biology_menu

    else:

        "The biological research section of this lab is comprised of several sample testing areas, including tables with a number of petrifilms, several incubators, and a room off to the side with a machine that runs samples to check for specific DNA strands."

        "There are several rubber creatures all in lab coats and they all appear to be in various stages of testing things, as well as most of them appear to be exhausted as they use auto pipettors to distribute the samples."

        "Researcher" "*grumble* They don't pay me enough to do all this..."

        "One of them, a rubberized wolf, continued to complain as he moved from row to row, then finished up and tossed the tip in a biohazard bag before looking at you."

        "Researcher" "You going to just stand there and watch me work myself to death or are you going to help?"

        if science_mission == "started":

            "When you inform him that Connor told you that you were here to help with the research they were trying to do he breathes a small sigh of relief."

            "Researcher" "It's about time they bring in more people to give us a hand, if I have to do one more day of setting up and breaking down this entire table I was going to scream."

            "Researcher" "Name's Troy, I guess I'm what would be considered the head of the biological sciences area here."

            "When you inform him that you were a researcher back before the Shining Rains his eyes light up and you can see his tail wagging behind him."

            "Troy" "Competent too?  I must have died and gone to heaven."

            "Troy" "Listen, we need to get the prepped sample out of specimen storage, could you go and do that for me?  Here's the key."

            "The rubber wolf hands you a small key and points over to the stainless steel door of the specimen cold storage container."

            "Troy" "It's going to be on shelf four, space three.  Thanks a lot [povname]."

            $ research_troy_introduction = True
            $ science_mission = "gathering"
            $ specimen_storage_key = True

        else:

            "You are at a loss for what to say, and it appears that the wolf has zero time for you as he gathers up all the petrifilm he just put samples on and moves to the incubator while leaving you there."

    $ research_biology_intro = True

    menu research_biology_menu:

        "Start the sample testing process" if lab_sample_passes == "yes":
            jump research_machine_begins

        "Talk to Troy" if lab_sample_passes == "no" and research_troy_introduction:
            jump research_biology_troy

        "Talk to rubber wolf researcher" if research_troy_introduction == False:
            jump research_biology_troy

        "Plug in the laptop to the PCR machine" if pcr_research_cord:
            "You restore the connection from the PCR machine to the laptop, it can now get the data that you are about to transmit to it."
            $ research_pcr_connection = True
            $ pcr_research_cord = False
            jump research_biology_menu

        "Go to Specimen Storage":
            jump specimen_storage

        "Check out the lab equipment locker":
            jump lab_equipment_locker

        "Investigate the chemistry section of the lab":
            jump research_chemistry

        "Head to the front of the lab":
            jump research_testing_lab

label research_biology_troy:

    if lab_pcrchem_solution == "failed" or lab_pcrchem_solution == "finished":

        "You come back with the container of chemicals that is needed for the machine, the rubber wolf looking at it with a sigh of relief as he took them and loaded them into the machine."

        "Troy" "We just need to get the machine to do a check on it and to cycle it through the machine, then we'll be ready to go."

        if lab_pcrchem_solution == "failed":

            "As you wait for the chemicals to go through the system you suddenly hear the gears jam in the machine, followed by the sound of the screen beeping angrily as Troy glares at you angrily."

            "Troy" "What the hell happened?"

            "Troy" "You completely threw off the calibration of the machine, you know how long it's going to take me to get this back to where it's supposed to be?!"

            "The synthetic canine doesn't even give you a chance to explain yourself as he points angrily to the door, telling you to leave immediately and walking you out to the entranceway."

            "You are rudely shoved out of the door by the other researchers and you can hear the door lock behind you."

            jump begin_the_search

        elif lab_pcrchem_solution == "finished" and lab_purified_liquid == "proper":

            if correct_chemical_ph == 7 or incorrect_chemical_ph == 4:

                "About a minute passes before there was the ding of the machine and Troy tells you that it's ready to go, breathing a small sigh of anticipation as he took the prepared sample before looking down at the manual."

                "Troy" "Now I'll be responsible for loading the machine, I just need you to follow the button prompts on the machine while I prep the sample in the machine."

                "Troy" "Are you ready to start?  We got to get this done soon before the we miss the window of viability for this sample."

                $ lab_sample_passes = "yes"

                menu:

                    "Start the process":
                        jump research_machine_begins

                    "Check the machine first" if research_cord_problems:
                        "You check the machine and the laptop set-up just to make sure everything is alright, and what you see causes a frown to appear on your rubber muzzle."

                        "It appeared that someone had taken the connection cord to the computer!"

                        if pcr_research_cord:

                            "Of course you already knew that, taking the cord that you had gotten from the chemistry department and connecting the laptop to the PCR machine."

                            $ research_pcr_connection = True

                        else:

                            "There's no way you can start the process without that cord... you're just going to have to go and find where it went."

                        jump research_biology_menu

                    "Tell him to wait":
                        "He nods and once again tells you to hurry up, he doesn't know how long this sample is going to last."
                        jump research_biology_menu

            else:

                "Just as it appears everything looks to be in order you suddenly hear an angry chirp, which causes Troy to look down at the machine in shock."

                "Troy" "Improper pH levels?"

                "The rubber wolf snaps around and looks at you angrily as you feel yourself starting to back away from the slightly snarling creature as he approaches you."

                "Troy" "I told you to make sure that everything was good to go before you gave me the chemicals!"

                "The others in the lab begin to look your way as Troy grabs you and with surprising strength pushes you towards the lab exit."

                "Troy" "My samples are ruined!  I can't get them back and I have to wait for more!"

                "When you get to the door it's thrown open and you are tossed out onto the pavement with a mighty heave."

                "Troy" "YOU'RE FIRED!!"

                "The door slams shut and you can hear it lock behind you, essentially ruining any chance that you might have of being able to get the lab as your own as you pick yourself up and head back into the city."

                jump the_search_begins

        else:

            "Troy looks at the chemical for a second before frowning and handing it back to you."

            "Troy" "Even I can tell that this chemical compound isn't ready for the machine yet, either go back and get it done right or get out of here."

            "You realize that you might have missed a step as you look at the contents of the bottle you were handed back."

            jump research_biology

    elif science_mission == "chemprep":

        "You go over to where Troy and the other research technician are busy weighting out sample and adding what appears to be some sort of diluting agent when the rubber wolf notices you come over."

        "Troy" "Any movement on the chemical preparation?"

        if research_chemist_comment:

            "Troy looks angrily over at the chem station only to find that the research chemist isn't there, his rubber brows furrowing in anger."

            "Troy" "I hate that guy..."

            "The next second he turns to you and gives you a shrug."

            "Troy" "Looks like you're going to have to do the prep work."

            "Troy" "I would hurry too, it's not going to take long for us to get this finished and you have to be ready when we are."

            $ research_chemist_comment = False

        else:

            "When you tell him you're not done yet he gives you a look and motions for you to hurry up before turning back to his own work."

            jump research_biology_menu

    elif science_mission == "chemistry":

        "You walk over to Troy as he and the other research technician are discussing the sample brought in, the rubber wolf turning towards you when he senses your presence."

        "Troy" "Got my chemicals yet?"

        "When you shake your head he sighs deeply and goes back to his work."

        "Troy" "I'd love to hold your hand on this but we're busy, come back when you have what we need to go forward and we should be done by then."

    elif science_mission == "loading":

        "When you go back to Troy he looks at you and inquires on the status of getting him his samples."

        if research_loading_boxes == "questioning":

            "When you tell them that all the boxes in the cooler are not marked Troy just sighed and rubbed his temples before you can ask anything else."

            "Troy" "Of course they aren't..."

            "There's a moment of silence before he looks up at you."

            "Troy" "Well all I can tell you is that I was expecting thirty-five grams worth of sample to process and put into the machine, so other than that you're on your own."

            $ research_loading_boxes = "examination"

        else:

            "You tell him that you're on the case."

            if research_loading_boxes == "examination":

                "Troy" "Don't forget, I requested thirty-five grams worth of sample."

            else:

                "He just nods before going back to his work."

    elif science_mission == "specimen":

        "As you approach Troy he motions with a finger for you to wait as he appears to be looking at something through a microscope, then when he finishes he turns and looks at you."

        "Troy" "Did you get my sample for me yet so we can weigh it out?"

        "When you tell him that the samples are not where they should be you've never seen a creature's face go from cautiously optimistic to infurated so quickly before as he turns and looks over at the Komodo Dragon wandering around."

        "Troy" "CONNOR!!"

        "The Komono Dragon nearly stumbles over one of the tables before he walks over to the biology department with a stern look on his face."

        "Connor" "You bellowed Troy?"

        "Troy" "[povname] says that my samples aren't in the fridge!  What the hell man, we need those samples if we're going to figure this out!"

        "Connor just sighs and shakes his head before speaking once more."

        "Connor" "They're probably just in the loading area Troy, I know for a fact that our delivery crew came yesterday and put a number of boxes in there."

        "Troy" "Then why aren't they in this fridge?"

        "Connor" "You know we're short-staffed as it is Troy, if you don't send someone to get your stuff than that is where they stay until you do."

        "Troy growls but continues to maintain some semblence of composure as he tells the Komono Dragon he'll do just that through his gritted teeth before he turns to look over at you."

        "Troy" "This sounds like the perfect job for you, go and get the samples for me, now would be prefered."

        $ science_mission = "loading"

    elif science_mission == "gathering":

        "You walk over to Troy as he continues to do his work, not even acknowledging your presence until he's finished his current count before looking back at you."

        "Troy" "Did you get those samples from the specimen containment unit yet?"

        "You shake your head no and he sighs and rubs his temples."

        "Troy" "I know you're trying to help, but lets at least get the first thing I asked finished before we move onto anything else, alright?"

        "You nod and let the rubber wolf get back to his business while wandering back into the main area of the biology department."

    else:

        "You try to get the rubber wolf's attention, but he appears to be actively ignoring you as he goes about his work."

    jump research_biology_menu

label research_machine_begins:

    "That seems easy enough as he goes over to the other side of the machine and opens it up, revealing the tiny tubes that are on the inside."

    "When you look down at the screen on the machine itself it had already started to give you the first prompt, telling you to set the machine to a hundred degrees celcius."

    if research_pcrmachine_notes:

        menu:

            "Set the machine to a hundred degrees celcius":
                "You set the machine to what it tells you, the machine letting out a little beep a short while later indicating that it has gotten to the set temperature."
                $ research_machine_failed = True

            "Set the machine to a hundred and ten degrees celcius":
                "You remember something about having to set the machine a bit higher and move the indicator to a hundred and ten degrees celcius, the machine beeping a short while later to tell you that it has successfully preheated."
                $ research_machine_failed = True

            "Set the machine to a hundred and twenty-five degrees celcius":
                "You distintly remember in those office notes that you actually needed to set the machine higher and put the temperature up to a hundred and twenty-five degrees celcius, a full minute passing before the machine beeps and lets you know it's ready."

            "Set the machine to a hundred and fifty degrees celcius":
                "As you turn up the heat you recall that there was something about having to set the machine temperature higher and boost it up to the max of a hundred and fifty degrees celcius, the smell of ozone filling the air before the device says that it's up to temp."
                $ research_machine_failed = True

    else:

        "You quickly do what the machine asks and set the machine to a hundred degrees celcius, the machine letting out a little beep a short while later indicating that it is at the set temperature."

    "Once the machine is up to the proper temperature Troy gives you a nod and takes the block of prepared sample and moves it over to where it is inserted into the machine."

    "Troy" "Alright, we have to run this for forty cycles in order to get all the strands of the mutated DNA broken down, you do that while I get the computer up and running to receive the results."

    menu:

        "Set the machine for thirty cycles":
            "You think you remember something about needed to actually set it for less time and input thirty cycles into the timer instead, hearing the machine begin to start the first cycle."
            $ research_machine_failed = True

        "Set the machine for forty cycles":
            "Taking the rubber wolf's advice you set the machine for forty cycles and a few seconds later you hear it hum to life as it begins its work."

        "Set the machine for fifty cycles":
            "As you're about to hit enter at forty cycles you think that it might actually need more, upping it by ten before pressing start and letting the machine do its work."
            $ research_machine_failed = True

        "Set the machine for sixty cycles":
            "You think that the rubber wolf is dead wrong on the number of cycles needed, setting it instead for sixty cycles before hitting the start button and letting the machine do it's work."
            $ research_machine_failed = True

    "As the minutes pass there's not much more that you and Troy can do but wait for the machine to finish its cycles, the latex lupine watching the computer as it went through its testing screen while waiting for the machine to send the data to it."

    if research_pcr_connection == False:

        "When the machine finally lets out a tone that indicates that it's done both you and Troy go to look over what the results are..."

        "...only to find that there aren't any."

        "Troy" "What the hell?"

        "The rubber wolf clicks on the screen a few times and goes through the program while you watch, trying out a few things before something pops on the screen that causes him to pause."

        "The next second his muzzle curls up into a snarl as he lifts up the entire laptop and looks underneath it, running his finger over the empty connector port before throwing the entire laptop down on the ground."

        "Troy" "DAMNIT!"

        "The sound of the wolf's shouts and the shattering of the plastic causes the rubber komono dragon to run into the room a few seconds later and ask what was wrong."

        "Troy" "The chemistry crew stole the PCR cord again!  All the work that [povname] and I did right now was for NOTHING!"

        "Connor" "Relax Troy... we'll get the cord from them and redo the test, okay?"

        "Troy" "That's not how this WORKS Connor!  We've used up the sample completely and now we're going to have to wait days until we get more!"

        "The two argue back and forth until they realize that you're still there, Connor taking the flaring latex lupine and telling him to go and take a break before putting an arm around your shoulder and walking you back into the main lab."

        "Connor" "Troy can get a little hot-headed at times... especially when it comes to the chemistry crew."

        "Connor" "Unfortunately it appears that there's nothing we can do at the moment for you, without that sample and now finding another computer we're going to be at it for days, maybe even weeks..."

        "It takes you a second before you realize that the komono dragon has led you to the front door of the lab, ushering you out before closing the door behind you after apologizing once again."

        "You sigh and rip off your lab coat, confident that you're not going to get another chance at this place at least in the foreseeable future..."

        jump the_search_begins

    else:

        "When the machine finally lets out a tone that indicates that it's finished you see that the laptop has announced that it recorded the results and was ready to show them."

        "Unfortunately before the data was shown a prompt came up, asking for a password in twenty seconds or having a full system shutdown."

        "Troy" "Oh crap..."

        "The rubber wolf's typing turned frantic as he attempted to put in the code, the screen flashing angrily as he tried twice only to have it inform him there's one attempt remaining."

        "Troy" "Damnit Connor... he changed all the passwords and I never changed them to something else!"

        "You look down at the laptop as you realize that you only have a few seconds to put in a password before the screen completely locks out..."

        define respass = Character("[labpassword]")

        python:
            labpassword = renpy.input("What's the password you want to input?")
            labpassword = labpassword.strip()

            if not labpassword:
                labpassword = "password1"

        "You type in the password [labpassword]."

    if labpassword == "Dragonsrule123":

        "There is a small beep and you breathe a sigh of relief as the results screen opens up, showing you the results of the experiment."

        if research_machine_failed == False:

            "You can see the wolf's synthetic eyes looking over the results on the screen, the tension palpable in the air as you wait for the final verdict on whether or not you managed to succeed."

            "There's a look of stone cold determination as Troy prints out the results before looking back at you and nodding his head."

            "Troy" "We need to see Connor."

            "Troy" "Let's meet in the lobby of the lab, away from prying ears."

            jump research_scientific_breakthrough

        else:

            "As Troy looks at the results screen it doesn't take long for a scowl to form on his face."

            "Troy" "Inconclusive..."

            "The rubber wolf looks back at the machine with a sigh, holding his head as he begins to mutter to himself at what possibly went wrong."

            "You stand there for a while before the rubber wolf realizes that you're still standing there, his frustration coming to a boiling point that he's struggling to temper down while he looks at you."

            "Troy" "We're going to have to wait to get more sample now, then completely rerun the tests again... and considering how long that might take it might be best if you just left."

            "The tone at the end of that sentence was a clear indicator that he wasn't asking you to leave, he was ordering it as you could feel the eyes of the other scientists on you."

            "With no clear way to negotiate you staying there and completely outnumbered you decide its best to retreat for now, hanging up your lab coat and abandoning the idea that you'd be able to claim this facility as your own."

            jump the_search_begins

    else:

        "You hear an angry beep and suddenly the entire laptop shuts down, leaving both you and Troy with a dumbfounded look on your faces as you stare at the black screen."

        "Finally after nearly a minute of pure silence Troy closes the laptop and immediately storms out of the room."

        "Unsure of what to do you wait around for a few more minutes before Connor comes back, the komono dragon holding an ice pack to his head as he comes in and looks at you."

        "Connor" "So it appears that we will not be handing over control of the lab to you just yet... maybe in a few weeks or so we can get you in here otherwise you may just want to leave."

        "Though you are unsure that you want to abandon this potential headquarters it appears that he's not going to budge on your leaving, and you alone against an entire lab full of rubber creatures would likely not end well."

        "You head out of the lab dejected, hoping that you can find a different headquarters."

        jump the_search_begins

label research_chemistry:

    if research_chemistry_intro:

        "You see the various colored liquids bubbling away as the researchers that are in charge of the chemistry section continue to mull about."

    else:

        "The chemistry section of the lab was filled with various pieces of equipment in it, everything from pH testers to fume hoods and a number of other things you would need to run a decent chem lab."

        "There were only two people in this area though, one of them was a spaced-out looking lizardman while the other was an aramadillo that seemed to just plod along."

        "While you're wondering which one you should talk to the lizardman makes the choice for you, coming up to you while holding a beaker filled with a clear liquid that smelt strongly of chloroform."

        "Lizard Chemist" "Something that I can... help you with?"

        "You're not sure whether this was the normal personality of the creature or an effect of the chemical exposure, all you knew was that you were starting to feel a little lightheaded the longer you stood there."

        "If you did have something you wanted to say to him you couldn't remember what it was anymore as you shook your head and said that you were fine, the lizardman shrugging before going back to do his work."

        "It took you a few seconds to shake off the chemical and got clear-headed once again before you figure out what to do next."

        $ research_chemistry_intro = True

    menu:

        "Ask about the chemical components to the machine" if science_mission == "chemistry":
            jump chemistry_lab_prep

        "Go to the fume hood" if science_mission == "chemprep":
            jump lab_fume_hood

        "Go to Specimen Storage":
            jump specimen_storage

        "Check out the lab equipment locker":
            jump lab_equipment_locker

        "Talk to the Komodo Dragon scientist" if science_mission == "unknown":
            jump lab_dragon_scientist

        "Check out the other chemistry equipment" if pcr_research_cord == False:

            if research_cord_problems:

                "As you look over the mass spectrometer you notice that the cord that connected the machine to the laptop was the same as the one referenced in the grievence report."

                "Double checking you become sure that this is the same one as you find a tag with the words 'property of the biology department, do not steal!' written on it."

                "It doesn't appear that the chemists are using this particular machine at the moment... after a quick look around you unplug the cord and slide it into your lab coat."

                $ pcr_research_cord = True

            else:

                "You look over the various pieces of equipment that the chemistry department has, noting that quite a few machines they had were rather expensive in nature but not much else."

            jump research_chemistry

        "Investigate the biology section of the lab":
            jump research_biology

        "Head to the front lobby":
            jump lab_front_lobby

label chemistry_lab_prep:

    "When you mention that they're about to fire up the machine the rubber lizard male seems to perk up at that, nodding in acknowledgement as he motioned over to the fume hood where a number of testing devices were set up along with several chemicals."

    "Lizard Chemist" "Yeah, I got everything set up over there... just got to get around to mixing it."

    "You stand there for a second and when it's clear that the chemist was making no moves towards it you tell him that it's urgent and that you need it right away, to which he just let out a small chuckle."

    "Lizard Chemist" "Since this is for Troy you can tell him that I'm on break, if he wants those chemicals so badly he can do them himself..."

    "Lizard Chemist" "Or I suppose you can do them, all you have to do is add acid or base into the solution until its pH is neutral, then vaporize the whole thing with the condensor coil to purify it before adding in your polymerase."

    "When you ask him to repeat that he just shakes his head and then goes over to write it down on a note before handing it to you, then leaves the chemistry station to go and eat his so-called lunch, leaving you with the task of getting this solution made."

    $ science_mission = "chemprep"
    $ research_chemist_comment = True

    menu:

        "Go to the fume hood":
            jump lab_fume_hood

        "Check out the other chemistry equipment" if pcr_research_cord == False:

            if research_cord_problems:

                "As you look over the mass spectrometer you notice that the cord that connected the machine to the laptop was the same as the one referenced in the grievence report."

                "Double checking you become sure that this is the same one as you find a tag with the words 'property of the biology department, do not steal!' written on it."

                "It doesn't appear that the chemists are using this particular machine at the moment... after a quick look around you unplug the cord and slide it into your lab coat."

                $ pcr_research_cord = True

            else:

                "You look over the various pieces of equipment that the chemistry department has, noting that quite a few machines they had were rather expensive in nature but not much else."

            jump research_chemistry

        "Walk over to the biology department":
            jump research_biology

        "Head back to the front lobby":
            jump lab_front_lobby

label lab_fume_hood:

    "The fume hood is divided into three sections, each of them prepped and ready to be used."

    menu lab_chemistry_procedure:

        "You are at the fume hood, you can smell the chemicals being used despite being sepearted by a pain of glass."

        "Check out the note the chemist gave you.":
            "The note reads:  Add the base or acid into the solution until its pH is neutral, vaporize in the condenser tube, and then add the polymerase."
            jump lab_chemistry_procedure

        "Go to the pH tester":
            jump lab_chem_ph

        "Use the condenser set-up to purify the solution":
            jump lab_chem_condensation

        "Add the polymerase":
            jump lab_chem_polymerase

        "Back away from the fume hood":
            jump research_chemistry

label lab_chem_ph:

    "As you look down inside of the fume hood you see a device that looks like a glass cylinder with a wire that's running through the length of it save for the very tip that was sitting in a solution marked 'buffer'."

    "The device also has three open cylinders filled with liquid: one of them is red, the second is a bright blue, and the third one is clear."

    "There are also two small bottles that contain an acid and base so that you can make the solution more acidic or more basic depending on the reading."

    if lab_chem_phnotes:

        "You remember from your research in the office that there was a way to make sure that the solution was neutral, all you have to do now is impliment them."

    else:

        "There doesn't appear to be any instructions, though the interface on the probe is easy enough as it only has two buttons; 'tare' and 'test'"

    menu chem_ph_testing:

        "What do you do?"

        "Dip the probe in your chemical solution":
            "The probe is now submerged in your chemical solution."
            $ ph_probe_location = "chemical"
            jump chem_ph_testing

        "Dip the probe in the red fluid":
            "The probe is now submerged in the red liquid."
            $ ph_probe_location = "red"
            jump chem_ph_testing

        "Dip the probe in the blue fluid":
            "The probe is now submerged in the blue liquid."
            $ ph_probe_location = "blue"
            jump chem_ph_testing

        "Dip the probe in the clear fluid":
            "The probe is now submerged in the clear liquid."
            $ ph_probe_location = "clear"
            jump chem_ph_testing

        "Press the 'tare' button":

            if ph_probe_location == "chemical":

                if ph_probe_calibration == "none":

                    "When you push the button a few dashes appear on the display screen before the words 'recorded - low pH' appear on the display."
                    $ ph_probe_calibration = "acid"
                    jump chem_ph_testing

                elif ph_probe_calibration == "acid":

                    "When you push the button a few dashes appear on the dispay screen before the words 'recorded - neutral' appear on the display."
                    $ ph_probe_calibration = "neutral"
                    jump chem_ph_testing

                elif ph_probe_calibration == "neutral":

                    "When you push the button a few dashes appear on the display screen before the words 'recorded - high pH' appear on the display followed by the words 'calibration successful'."
                    $ ph_probe_calibration == "finished"
                    jump chem_ph_testing

                else:

                    "When you push the button a few dashes appear on the dispay screen before the words 'settings cleared - begin calibration' appear on it."
                    $ ph_probe_calibration = "none"
                    $ ph_lowph_calibration = False
                    $ ph_neutralph_calibration = False
                    $ ph_highph_calibration = False
                    jump chem_ph_testing

            elif ph_probe_location == "red":

                if ph_probe_calibration == "none":

                    "When you push the button a few dashes appear on the display screen before the words 'recorded - low pH' appear on the display."
                    $ ph_probe_calibration = "acid"
                    $ ph_lowph_calibration = True
                    jump chem_ph_testing

                elif ph_probe_calibration == "acid":

                    "When you push the button a few dashes appear on the dispay screen before the words 'recorded - neutral' appear on the display."
                    $ ph_probe_calibration = "neutral"
                    jump chem_ph_testing

                elif ph_probe_calibration == "neutral":

                    "When you push the button a few dashes appear on the display screen before the words 'recorded - high pH' appear on the display followed by 'calibration successful'."
                    $ ph_probe_calibration == "finished"
                    jump chem_ph_testing

                else:

                    "When you push the button a few dashes appear on the display screen before the words 'settings cleared - begin calibration' appear on it."
                    $ ph_probe_calibration = "none"
                    $ ph_lowph_calibration = False
                    $ ph_neutralph_calibration = False
                    $ ph_highph_calibration = False
                    jump chem_ph_testing

            elif ph_probe_location == "clear":

                if ph_probe_calibration == "none":

                    "When you push the button a few dashes appear on the display screen before the words 'recorded - low pH' appear on the display."
                    $ ph_probe_calibration = "acid"
                    jump chem_ph_testing

                elif ph_probe_calibration == "acid":

                    "When you push the button a few dashes appear on the dispay screen before the words 'recorded - neutral' appear on the display."
                    $ ph_probe_calibration = "neutral"
                    $ ph_neutralph_calibration = True
                    jump chem_ph_testing

                elif ph_probe_calibration == "neutral":

                    "When you push the button a few dashes appear on the display screen before the words 'recorded - high pH' appear on the display followed by the words 'calibration successful'."
                    $ ph_probe_calibration == "finished"
                    jump chem_ph_testing

                else:

                    "When you push the button a few dashes appear on the dispay screen before the words 'settings cleared - begin calibration' appear on it."
                    $ ph_probe_calibration = "none"
                    $ ph_lowph_calibration = False
                    $ ph_neutralph_calibration = False
                    $ ph_highph_calibration = False
                    jump chem_ph_testing

            elif ph_probe_location == "blue":

                if ph_probe_calibration == "none":

                    "When you push the button a few dashes appear on the display screen before the words 'recorded - low pH' appear on the display."
                    $ ph_probe_calibration = "acid"
                    jump chem_ph_testing

                elif ph_probe_calibration == "acid":

                    "When you push the button a few dashes appear on the dispay screen before the words 'recorded - neutral' appear on the display."
                    $ ph_probe_calibration = "neutral"
                    jump chem_ph_testing

                elif ph_probe_calibration == "neutral":

                    "When you push the button a few dashes appear on the display screen before the words 'recorded - high pH' appear on the display followed by 'calibration complete'."
                    $ ph_probe_calibration = "finished"
                    $ ph_highph_calibration = True
                    jump chem_ph_testing

                else:

                    "When you push the button a few dashes appear on the dispay screen before the words 'settings cleared' appear on it."
                    $ ph_probe_calibration = "none"
                    $ ph_lowph_calibration = False
                    $ ph_neutralph_calibration = False
                    $ ph_highph_calibration = False
                    jump chem_ph_testing

            else:

                "The device lets out an angry beep before flashing with an error message on it, telling you that you have done something wrong."
                jump chem_ph_testing

        "Press the 'test' button":

            if ph_probe_location == "chemical" and ph_probe_calibration == "finished":

                if ph_lowph_calibration and ph_neutralph_calibration and ph_highph_calibration:

                    "You see the display flash as you hold the probe in the chemical solution until the number [correct_chemical_ph] flashes on the display."

                    menu chem_goodph_buffering:

                        "What do you do?"

                        "Add acid to the chemical solution":
                            "You add a dropper full of the acidic compound to the solution."
                            $ correct_chemical_ph -= 1.5
                            jump chem_goodph_buffering

                        "Add base to the chemical solution":
                            "You add a dropper full of the basic compound to the solution."
                            $ correct_chemical_ph += 1.0
                            jump chem_goodph_buffering

                        "Retest the solution":
                            "You put the probe into the solution and it comes back with the number [correct_chemical_ph]."
                            jump chem_goodph_buffering

                        "Dump the solution and try again":
                            "You dump the contents of the solution down the drain in order to attempt to try again."
                            $ correct_chemical_ph = 9
                            jump chem_ph_testing

                        "Take the soultion and move on to the next step":
                            "Confident that you have the right pH you decide to take the solution away from the pH meter."
                            jump lab_fume_hood

                else:

                    "You see the display flash as you hold the probe in the chemical solution until the number [incorrect_chemical_ph] flashes on the display."

                    menu chem_badph_buffering:

                        "What do you do?"

                        "Add acid to the chemical solution":
                            "You add a dropper full of the acidic compound to the solution."
                            $ incorrect_chemical_ph -= 1.5
                            jump chem_badph_buffering

                        "Add base to the chemical solution":
                            "You add a dropper full of the basic compound to the solution."
                            $ incorrect_chemical_ph += 1.0
                            jump chem_badph_buffering

                        "Retest the solution":
                            "You put the probe into the solution and it comes back with the number [incorrect_chemical_ph]."
                            jump chem_badph_buffering

                        "Dump the solution and try again":
                            $ incorrect_chemical_ph = 6
                            jump chem_ph_testing

                        "Take the soultion and move on to the next step":
                            "Confident that you have the right pH you decide to take the solution away from the pH meter."
                            jump lab_fume_hood

            elif ph_probe_location == "chemical":

                "You see the display flash as you hold hte probe in the chemical solution until the number [incorrect_chemical_ph] flashes on the display."

                jump chem_badph_buffering

            else:

                "The device lets out an angry chirp before the display screen flashes with the words 'buffer testing solution detected' on it.  Guess it's a liquid that doesn't need to be tested."

                jump chem_ph_testing

        "Reset the machine and back away from it":
            $ ph_probe_location = "buffer"
            $ ph_probe_calibration = "none"
            jump lab_chemistry_procedure

label lab_chem_condensation:

    if lab_purified_liquid == "proper" or lab_purified_liquid == "improper":

        "You've already used the condensation tower to purify the liquid, you don't really think another round is going to help any."

        jump lab_fume_hood

    elif lab_condensation_tower == "water":

        "You take the condensation tower that you got from the equipment locker and screw it on, plugging in your coolant source to cool the vapor coming off from the boiling chemicals below before lighting up the bunsen burner."

        "As the liquid begins to bubble you see the fruits of your labor starting to appear as the liquid slowly drips from the cool glass into the collection basin and into the tube that leads down to your flask."

        "Once you have gotten what you needed you turn off the burner and allow it to cool, the slightly blue liquid slowly sloshing around as you pick it up and examine it."

        $ lab_purified_liquid = "proper"

        jump lab_chemistry_procedure

    elif lab_condensation_tower == "gas" or lab_condensation_tower == "air":

        "You take the condensation tower that you got from the equipment locker and screw it on, plugging in your coolant source to cool the vapor coming off from the boiling chemicals below before lighting up the bunsen burner."

        "As the liquid begins to bubble you see the fruits of your labor starting to appear as the liquid slowly drips from the cool glass into the collection basin and into the tube that leads down to your flask."

        "Once you have gotten what you needed you turn off the burner and allow it to cool, the slightly blue liquid slowly sloshing around as you pick it up and examine it."

        $ lab_purified_liquid = "improper"

        $ lab_pcrchem_solution = "failed"

        jump lab_chemistry_procedure

    else:

        "You take the chemical and put it in the round-botom flask, but before you light the bunsen burner you realize that the scientist has left off a cruical piece... the condensation tower is completely missing."

        "You sigh as you back away from the distillation set-up, knowing that there would be no point to starting the reaction now with no way to collect the vapor until the missing piece is in place."

        $ lab_condensation_needed = True

        jump lab_chemistry_procedure


label lab_chem_polymerase:

    "Looking at the bottle of the polymerase that was set out you couldn't help but notice that it looked... slightly brackish, like someone had spilled ink into it or something like that."

    "When you confront the lizard about it he tells you that it was specifically prepared for the sample you were about to test, waving you off dismissively with his hand as he went back to whatever it was he was doing."

    "There didn't appear to be any real rhyme or reason for the test tube full of special liquid so you reason it's just like any other chemical; add it in and mix it up."

    menu lab_polymerase_menu:

        "Add all the polymerase" if chem_polymerase_info == "none":

            "You dump in the test tube of polymerase and it shimmers for a few seconds before dissolving away completely, leaving you once more with a flask of slightly blue-tinted liquid that was ready for testing."

            $ lab_pcrchem_solution = "failed"

            jump lab_polymerase_menu

        "Use a little polymerase" if chem_polymerase_info == "none":

            "Even though there's a whole test tube of the stuff you decide that only a little is needed, particularly if there is something that they did to alter it."

            "After adding a few droplets and swirling the flask you watch the compound dissolve, leaving you with a blue-tinted liquid ready for Troy to use in his testing."

            $ lab_pcrchem_solution = "failed"

            jump lab_polymerase_menu

        "Use 10 ml of the polymerase" if chem_polymerase_info and lab_polymerase_addition == "none":

            "Using a graduated cylinder you carefully measure out ten milliliters of the polymerase before pouring it into the flask."

            $ lab_pcrchem_solution = "failed"

            $ chem_polymerase_addition = "done"

            jump lab_polymerase_menu

        "Use 40 ml of the polymerase" if chem_polymerase_info and lab_polymerase_addition == "none":

            "Using a graduated cylinder you carefully measure out forty milliliters of the polymerase before pouring it into the flask."

            $ lab_pcrchem_polymerase = "added"

            $ lab_polymerase_addition = "done"

            jump lab_polymerase_menu

        "use 70 ml of the polymerase" if chem_polymerase_info and lab_polymerase_addition == "none":

            "Using a graduated cylinder you carefully measure out seventy milliliters of the polymerase before pouring it into the flask."

            $ lab_pcrchem_solution = "failed"

            $ lab_polymerase_addition = "done"

        "Add the PCR beads" if chem_pcrbeads == "none":

            "You take the vial full of PCR beads, which look little more than silvery dust, and add them to the solution where they settle out to the bottom of the liquid."

            $ chem_pcrbeads = "added"

            if lab_pcrchem_solution == "mixed":

                $ lab_pcrchem_solution = "finished"

                jump lab_polymerase_menu

            else:

                jump lab_polymerase_menu

        "Swirl the solution" if chem_polymerase_mixing == "none":

            if chem_pcrbeads == "added" and lab_polymerase_addition == "done":

                "You swirl around the solution with the polymerase added and watch as the PCR beads swirl around with it until you're sure that the liquid is completely mixed."

                $ lab_pcrchem_solution = "failed"

                $ chem_polymerase_mixing = "mixed"

                jump lab_polymerase_menu

            elif lab_polymerase_addition == "done":

                "You swirl around the polymerase and watch as the liquid dissolves completely within the solution."

                $ lab_pcrchem_solution = "mixed"

                $ chem_polymerase_mixing = "mixed"

                jump lab_polymerase_menu

            else:

                "You swirl around the prepared chemical... but without adding anything else you're wondering if you're really doing anything..."

                jump lab_polymerase_menu

        "Back away from the fume hood":

            jump lab_chemistry_procedure

label research_scientific_breakthrough:

    "You, Troy, and Connor all gather in the lobby of the lab, the two scientists with big grins on their faces as the rubber wolf shares the data you gathered with the lead lab technician."

    "Connor" "I can't believe after all this time we finally cracked the secret..."

    "Troy" "It's about damn time I say."

    "Troy" "Of course [povname] helped, otherwise we'd still probably just sitting there with our thumbs up our tailholes."

    "Connor looks at you and then back at the rubber wolf, stating that he was slightly surprised that the rubber wolf gave out the credit so easily to someone else which caused the latex lupine to shrug."

    "Connor" "Well in any case we've got what we came here for, so I guess that means that this lab is yours."

    "Connor" "Just give us a few hours to move out and we'll get out of your hair, and thank you again for all your help in solving this little problem for us."

    "You wait in the lobby for a while while you watch the lab technicians take the stuff that they had been working on moved out with their stuff, leaving you not only with the lab itself and the majority of equipment but the keys to the lab as well."

    jump corruption_headquarters
