label movie_theater_start:

    $ projection_room_key = False
    $ total_questions = 0
    $ wrong_answers = 0

    "You quickly come across the large building that is the megaplex, one of those that boasted state of the art technology and luxurious amenities."

    "With ticket sales likely non-existent you decide that it would be far better in your latex-scaled hands and begin to sneak up towards it."

    "There doesn't appear to be any sort of security, which makes sense considering that there were latex creatures in there instead of humans."

    " With the areas around it being more of the entertainment district plus the mall it was no wonder it was occupied, especially since any humans they added would likely be part of the corruptor in charge's collection."

    menu:

        "Go through the front door":
            jump buy_ticket

        "Find a side door":
            jump movie_employee_entrance

label buy_ticket:

    $ ticket_intro = False

    if ticket_intro:

        "You head back to the front entrance of the movie theater and find that the ticket lizard is still there waiting for you."

        "Ticket Lizard" "Just tell me what type of movie you're interested in and get ready to be transported to another world!"

    else:

        "You decide to go through the front door, likely no one was up in the lobby area and most of those that you were looking for were either in the back or the theaters themselves."

        "So far your theory continues to hold true when you see that both the front entrance the ticket booth was completely empty.  Very slowly you approach and attempt to open the door, breathing a small sigh of relief when it opens easily for you."

        "That relief is short-lived however when you take several steps forward and a rubber lizardman in an usher uniform pops up inside the ticket booth!"

        "Ticket Lizard" "Welcome to the movies sir!"

        "He exclaims happily as you attempt to quickly recover from the coronary that the creature had given you.  Just how long was he sitting down there waiting for someone to come in anyway?"

        "Ticket Lizard" "Since we're under new management all our movies are currently free!  Of course we also only have three movies, apologies for that, but they're quite good and worth the price of admission I assure you!"

        "Even though you're not sure you like the fact he said that there was a price for admission even though in the same breath he had mentioned it was a free movie you decide to take a look."

        "With your stealth potentially blown already you begin to wonder if this is some game that the corruptor is playing, and if so perhaps you can win the area if you manage to outwit him."

        $ ticket_intro = True

    "Up on the board that showed what movies were playing you see that most of the placards had been taken down and replaced with crudely drawn images along with one word for each of the movies."

    "One was marked Comedy, another Action, and the last one was Horror."

    menu:

        "Take a ticket for the Comedy movie":
            jump laugh_out_loud #this is a bad end, go to badends

        "Take a ticket for the Action movie":
            jump thrill_a_minute

        "Take a ticket for the Horror movie":
            jump friday_night_fright

        "Just walk past the ticket booth":
            jump no_ticket_no_entry #this is a bad end, go to badends

        "Head back outside to think about it":
            jump movie_theater_start

label thrill_a_minute:

    "You decide to buy a ticket for the Action movie, the lizardman grinning as he takes what was obviously a hand-written piece of paper and gave it to you.  As soon as your latex fingers touch the shiny ticket however the world begins to spin around you."

    "The colors on the paper begin to shift and swirl around as you find yourself transfixed by it.  Slowly the world around you goes black and soon the only thing left in your vision are those swirling colors before they too begin to fade to blackness..."

    "When you open your eyes again you find yourself back at the coffee shop with other latex creatures milling about and doing things.  Everything seems idyllic almost, as though Kajira had completely gone back to normal in some alternate universe."

    "And it's people like you, members of the Kajira special forces unit, that help to keep it that way.  As you slowly drink your coffee you suddenly see a shout that causes you to look up."

    "You see just in time a black and purple rubber creature with saberteeth holding another lizardman up, and as he did so the features on the lizardman began to shift."

    "You quickly realize with a gasp that you were staring at an infamous creature that was known for creating drones out of normal rubber reptiles and letting them loose on the city."

    "Thankfully you weren't the only one there and as the other guy goes to control the newly created sabredrone you are able to give chase to the villain as he darts down the street."

    $ disarm_action_bomb = False
    $ action_shuttle_sequence = False
    $ action_moon_sequence = False

    menu:

        "Chase the villain on foot":
            jump fantasy_failure

        "Take a car":
            jump thrilling_car_chase

label thrilling_car_chase:

    "You stop a car in the middle of the street and pull the driver out before getting in yourself, putting the petal to the metal to chase the suspect."

    "As you come up to him you see he does the same, only he reaches into the car and presses his hands against the driver to turn him into another sabredrone before hopping into the other side.  You almost manage to spin the car off the road but they accelerate just in time."

    "Your cars tear through the streets of Kajira as you take your gun and fire out the window at the vehicle in the hopes of disabling it.  The sound of tires screeching and engines roaring filled the air as you chased the suspect into the shipping yards."

    "People dived out of the way as you continued to give chase and for a few seconds you thought you lost him before you see the car pull into a warehouse in the distance."

    "You jam down the accelerator and follow suit and by the time you pull in yourself you see the car in question with the doors open."

    "Once you park alongside it and see that it is truly empty you make your way up to the offices that overlook the warehouse floor, hoping to corner the evil villain."

    "Carefully you make your way up and see that one of the doors is partially open and that's the one you decide to check out.  When you get there and quickly kick in the door you find it empty, save for one thing that was left on the desk..."

    "You realize that you've been lured into a trap as you see the bomb ticking down on the desk with only about fifteen seconds left on it."

    "There's little time to think, you could either run forward and try to quickly disarm the bomb or jump out the nearby window and risk a two story drop..."

    $ disarm_action_bomb = True

    menu:

        "Attempt to disarm the bomb":
            jump fantasy_failure

        "Jump out the window":
            jump glass_shattering_leap

label glass_shattering_leap:

    "With only a few seconds left on the clock you make a run for the window, covering your face as you break through the glass."

    "As you look down you see that this side of the building happened to overlook the river and as you fall towards the water you feel an immense heat behind you."

    "In the reflection of the water you can see the orange fireball that engulfs the entire warehouse, the flames chasing after you until you finally land in the water with a splash."

    "As you sink down into the water you can see the fire rage above the surface of the water, then retreat and allow you to surface once again."

    "As you breach the surface and treat water you realize that the evil creature had gotten away, but to where?  As you turn around in the water you see it, a boat with the green-striped creature and his new cohort as they zoomed towards the other side of the bay where a space shuttle was getting prepped for launch."

    "You realize that was his exit plan all along... me must have a base on the moon! ...for some reason."

    "Before you have the chance to think about it another boat comes by and helps you up, and you tell them to head towards the shuttle launch pad as fast as they can."

    $ action_shuttle_sequence = True

    menu:

        "Attempt to board the shuttle":
            jump moon_confrontation

        "Attempt to sabotage the shuttle":
            jump fantasy_failure

label moon_confrontation:

    "You manage to sneak onto the shuttle before they lock it down completely, likely in the same manner that the creature you're tailing had done so as well.  As much as you would have liked to find him you are unable to do so before it takes off."

    "When you look around you see that there is no crew on board, the entire process fully automated as you sit down in one of the seats while you are launched into space."

    "At this point now you may as well wait until you get to the lunar surface, confronting someone as powerful as the one you were chasing in an enclosed area was not the best idea."

    "It's not long before your shuttle arrives on a landing pad on the surface of the moon and you dart out as the automated unloaders come in to take out the supplies."

    "Much like the shuttle the entire base was run by robotic entities, which was good for you since he couldn't get any more people to transform while you were up there.  With the base being rather small it doesn't take long to find him, but when you do you're in for a surprise."

    "Rubber Saberwolf" "Well well, if it isn't Detective [povname]."

    "The latex sabertooth creature let out a maniacal laugh as it looks at you with glowing green eyes."

    "Rubber Saberwolf" "I see that you're following the script so far, let's see how well you do in the final act."

    "Before you can say anything he presses a button next to him and one of the chairs rotates around to reveal the latex lizardman that was the driver he had droned earlier, who was back in his normal form but strapped down!"

    "Rubber Saberwolf" "So what's it going to be?"

    "The villain smirks as he presses another button, this one activating a self-descruct sequence that began to count down."

    "Rubber Saberwolf" "Save him, or capture me?  Your choice [povname], you only have time for one."

    $ action_moon_sequence = True

    menu:

        "Hunt down the villain":
            jump fantasy_failure

        "Rescue the trapped guy and escape":
            jump true_action_ending

label true_action_ending:

    "Even though the evil creature was running away you knew you had to save the innocent civilian, the rubber creature thanking you as you unstrap him from the wall."

    "As you do the countdown to the self-destruct sequence continues as you run back towards one of the emergency escape pods, pushing him in before diving into it yourself."

    "With only seconds to spare you punch the launch button and immediately get jettisoned up into space.  Just as you start to decelerate the moon base beneath you explodes, giving you a spectacular fireworks show as you and the one you rescued watch from below."

    "Lizardman" "Thank you so much for saving me Detective [povname]"

    "The lizardman lays back in the bed that for some reason the pod had."

    "Lizardman" "Perhaps there's some way I can repay you for your bravery..."

    "You grin and lean down to kiss the lizardman, your latex tongues mingling together as you float in space.  You close your eyes as you continue to make out, but when you open them again you are surprised to find yourself inside of a movie theater."

    "The lizardman you were just making out with was not the one you had rescued, it was the same male that had given you the ticket in the first place as he grinned at you."

    "Ticket Lizard" "You're a good kisser."

    "The latex lizardman winks at you which causes you to blush slightly from the affection."

    "Ticket Lizard" "It's a shame you didn't fail, I would love to see what else that tongue can do.  But alas you played to a true action hero so you get the prize, except instead of sex it's a key to the projector room so you can do what you came here to do."

    "When you look at the lizardman in confusion on how he knew what you were here for he merely shrugs and sat back in his seat."

    "Ticket Lizard" "It's always a good guess than when a corruptor comes calling that he's looking to make these hunting grounds as their own."

    "Ticket Lizard" "So while I'm sure you're devastated that you don't get to tap that rubber tailhole you earned at least you have the next best thing."

    "You look down at your palm that now had the simple silver key in it, then looked up to see that the rubber lizardman was gone."

    "With the movie's hold over you broken there's nothing left for you to do now but go up to the projector room and confront the leader of this theater."

    $ projection_room_key = True

    jump projection_room

label friday_night_fright:

    $ mansion_run = False
    $ horror_facility = False
    $ horror_climax = False

    "You decide to take the ticket for the Horror movie and are handed a black latex ticket with the words Horror written on it in white.  Before you can even comment on the handmade nature of it the rubbery substance immediately oozes off of it and begins to climb up your arm."

    "Before you can drop the ticket the shiny substance is already all the way up your already shiny arm and covering you completely."

    "It works fast and as it covers your face and cuts off your senses the last thing you see is the smiling face of the ticket lizardman grinning and waving at you..."

    "When you come to you find yourself in the middle of a field, the mist clinging to the ground as you look around for some indicator of where you are.  Luckily the full moon overhead is able to illuminate everything as you slowly get up from the ground and look around."

    "Suddenly your blood goes cold as you hear a growl, seemingly from all around you as you dart your head around to try and find the source."

    "Whatever it is it doesn't sound happy and your eyes glance over at the nearby treeline, thinking that you could either try and confront whatever creature is out there or make a run for the trees and hope to outpace it."

    menu:

        "Make a run for it":
            jump die_a_hero

        "Stand your ground and confront the creature":
            jump become_the_villain

label die_a_hero:

    "You make a run for the forest, feeling the presence of whatever creature was threatening you right behind you."

    "With your enhanced latex form you were rather fast, but this thing seems to keep pace with you just as well as you continue to fight your way through the thick underbrush."

    "With the moon blocked by the thick canopy it becomes harder to see in the dark but eventually you break through to the other side and as you take a moment to recover it seems like you've lost your would be attacker."

    "Unfortunately it appears that your scenery situation has not improved much as you look on at a huge mansion on the tree line.  None of its lights are on and the front door appears to be slightly open, though that means you'd be able to get inside it’s a very ominous sign."

    "On the other hand you do see a road that leads out of the woods, you could just follow that to see if you can find another road out or possibly a car but it will leave you open as well and you swear you can hear the growling coming up behind you once again..."

    $ mansion_run = True

    menu:

        "Run into the spooky mansion":
            jump welcome_to_the_manor

        "Run towards the mysterious road":
            jump become_the_villain

label welcome_to_the_manor:

    "You quickly rush into the mansion despite how creepy it looks and when you get to the door you slam it shut and lock it.  After a few seconds you can hear the growls and snarls of the creature grow more distant until they finally stopped."

    "It appeared that you lost whatever was chasing you... for now.  At that moment however you notice that your situation hasn't improved much, the dark mansion illuminated only by the moonlight streaming in the windows."

    "With the creature possibly still outside there's nothing much you can do but explore the area, and as you do you realize that no one has lived here in a very long time..."

    "It feels like hours but eventually you map out the entire house and only two things appeared to be of interest.  The first was that there was a ladder on the third floor that led to the roof, which potentially meant you could escape the creature and get out of this place."

    "The other was a suspiciously heavy steel door that seemed to lead down into a basement area.  While you didn't go too far in it looked like someone had built an entire facility beneath your feet, something that screamed secret lab or other government type project."

    "Still with your options limited it was either go up... or go down..."

    $ horror_facility = True
    menu:

        "Escape to the roof":
            jump become_the_villain

        "Go into the secret underground facility":
            jump resident_evil

label resident_evil:

    "There's a chemical smell in the air as you make your way down into the basement of the mansion, feeling an ominous sense of dread as you do so.  When you get to the bottom of the stairs you find yourself in a huge room with computers and other lab equipment lining the walls."

    "Slowly you walk inside as you look at the various scientific instruments until a fit of manical laughter causes you to look to the other end of the room where an older man in a white lab coat points at you."

    "Mad Scientist" "I see you have returned my pet!  Come for your salvation or for revenge?"

    "You find yourself scratching your head as you wonder what this guy could possibly be talking about."

    "Mad Scientist" "You don't remember, do you?  That I turned you into a werewolf, infecting you with lycanthropy so that when exposed to the moon you turn into a bloodthirsty beast?"

    "You can tell this man is clearly mad, but something about what he says rings true as he continues on."

    "Mad Scientist" "Thanks to you I've concocted the cure for such a malady, which I know I told you I'd administer to you when we were done..."

    "The man cackles as he gestures to the vial of liquid that seems to be out in the open."

    "Mad Scientist" "But I think I'm going to keep you instead!  You'll be my loyal hound for all eternity... unless of course you wish to try and take the cure away from me..."

    "You imagine that this is pretty clearly a trap but if what he says is true you can't leave the area either without turning into a werewolf, so grabbing it might be the only way."

    "On the other hand there is also the straight path to him, it might take you a few more seconds but if you attack him you can not only get your revenge but defuse whatever dasterdly trap he had in store for you."

    $ horror_climax = True
    menu:

        "Attack the mad scientist":
            jump become_the_villain

        "Grab the cure and run":
            jump horror_climax

label horror_climax:

    "There's no way you're going to fight this guy, not with the cure right there in front of you even if it was rigged.  You throw caution to the wind and dart forward, grabbing the vial as the mad scientist screams at you."

    "Almost immediately you can hear the sound of alarms going off as you turn and run, seeing him begin to run off the platform he was on and come after you.  Luckily you're far faster than him and when you reach the door you lock him in."

    "With him taken care of you run out of the mansion as fast as you can, jumping through a window to avoid the locked door before making a beeline to the treeline to avoid the moonlight that would set off your transformation."

    "Just as you get there you are flung forward as the mansion explodes, the entire structure instantly blown apart as you fall into the shade of the canopy."

    "When you look back you see nothing but the flaming wreckage of the house you had just been in, blinking at it before looking down at the syringe in your hand."

    "Just as you're about to use it you blink and find the forest suddenly... two-dimension in nature."

    "You slowly come to realize that you are sitting in the middle of a movie theater along with what you can guess is about two dozen rubber werewolves staring and drooling at the screen."

    "Ticket Lizard" "Looks like you made it."

    "When you look a voice whispers next to him as he looked to see the ticket lizardman sitting next to him."

    "Ticket lizard" "Congrats, you got through the movie so now you get the prize."

    "You look down to see that you have a shiny key in your hand, one that the other male explains leads to the projection room to see the leader of their group and the one who proudly made the movie he had just seen."

    "As you open your other hand though you realize that there's something else there... the cure that you had taken from the house that you ask him to explain."

    "Ticket Lizard" "Oh, well in your mind you're still a werewolf even if the movie is over."

    "Ticket Lizard" "Now you can take that cure and remain what you are... or if you're feeling adventurous you could let the transformation take hold of you."

    "Ticket Lizard" "Since you're out of the movie you'd still have your mind but a new body... think of it as an added bonus for being so brave."

    "The cure glows bright in your hand as you look at it and deep inside you know that he is telling the truth.  The question is do you want to give up your reptilian nature for a more fearsome canine appearance, or do you take the cure and finish what you started?"

    $ projection_room_key = True

    menu:

        "Become the beast":
            jump werewolf_transformation

        "Use the cure and head to the projection room":
            jump projection_room

label werewolf_transformation:

    "You crush the cure in your hand and decide that being a werewolf might be a lot of fun.  Almost as if your body sensed your decision you can feel your insides begin to shift, the muscle on your frame thickening as you grew taller."

    "Though the transformation isn't painful it is jarring as you fall forward, grabbing the seat in front of you as your rubber claws grow out and pierce into the fabric in front of you."

    "Your groans turn to snarls as your muzzle grows out and your reptilian nostrils turn to a canine nose while your fangs sharpen and length until they poke out beyond your lips."

    "Ticket Lizard" "That is so sexy..."

    "The rubber lizardman watches you grow several inches in height, then slides in front of you and begins to suck on your erect rubber cock as latex fur spreads over your body like wildfire."

    "You tip your head back and let out a howl of pleasure as your entire skull beings to reform while your new pointed ears stretch up to the top of your head."

    if corrupted_species == "snake":

        "Your entire body shakes as your lower snake half grows a widening crevice down the middle until you are left with a pair of bestial legs capped with thick paw pads."

    else:

        "None of the other theater patrons react as begin to thrust up into the lizardman's maw while your feet crack and reshape into a quadrupedal configuration complete with heavy paw pads."

    "It doesn't take long between the transformation and the expert latex tongue of the male between your legs before you blow your first load as a werewolf."

    "The last changes that happen is the canine tail that grows out of your backside, finishing your new appearance as you continued to cum deep into the male's mouth."

    "As you slump back in exhaustion your rub your hand against your muscular chest and eight pack abs that made you look more like a hunter than a corruptor."

    "Ticket Lizard" "Well that saves the ushers a mess."

    "Ticket Lizard" "Good luck to you on meeting with our master."

    "With that he stood up and left, leaving you with a new body and a key to the projection room."

    $ corrupted_species = "werewolf"
    $ species_adj = "canine"
    $ corrupted_movement = "pad"

    jump projection_room

label movie_employee_entrance:

    "Carefully you head to the back of the theater, making sure to avoid the cameras as you find the plain metal door in the back.  While you're not sure if it was alarmed or even locked you decide to push on it anyway and much to your relief it was neither."

    "Slowly you continued to push on the door to open it and found yourself in a small lounge area that was no doubt shared by the former employees of this place."

    "Though there was no pools of latex here that indicated anyone was converted the place looked like it had been went through, locker doors were open and stuff was scattered about hte ground."

    "When you go to the other door and open it you find yourself in the actual theater, and when you find its not guarded your next decision is where to go next."

    menu:

        "Head to the lobby":
            jump theater_snacks

        "Go to the projector room":
            jump projection_room

        "Check out what's playing in the theaters":
            jump theater_hopping

label theater_hopping:

    "As you carefully make your way through the hallway that led to the various theaters you make sure that none of the lizardmen that are a part of this area see you before you take a peek inside the various areas."

    "Most of them you find are completely dark and empty, but finally as you get closer to the lobby you actually see one that is playing a movie."

    "It's hard to believe in what would be considered the post apocalypse people, even rubber reptilian ones, would take the time to go and watch anything."

    "However as you look inside you are surprised to find the theater packed with creatures, all of them with their eyes up on the screen watching what looked like a multi-colored naga getting a blowjob from another rubber lizard."

    "You realize that the current corruptor has turned this particular area into a porno theatre, one where you can see a number of the audience jerking themselves off."

    "You're pretty sure that the other theaters are like this as well, which means that you can either check out the lobby or see if you can head up to the projection room."

    "Of course as you continue to see the moving playing out of the corner of your eye there is also your own growing need, and as your rubber cock exposes itself you think it couldn't hurt to relieve some of your tensions here..."

    menu:

        "Check out the lobby":
            jump theater_snacks

        "Head up to the projection room":
            jump projection_room

        "Watch the movie":
            jump oscar_gold #this is a bad end, go to badends

label theater_snacks:

    "You wander your way towards the lobby and the concession stand that was situated in the middle of it.  Not surprising it was completely empty, save for two lizardmen who stood behind the counter in theater uniforms."

    "It was hard to tell if they were already employees and just happened to get transformed during the shining rains of if they had put them on to adopt the personas."

    "At this point however you decide to risk exposure to talk to the two and see if you can get any answers about this strange theater and what they're doing there."

    "Concessionaire" "Welcome!"

    "Concessionaire" "Thank you for taking time out of your day to come to the cinema, would you be interested in our current specials?"

    "As you look up at the price board you see that there are only two things that are for sale currently.  The first is your traditional popcorn and soda combo, which the concessionary is quick to add that there are unlimited refills on the soda."

    "The second is a gummi-type candy that were packaged in the traditional theater snack boxes.  It appeared that was all they were offering and when you ask to think about it looked like they didn't care that you didn't have a ticket, at least not yet."

    menu:

        "Take the soda and popcorn combo":
            jump unlimited_refills #this is a bad end, go to badends

        "Take the gummi candy":
            jump overpriced_snacks #his is a bad end, go to badends

        "Head back to the front of the theater":
            jump buy_ticket

        "Look around in the screening areas":
            jump theater_hopping

        "Check out the projector room":
            jump projector_room

label projection_room:

    if projection_room_key:

        "You head up to the projection room without much hassle, most of the rubber creatures either in the theaters themselves or in the lobby.  You quickly find that the digital projector rooms are completely empty and rather small, mostly holes in the wall."

        "There's only one door in the entire hallway and you're sure that's the one that your key will work in.  Steadying your courage you unlock the door with your key and step inside, not knowing what will be on the other side."

        "You can immediately feel the air temperature drop a few degrees as you step inside the rather small area, most of which was occupied by a series of servers that took care of the movie feeds."

        "On the other side of the room was a brightly colored naga working on a computer who looked up to see you, its coloration shifting as he slithers towards you."

        if corrupted_species == "werewolf":

            "The Projectionist" "Well I'm happy to see that someone appreciates my work!"

            "He looks over your rubber fur and strong muscles."

            "The Projectionist" "Handsome but fierce... I have to say I like it, but I suppose that you're not just here to compliment me on my film?"

        else:

            "The Projectionist" "Well I certainly wasn't expecting guests..."

            "The Projectionist" "Especially not a corruptor such as yourself... what brings you to my humble abode?"

        "It's clear that this creature was the head of this theater and those in it, and you tell him that you were claiming this theater for yourself.  Before you can get any further into it the naga laughed, an oddly melodic tone before he set his eyes back on you."

        "The Projectionist" "Well you certainly got some guts coming up here and demanding such a thing from another corruptor."

        "He grins at you and slithers over towards you a bit, his body continuing to wave through the air as he does so like he's dancing to some unknown music."

        "The Projectionist" "Tell you what though, since I'm feeling like the betting sort why don't we see who really deserves this theater?"

        "The Projectionist" "I'll ask you ten questions, you get at least eight right and I'll go without a fuss but if you get two wrong then you're mine.  How does that sound, no muss or fuss just pure intellectual combat, and I promise I won't do anything super obscure."

        "While the naga seemed to be speaking with an air of truth there's something about him that seems shifty.  Still, a quiz could be your way into solid ownership without causing a vendetta."

        "Or... you think to yourself as you look at the servers, you could just smash up the place.  It seemed the naga valued it as a funcitonal theater but the act will likely leave you open if he decides to attack you."

        menu:

            "Take the movie quiz":
                jump hypnaga_quiz

            "Threaten to smash the servers":
                jump box_office_bomb

    else:

        "You manage to make your way up to the projection room without much hassle, most of the rubber creatures either in the theaters themselves or at the front."

        "When you get up to the top floor you realize that 'projector room' is a bit of an antiquated idea, with most of the projectors digital and receiving a feed you realize that you are heading towards what was essentially the brain of the movie theater located near the back."

        "However when you get there you find that the door has been reinforced but is also locked, and unless you wanted to cause a ruckus by attempting to break in you decide that it would be better to maybe attempt to find the key..."

        menu:

            "Search the theaters":
                jump theater_hopping

            "Go to the lobby":
                jump theater_snacks

            "Head back to the front":
                jump buy_ticket

label box_office_bomb:

    "You're not going to play by this naga's rules and you let him know it, taking a nearby chair and looking at the nearby servers that ran the projectors."

    "You can see the smug look on the creature's face turn to horror as you rear back to sink the piece of furniture as deep as you can into the sensitive electronics."

    "The Projectionist" "No wait!"

    "The naga's face turns from horror to realization as he realizes he just tipped his hand, causing him to sigh as he looks down."

    "The Projectionist" "All that stuff took me a long time to create and I'm really proud of it... there are other movie theaters in the area, I'll just move to one of those."

    "When you see that the naga is serious you are a bit surprised and ask why he gave it up without a fight."

    "The Projectionist" "I'm a talker, not a fighter."

    "The Projectionist" "That's why I have this set-up, I can easily brainwash people into doing what I want but when it comes to direct confrontation I'm rather garbage."

    "The Projectionist" "Plus even if I was good at it you'd still probably short out the servers and all my data would be lost... that's not something I'm willing to risk over someone whose capable enough to get up here."

    "The Projectionist" "So you win, just let me pack up my things and get my more capable minions together.  It'd tell you to go watch a movie while you wait but I doubt you're going to fall for that."

    "Watching one of the naga's entrancement movies was definitely not on your list as you head down and out of the lobby."

    "It takes a bit longer than you imagined but by the time the sun rises you see the brightly-colored naga slither out of the movie theater with what you presumed to be the hard drives that contained his 'movies'."

    "Several others left with him as well, but more interestingly were the number of converted rubber creatures that left out the front door of the theater into Kajira."

    "Had all of those been humans that the naga had brainwashed, or were there others like him as well that hadn't made it to the projector room?"

    "Either way it didn't matter anymore, you head back to the front of the cinema to find the keys taped to the metal part of the front door.  True to his word the naga had vacated the premises and left you with a new place to call your own."

    "It was a brand new day and a brand new start for your life as a [corrupted_species] corruptor."
