label bank_start:

    $ teller_lizard = False
    $ rooftop_lizard = False
    $ office_lizards = False
    $ bank_keycard = False
    $ dameon_ally = False

    "The bank that you're thinking of is one of the smaller ones in the area that stands on its own on the corner of one of the streets in a parking lot."

    "There's a large number of residential areas including several luxury apartment complexes that the bank serviced so the chances of finding some good hunting grounds here were very high."

    "It also posed to be a highly defensible area as well, with the still fairly large building surrounded by parking lots and landscaping on the outside and thick walls plus a vault on the inside it would be a huge boon to prevent others from coming in."

    "Unfortunately it appeared a group of humans had the same idea, one person with a hunting rifle could clearly be seen on the roof and several others patrolled the area around it."

    "While the group didn't look like they had military or police training there was likely a reason why other corruptors or the hunters hadn't overrun the place already."

    "While it hadn't been in your mind before the idea of taking the place by force was definitely out, however if you could corrupt the humans or at least enough of them to drive them out you may have a chance to get the bank that way."

    "There were several areas where you could sneak around under the cover of darkness to the back, or go bold and try to get up to the front entrance undetected as well."

    "Otherwise you could also see an area where you might be able to climb up to the roof in order to deal with the spotter and enter that way..."

    menu:

        "Try to sneak around the back":
            jump silent_but_deadly

        "Sneak up to the front door":
            jump full_frontal_assault

        "Climb up to the roof":
            jump rooftop_shenanigans

        "Look for a different headquarters":
            jump begin_the_search

label silent_but_deadly:

    "You slowly sneak around to the back of the bank and after avoiding one of the roaming guards and the spotter above you manage to find a spot to hide within the drive thru of the bank itself."

    "You see the employee entrance there, but unfortunately as you watch you can see movement on the other side of the large window that allowed tellers to see people out in the cars."

    "There's no way to approach that wouldn't be directly in the line of sight of either the person in the window or the guard on the roof."

    "It wasn't that far of a distance either, you reason as you look at the door, and it was in a blind spot you could take advantage of when you got there, you just needed to distract the guy in the booth long enough to get to it..."

    menu:

        "Use the intercom":
            jump squawk_box

        "Send something through the tube":
            jump corruption_connection

label squawk_box:

    "Very slowly you go up to the drive through intercom and, after you make sure that no one saw you approach, press down the button to activate it."

    "What you got was not the effect you had intented.  A loud, ear-piercing squack came out of the speakers that was so loud that it caused your ears to ring as you quickly unpressed the button in order to get it to stop."

    "Unfortunately it appeaered that was no longer enough and the shrill noise continued to pierce the air."

    "You decide that now would be a good time to run and you book it before the humans have time to mobilize.  Though you manage to get out with your skin intact the humans are now likely completely spooked which will make any chance of infiltration impossible..."

    "You decide it'll be better to check out one of the other locations, hopefully you'll have better luck there."

    $ bank_status = "alarmed"

    jump begin_the_search

label corruption_connection:

    "You sneak your way through the drive through and find that the canister that the bank would send through the tube was on your side of the bank, which was just what you needed."

    "The only thing you could hope for now was that the air pressure was still there as you pushed the button to send in to the inside of the bank."

    " When the motor starts up it does make a rather loud noise and you duck down even more in fear that someone heard that, but when you glance back around you find that it hadn't drawn any unwanted attention."

    "What it did draw the attention of was the guard in the room as you see him look out the window before heading over to the canister that you just send over."

    "With the guy distracted you make your way to the door and find that the lock had been busted open, no doubt by those that were inside the bank.  That makes it all the easier for you however as you open it and step inside, [species_move]ing in as silently as possible."

    "By the time you get inside though the guy had already started to head back into the bank proper, possibly to report the oddity that just happened to him."

    "You weren't going to let that happen so as soon as he passed by your prone form you leapt up and wrapped your arm around his chest while the other went around his face."

    "You could already feel a tail begin to press into your stomach as you continue to hold him there while your rubber spreads over his body."

    "Normally you would take the time to mold him into someone you could use but with the time constraints and your exposure you decide to make this one a mere lizardman drone for the short run."

    "The squirming and muffled screams quickly ceased as you invaded him in both mind and body, your rubber assimilating him while overwhelming his psyche as well.  By the time you were done and let go a newly formed lizardman was in front of you."

    "You watched him blink a few times before he pulled off his clothes and began to grin at his lithe, athletic form."

    "Once you're sure the human was subdued you tell him that you'll come back for him if you need him and let him start to jerk off his rubber cock as you move further into the bank."

    "Eventually you get past the cashier desks to the lobby and see that the entire area is dark and empty."

    "As you move forward you do hear something that's coming from the office, and as you get further into the bank itself you can see light coming from the area that leads to the vault."

    menu:

        "Check out the offices":
            jump embezzling_information

        "Go down to the vault":
            jump steel_stronghold

label full_frontal_assault:

    "Despite being the most exposed approach to the bank it also seems to be the easiest as you head up to the front doors."

    "Though you're not sure if the cameras are on and operational you decide not to risk it and say out of their line of site as much as possible, keeping to the shadows where your black latex scales blended in."

    "Once you got to the front door you hopped over the railing and opened the first set of doors to get inside.  Once you were there you felt a little safer and took a second to assess your situation."

    "It appeared no one was in the lobby of the bank at the moment, nothing but the security lighting was on to show that no one was around."

    "As you crouched in the corner you attempt to open the second set of doors only to frown when you found them to be locked."

    "Examining the door you realize that its just a simple latch lock that you could probably force open, or you could try to utilize your rubber body to break one of the window panels."

    "Otherwise as you sit there in the dark you could still pop out and try another alternate route as well."

    if character_class == "merchant" or character_clas == "criminal":

        "As you think about what to do you happen to look up on the other side of the second door and notice something that causes you to pause."

        "You see the blinking green light that you recognize as the security system for the building, which was good to see because if you had tried to force the lock it would have set the alarms off in the entire building."

        "This definitely isn't the best way in, you realize, decide either to sneak around the back or hop up to the roof."

        menu:

            "Try to scale the roof":
                jump rooftop_shenanigans

            "Sneak around to the back":
                jump silent_but_deadly

    else:

        menu:

            "Crack open the door glass":
                jump alarm_triggered #this is a bad end, go to badends

            "Use force on the door lock":
                jump alarm_triggered #this is a bad end, go to badends

label rooftop_shenanigans:

    "Once you're sure that you can't be spotted by the patrols or the spotter on the roof you sneak your way over to the side of the building that's easily scalable."

    "Your black latex body makes for the perfect cover in the night and it appeared that those who were making the rounds seemed to lack the necessary skills to properly patrol an area."

    "Of course the easy part was getting up to the building itself, now as you look up at the climb you're about to face you realize that the hard part is just coming up."

    "Luckily the way the building is designed you will get some cover from prying eyes on the ground below as you start to hoist yourself up."

    if character_class == "performer" or character_class == "criminal":

        "You carefully make your way up and with your rubber body gliding across the metal you hardly make a sound.  With each jump you get closer to your goal and it's just like riding a bike as you pull yourself up each floor."

        "Still you don't get overly zealous and calculate each jump, making sure that you time it right to remain quiet before you crawl over the side and onto the roof."

        "There you see the spotter with a hunting rifle still looking out into the distance with the door down into the bank itself wide open, leaving you to sneak past without being spotted at all."

        menu:

            "Sneak past the spotter":
                jump bank_stealth_heist

            "Corrupt the spotter":
                jump recuiting_on_the_job

    else:

        "You slowly make your way up the various ledges and balconies to the roof, grunting as you accidently slip or have to pull yourself up after a rushed jump."

        "Even though you make progress you had to stop more than once as a slip or bump made noise or caused you to lose your footing."

        "Eventually you do manage to get to the top of the roof, your legs pinwheeling slightly as you hang from the edge of the building before you finally hoist yourself up and over the lip of the brick onto the other side."

        "As you start to move forward however you hear a whistle and turn to see the spotter had not only noticed your arrival but had a gun pointed straight at your chest."

        "While you're not sure how long he'd been standing there waiting for the one thing you are sure of is that you're probably not bullet-proof, which meant you had to do something before the spotter confirms it."

        menu:

            "Attempt to push the spotter off the roof":
                jump bank_bull_rush

            "Talk to the spotter":
                jump depositing_silver_tongue

label bank_stealth_heist:

    "With the spotter completely oblivious to your presence it doesn't take much for you to get down the ladder into the bank.  You are plunged even more into darkness as you make it inside the lobby."

    "Once you're inside you look around and find that in the dim security lighting that there was no one currently in the area."

    "While you were alone you did hear something in the offices, otherwise there was also a light on further down that you think might lead down to the vault..."

    menu:

        "Check out the offices":
            jump embezzling_information

        "Go down to the vault":
            jump steel_stronghold

label recruiting_on_the_job:

    "As you look down to where you can get into the bank you turn your head and see the spotter that's still peering off into the distance."

    "Even though you'd be a bit exposed you know that it's likely you can get to him, especially since he's not even aware of your existence as you creep up behind him with your rubber arms outstretched."

    "As soon as you grab hold of him you immediately harness your power and begin to spread your corruptive latex over his body, covering his mouth as well with your free hand which immediately begins to push out into a muzzle under it."

    "You don't have a lot of time to make a decent connection so a drone lizardman was going to have to do, watching the human squirm as your rubber continued to cover him."

    "The process only took about a minute and before you were halfway down you could see exactly when the latex reached his psyche and eroded his willpower."

    "When you were done you stepped back and allowed the lizardman to take a second to get used to his new body and mindset before a dumb grin spread across his face as he took off his clothes to reveal his shiny lithe body."

    "You instruct your new drone to stay on the roof unless you need him, then proceed down the ladder into the bank itself.  It quickly leads you into the darkened lobby, where you don't see anyone there."

    "As you slowly walk around you do think you hear something in the office section, otherwise as you look down the stairs you definitely see that the lights are on in the pathway that leads to the vault."

    $ rooftop_lizard = True

    menu:

        "Head to the offices":
            jump embezzling_information

        "Go down to the vault":
            jump steel_stronghold

label bank_bull_rush:

label depositing_silver_tongue:

    if character_class == "merchant":

        "You manage to immediately calm the guy down and tell him that you're not actually there to mean him any harm, you're just a scavenger looking for food and a place to stay for the night."

        "Spotter" "Plenty of places for your kind."

        "Spotter" "Why don't you get on out of here and leave us humans to the surviving."

        "Even though he rebuked you there's a glimmer in his eyes when you mention that you just wanted some help, and that was what you needed to keep going on him."

        "You attempt to put on the saddest face you can and give him a sob story on how you weren't always like this, that you don't want to run around with the others as a rubber creature and that someone made you this way."

        "You still have your mind though, you explain, and as you reach out a hand you say if he can just help you out then you would be most grateful."

        "It was clear that the group had never gone up against a corruptor up close and you hide your smirk as you continue to talk to one another back and forth for quite a few minutes before he finally lowers his gun and reaches out to take your hand."

        "As soon as you grab hold of him you immediately harness your power and begin to spread your corruptive latex over him, spinning him around as you do to cover his mouth with your free hand which immediately begins to push out into a muzzle."

        "You don't have a lot of time to make a decent connection so a drone lizardman was going to have to do, watching the human squirm as your rubber continued to cover him."

        "The process only took about a minute and before you were halfway down you could see exactly when the latex reached his psyche and eroded his willpower."

        "When you were done you stepped back and allowed the lizardman to take a second to get used to his new body and mindset before a dumb grin spread across his face as he took off his clothes to reveal his shiny lithe body."

        "You instruct your new drone to stay on the roof unless you need him, then proceed down the ladder into the bank itself.  It quickly leads you into the darkened lobby, where you don't see anyone there."

        "As you slowly walk around you do think you hear something in the office section, otherwise as you look down the stairs you definitely see that the lights are on in the pathway that leads to the vault."

        $ rooftop_lizard = True

        menu:

            "Head to the offices":
                jump embezzling_information

            "Go to the vault":
                jump steel_stronghold
    else:

        "You attempt to try and tell him that you mean him no harm and that you're really there to help them out, but it's clear that the gun-wielding guy was having none of it."

        "Only a short way into your little speech he fired off his gun at you and thankfully with the combination of the darkness and your black scales he misses you by mere inches."

        "It is enough for you to turn and run though, hopping back down the way you came and hitting the ground hard before escaping."

        "Though you manage to get out with your life they now know that someone is after them, which only makes it a harder target and one that you likely wouldn't want to waste your time with anyway."

        $ bank_status = "alarmed"

        jump begin_the_search

label embezzling_information:

    "You sneak your way through the lobby and down into the cubicle area that had several areas for desks and such.  At first you see nothing of interest but as you turn the corner you quickly hear a voice that causes you to stop and dart back behind the partition."

    "Guard One" "I can't believe Dameon has us on lobby duty.  You think we elected him to be President the way he acts, if I had known that he was going to be like this I would have voted for someone else."

    "Guard Two" "I hear ya, he plays with his buddies in the safety of the vault and we risk our butts being the lookouts."

    "So it appeared that most of the people were up in the main bank area, you reason as you continue to hear the two gripe."

    "The more you listen the more it's clear that despite the dislike of their leader he had gotten them out of a number of jams and most of the group stuck around only because of him."

    "It's likely then that if you could get rid of the leader the rest would scatter and the bank would be yours."

    "Before you head back out you stop when you hear them say that wish that Dameon would deactivate the internal security systems in the vault area too so they wouldn't have to carry around their keycards, which meant if you wanted to go after the leader you would need one as well..."

    menu:

        "Head down to the vault":
            jump steel_stronghold

        "Make a grab for the keycard":
            jump bank_access_granted

        "Convert the two":
            jump new_bank_recruits

label bank_access_granted:

    "With the two engaged in conversation it doesn't take much for you to slide your way through the cubicles to where they were talking.  It was clear that the two were not paying attention to the windows or even their surroundings."

    "You peek around the corner and see them at the desk, one of them eating some sort of snack food while the other sat back and had a shotgun on his lap while smoking."

    "The keycard was sitting there on the corner of the desk just out of reach, and you are forced to stretch in order to get to it."

    "Just as you get your fingers to the desk you suddenly see them shift and dart back into the shadows.  The two got up and for a second you got seen, but as you waited you could hear them move their way away from him."

    "When you poke your head out again you see that they had moved to the window and looked out to see if something was out there.  That gave you more than enough time to grab the keycard and silently leave the office back towards the vault."

    $ bank_keycard = True

    jump steel_stronghold

label new_bank_recruits:

    if rooftop_lizard or teller_lizard:

        "The two humans continue to sit and talk with each other, unaware of the shadows that came up behind them.  You and your drone darted up and easily get the drop on then, pulling them down behind the desks as your latex tails swish in the air."

        "They don't even make a sound as your corruptive rubber envelops them, turning human to reptile."

        "In a matter of minutes four rubberized males poke their heads up from the desks and you give them each a pat on the head before you grab the keycard and head down towards the vault itself."

        $ office_lizards = True
        $ bank_keycard = True

        jump steel_stronghold

    else:

        "Slowly you [species_move] your way up to the two guys and wait for the perfect opportunity to strike, where one was distracted while the other was off looking through the windows."

        "It took a while but eventually that window presented itself, and when it did you struck as quickly as you could.  Unfortunately when you did the chair they had been leaning back on collapsed, and when it did it caused the two of you to tumble on the floor."

        "By the time you regain your footing you have already alerted the other guy who came running back, which only gave you enough time to grab a chair and smash out the window."

        "The sound of the bank alarm filled the air as you jumped out of the broken window and made a run for it, hearing the sounds of gunshots behind you."

        "With the limited light and your dark scales you don't get hit, but now the bank is aware of your presence and how far you managed to penetrate their defenses."

        "That means that you're going to have to wait a long time for the heat to die down before you could reasonably try again, and that means you may as well hit the road and try for another place."

        $ bank_status = "alarmed"

        jump the_search_begins

label steel_stronghold:

    "You slowly make your way down to the vault, which turned out to be a short hallway that led to the steel wall and door.  You could hear voices on the other side of it already, maybe three or four laughing and talking to one another."

    "As you get closer to the door itself you see that the vault door actually is on a platform, which means you might either be exposed coming in or you have a chance to observe your prey unannounced."

    if bank_keycard:

        "Before you get too far in though you remember what the guys had said about needing a keycard and looked back to find that the reader is on the wall behind you."

        "You take the keycard you had stolen and swipe it through, the alarm light going from an angry red to green as it informs you that your access is granted.  You breathe a sigh of relief from the deactivation of the alarms and continue to move in closer to the steel door."

        "When you get there you put your belly on the ground of the platform and carefully peak over the edge to get a better look."

        "Below you four men played cards while drinking what appeared to be some sort of beer, all of them laughing and having a good time playing cards.  You could tell immediately which one was Dameon, he had a presence to him that the others seemed to placate themselves too."

        "With the table in the open and the four facing one another it was clear that you weren't going to be able to get the drop on any of them, much less their leader that sat the farthest away from the platform with the door."

        if office_lizards:

            "That's when you realize that you don't need to use stealth, you got numbers on your side.  About ten minutes later the four humans continued to play cards, unaware of the creatures that amassed themselves on the platform above."

            "You and those that you had converted jumped down on them and overwhelmed them immeidately before they could pick up their weapons."

            "As you watched the humans get converted by your drones it gave you a flashback to the time that the Shining Rains first began, but you quickly push it out of your mind as you focus your attention on the leader."

            "With the help of a few humans you found on patrol pinning him down you slash your claws against his shirt, though when you do you see something that causes you to pause."

            "It's a bunch of strange symbols tattooed on his chest, ones that cause you to get dizzy just looking at them before Dameon's laugh snaps you out of it."

            "Dameon" "Nice beat [corrupted_creature]."

            "Your eyes widen slightly as his begin to glow red."

            "Dameon" "I'm not going to be a part of your harem though, sorry."

            "Suddenly there's a flash of red light and you turn away from it as you are blinded.  When you regain your sight and look down you find that the man is gone, the two stunned latex lizardmen looking around for where he went."

            "Though it was a mystery it didn't matter, you had corrupted or cause to flee most of the humans here and that meant this place was yours now as those that you had recently transfomed began to make out with their corruptors."

            "It was a brand new base all for you, and now it was time to take a tour..."

            jump corruption_headqarters

        else:

            "As you continue to watch though you see Dameon leave the table and head to the upper part of the vault.  You quickly scoot back and stay hidden behind the door as the guy makes his way to one of the deposit box cages, a place that appears to be where they sleep."

            "You realize that with his distance from the group if you're quiet enough you could get the drop on him, or try to seduce him into joining you.  Either way this may be your best chance and you definitely didn't want to lose it."

            menu:

                "Seduce him":
                    jump the_demon_within

                "Ambush him":
                    jump facing_your_inner_demons
    else:

        "But as you get closer you never get that chance as you suddenly hear the bank alarms go off, which immediately causes a commotion down in the vault followed by the sound of guns getting ready."

        "One corruptor against a group of angry humans was not going to be enough and you run back through the hallway and up the stairs.  With the alarm tripped there's nothing you can do now but jump out a window and run off into the night."

        "You can hear the sounds of gunfire behind you as you move to safety, and though you manage to escape there's no way you're getting close to that bank again..."

        $ bank_status = "alarmed"

        jump begin_the_search

label the_demon_within:

    "Despite attempting to seduce the leader of the human survivors you continue to sneak up to him, if anything to avoid being seen by the others."

    "When you get up to the deposit box cage that was his room you are surprised to find him stripping out of his clothes, revealing his muscular body as he pulled off his tank top and set it aside."

    "You find yourself standing there peering around the corner as he does the same for his pants, leaving himself bare-ass naked right in front of you.  You're not sure if this is the easiest mark ever or the most elaborate trap you've ever seen as he stretches there."

    "Suddenly you think it might be the latter of the two thoughts as he immediately turns and looks straight at you."

    "Dameon" "Well hello there."

    "Dameon's voice is smooth and sultry and just listening to it causes your arousal to build."

    "Dameon" "I was wondering whether or not you were going to make my acquaintance, and now here you are standing in front of me with your half-hard dick in your hand.  I have to say that I'm flattered."

    "You weren't sure what that meant until you looked down and saw that he was right, somehow during the erotic display you had begun to stroke yourself.  You quickly let go and hear the man laugh, though as he does so something doesn't seem... quite right about him."

    "Dameon" "I can already see that my glamour is wearing off on you."

    "He grinned at you with fanged teeth, his hair lengthening as a pair of horns slid from underneath it."

    "Dameon" "Frankly with something as beautiful as you I'd doubt I could hold it much longer myself."

    "Glamour?  You begin to piece together this creature isn't exactly human either as he motions for you to come inside and have a seat, doing so himself while stroking the reddening flesh of his cock."

    "Dameon" "To make a long story short, I'm a demon."

    "Dameon" "A lust demon to be precise, and when you guys came around a bunch of us thought we had hit the lottery."

    "Dameon" "Turns out your kind can corrupt our kind though, something we hadn't really expected in all honesty and when our numbers dwindled we didn't have enough to get out of here."

    "Dameon" "So I've been trying to cultivate humans in order to earn some lust and get home."

    "he leaned back and allowed you to admire his handsome physique as though to show you what he was working with."

    "Dameon" "But they're really quite rubbish for it, so when you came around and managed to get here I figured I would see if you were up for a bit of a talk."

    "Dameon" "Since you're not trying to put anything in me I figure you have the sense enough that we could make ourselves a bit of an arrangement.  You turn me into one of you, a rubber creature, and in return you can have this place and even those humans if you want."

    "Dameon" "Think about it... a powerful lust demon at your side, even for just a little bit isn't such a bad thing, is it?"

    "You find yourself shaking your head in agreement, though all you can do is stare lustfully at that swollen cock he continues to stroke."

    "Dameon" "Now I know you guys tend to like to stick things into your prey, but I would like to make one caveat that this time I'm the one on top, force of habit, but you still get to stick yourself inside me.  Deal?"

    menu:

        "Deal.":
            jump deal_with_a_demon

        "No Deal.":
            jump no_faustian_bargain

label deal_with_a_demon:

    "The words deal hardly leave your mouth before his is on yours, your tongues sliding over one another as he pushes you down on his bed.  While it's not more than a few sheets it's enough for your $corruptedAdj form as he straddles his hips on you."

    "By now all semblance of being a human is gone, his facial features are almost elven in nature as his muscular, red-skinned body sits on top of you."

    "At this point your rubber cock is throbbing so hard you can feel his palm as he guides it between the perfect globes of his rear end framed with a thin, spaded tail."

    "Even with the humans out of earshot you both are careful to be quiet as he slides down on your rubber member, his hole seemingly made for you as he lets gravity guide him down."

    "Dameon" "Oh man... it's been so long..."

    "Dameon groaned as his clawed feet flexed."

    "Dameon" "These humans were so uptight, it's been ages since I had a decent cock in me."

    "His eagerness is mirrored by your own as you begin to thrust upwards to push in even deeper."

    "As your demonic lover slides all the way down you can see the effects of your corruption already starting, the pre dripping from the demon's cock turning shiny and dark red as it defied gravity and began to climb up his member."

    "He tries to reach his tail around to stroke himself but you see him look back in surprise when it doesn't reach and sees that the base has already begun to thicken into something more reptilian in nature."

    "Dameon" "Never thought I'd be taking this transformation willingly."

    "Dameon admitted as he ran his hands down your chest, causing you to moan before he put a hand to your muzzle."

    "More latex scales began to assimilate the demon's groin and thighs as the liquid rubber spread like wildfire and by the time he began to slide up and down your thick tool in earnest most of his chest and back were covered."

    "By the time it reached his shoulders he was drooling the thick substance, his fanged mouth expanding and growing outwards as it formed into a reptilian muzzle."

    "Though his body was rubber like yours the scales were slightly thicker, reminding you of a pattern of a horned lizard as his hair turned to rubber as well.  A second pair of horns joined the first as his latex covered hands stroked his own transformed cock."

    "The two of you both begin to pant as his slick walls expertly milk you, his forked tongue stretching further down as his pupils became slits."

    "As his transformation finishes you climax first, followed quickly by him as he continues to squeeze your member with his anal walls until you pull out."

    "Almost immediately your next action is to take out the other humans.  Dameon had been working on them pretty hard, by the time you were done only a few minutes had passed before they were sucking your dicks."

    "It wasn't long before you had three new lizardmen, all of them horny as hell and ready to do your bidding.  "

    "In the hours that pass you and your new partner convert or scare off most of the humans, leaving you to your new stronghold.  Since Dameon had already been there he allowed you to look around for yourself and headed back to his room."

    "While you wondered how smart it was to have a demonic horned lizard around you decide for now that it's for the best as you survey your new stronghold."

    $ dameon_ally = True

    jump corruption_headquarters

label no_faustian_bargain:

    "Though his offer is tempting you shake your head in refusal, which causes him to sigh and shrug his shoulders."

    "Dameon" "It was worth a shot anyway."

    "Dameon"  "I'm not here to fight, so at the very least let me take the crop of humans I have, minus the ones you may have converted, and we'll get out of your hair so this place is yours."

    "It seems like an amicable enough trade and you wait outside the bank as the demonic male dons his guise once again, watching as a few hours later you see them quickly vacate the area."

    "As the last of them leave you start to come back when you see Dameon next to you suddenly holding the keys to the bank."

    "Dameon" "It's a shame, I think we could have been great together [povname]."

    "He drops the keys in your hands and gives you a wink."

    "Dameon" "If you ever reconsider look for me [corrupted_species], I'm not leaving Kajira anytime soon unfortunately."

    "With that he disappears in a puff of red smoke, leaving you to survey your new base of operations."

    jump corruption_headquarters
