label studio_start:

    $ studio_dragon_pacification = "none"
    $ studio_gecko_pacification = "none"
    $ studio_carno_pacification = "none"
    $ studio_dragon_information = False
    $ studio_gecko_information = False
    $ studio_carno_information = False
    $ studio_setdesign_intro = False
    $ studio_control_room_intro = False
    $ studio_stagingroom_intro = False
    $ studio_set_designing_intro = False
    $ studio_craft_intro = False
    $ studio_props_intro = False
    $ studio_dressing_intro = False
    $ studio_costume_intro = False
    $ studio_set_ideas = False
    $ studio_scene_cut = False
    $ studio_set_choice = "nothing"
    $ studio_set_choice = "nothing"
    $ studio_act_one_set = "nothing"
    $ studio_act_two_set = "nothing"
    $ studio_act_three_set = "nothing"
    $ studio_firstact_empty = True
    $ studio_secondact_empty = True
    $ studio_thirdact_empty = True
    $ studio_lake_open = True
    $ studio_skyline_open = True
    $ studio_castle_open = True
    $ studio_subway_open = True
    $ studio_forest_open = True
    $ studio_cavern_open = True
    $ studio_skyscraper_open = True
    $ studio_flowers_open = True
    $ studio_scene_cut = False
    $ studio_zanzibar_food = False
    $ studio_craft_utensils = False
    $ studio_dragon_anger = False
    $ studio_dragon_script = "none"
    $ studio_dragon_intro = False
    $ studio_gecko_intro = False
    $ studio_carno_intro = False
    $ shelter_partner = "none"
    $ studio_zanzibar_food = False
    $ studio_zanzibar_rumors = False
    $ studio_costume_needed = False
    $ studio_costume_person = "nobody"
    $ studio_dragon_costume = "naked"
    $ studio_gecko_costume = "naked"
    $ studio_carno_costume = "naked"
    $ studio_self_costume = "naked"
    $ studio_dragon_choice = False
    $ studio_gecko_choice = False
    $ studio_carno_choice = False
    $ studio_self_choice = False
    $ studio_astronaut_costume = "available"
    $ studio_fatigues_costume = "available"
    $ studio_armor_costume = "available"
    $ studio_plainswalker_costume = "available"
    $ studio_alien_costume = "available"
    $ studio_pirate_costume = "available"
    $ studio_tribal_costume = "available"
    $ studio_firefighter_costume = "available"
    $ studio_demon_costume = "available"
    $ studio_raine_awake = False
    $ studio_zanzibar_meatballs = False
    $ studio_zanzibar_messy = False
    $ studio_dragon_anger = False
    $ studio_prop_goggles = False
    $ studio_prop_foot = False
    $ studio_prop_book = False
    $ studio_zanzibar_charm = False
    $ studio_fantim_pages = False
    $ studio_pages_found = False
    $ studio_charm_found = False
    $ studio_missing_pages = False
    $ studio_makeup_received = False
    $ studio_movie_rating = 0


    "You head towards the small production studio that was located right in the heart of Kajira, a place where many an aspiring performer tried to find themselves in before the Shining Rains."

    "Now you find yourself walking in through the front door for a completely different reason as you look around the semi-destroyed reception area, knowing that someone has very likely been here before."

    "While you're not sure if anyone is still around the way you've seen how rubber creatures act you can't be too careful, or you could be lucky and find a few humans to convert along the way..."

    jump studio_entrance

label studio_entrance:

    menu:

        "Head towards the staging area":
            jump studio_staging_area

        "Go look around backstage":
            jump backstage_area

        "Investigate the control room":
            jump studio_control_room

label studio_staging_area:

    if studio_stagingroom_intro:

        "The staging area remains hauntingly quiet as you enter them once more."

    else:

        "When you enter into the stating area for the studio you find yourself transported to another world via the magic of props and scene setting... kinda."

        "Most of the various props appear to be either scattered about or all piled up in the boxes that lay behind the half-finished sets."

        "It appears whatever grandiose design that was had for the place had fallen a bit short and was either abandoned completely or potentially had been interupted by the Shining Rains."

        $ studio_stagingroom_intro = True

    menu:

        "Head to the control room":
            jump studio_control_room

        "Go into the backstage area":
            jump backstage_area

        "Check out the craft services cart":
            jump studio_craft_services

        "Look inside the props department area":
            jump studio_props_department

label studio_craft_services:

    if studio_craft_intro:

        "The smell of food continues to hang in the air as you go up to the craft services table."

    else:

        "When you head over to the area where the food would normally be for the actors as well as the production team you find that the area is surprisingly still well-stocked, even rubber creatures needed to eat you guessed as you looked over the table of goodies."

        "while there are a number of things that catch you area a bit wary, especially knowing what sort of tricks other corrupters might pull in order to take advantage of a human or another corrupter that happens to wander by."

        $ studio_craft_intro = True

    menu:

        "Investigate the craft services table more closely" if studio_control_room_intro:
            jump studio_craft_inspection

        "Head to the control room":
            jump studio_control_room

        "Go into the backstage area":
            jump backstage_area

        "Look inside the props department area":
            jump studio_props_department

label studio_craft_inspection:

    "As you look closer at the table you find all manner of foods both prepared and ready made, as well as drinks and untensils."

    menu craft_services:

        "What do you do?"

        "Take some of the food":

            menu:

                "What do you take?"

                "A bowl of meatballs":
                    "You ladle out a few of the meatballs and put them in the paper bowl, making sure not to spill any of the sauce."

                    "What do you do with them?"

                    menu:

                        "Eat them":
                            "You eat the meatballs and find that they are quite delicious!"

                            "Once you are finished with the food you take the empty container and toss it in the nearby trash can."

                        "Give them to Zanzibar" if studio_zanzibar_food:

                            "You head back to the rubber carno's dressing room and let yourself in, the other male perking his head up as his nostrils sniffed the air."

                            "Zanzibar" "Are those... what I think they are?"

                            "You nod and hand him the bowl full of meatballs, the carno eagerly taking them with his tail wagging eagerly in the air."

                            "Zanzibar" "Wendell doesn't usually let us eat before we shoot... but I suppose a few can't hurt."

                            $ studio_zanzibar_meatballs = True

                            if studio_craft_utensils:

                                "Before he turns his back on you and slams the door in your face you hold out utensils for him, which he eagerly grabs before closing the door behind him."

                            else:

                                "Before you can ask if he wants any utensils or anything he turns and slams the door in your face."

                                $ studio_zanzibar_messy = True

                            jump studio_dressing_rooms

                        "Put them back":
                            "You decide you don't want them after all and put them back in the cooker you found them in."
                            jump craft_services

                "A muffin":
                    jump studio_craft_muffin #this is a bad end, go to badends

                "A sandwich":
                    "You go to take one of the sandwiches and find there are several to choose from."

                    menu:

                        "The cold cut combo":
                            "You eat one of the cold cut combo sandwiches, it certainly hits the spot!"
                            jump craft_services

                        "The turkey club sandwich":
                            "You eat one of the turkey club sandwiches they have and find it quite tasty."
                            jump craft_services

                        "A peanut butter and jelly sandwich":
                            "You eat the peanut butter and jelly sandwich and find it quite delightful."

                            "It takes you a few strong licks of your rubber tongue and a glass of water but manage to get the sticky stuff out of your mouth enough for you to speak again."
                            jump craft_services

                        "The seafood sandwich":
                            jump craft_seafood_sandwich #this is a bad end, go to badends

                "Various desserts":

                    "There are a number of different little desserts, cookies and cakes and such that you fill your plate with."

                    menu:

                        "What do you do with them?"

                        "Eat them":
                            jump craft_dessert_tray #this is a bad end, go to badends

                        "Set them aside":
                            "You decide against eating the sweets and set them back on their designated trays."
                            jump craft_services

        "Grab a drink":

            menu:

                "What do you take?"

                "A bottle of water":
                    "You grab one of the bottles of water."

                    menu:

                        "What do you do with it?"

                        "Drink it":
                            "You down the bottle and find it very refreshing."
                            jump craft_services

                        "Put it back":
                            "You set the bottle of water back down on the table."
                            jump craft_services

                "A can of soda":
                    "You take one of the cans of soda."

                    menu:

                        "What do you do with it?"

                        "Drink it":
                            jump studio_craft_soda #this is a bad end, go to badends

                        "Set it back down":
                            "You decide against drinking it and put the can back down with the others."
                            jump craft_services

                "A large cup of cappuccino":
                    "You use the machine to make yourself a cappuccino."

                    menu:

                        "What do you do with it?"

                        "Drink it":
                            "As you down the beverage you can almost feel your teeth start to chatter from the amount of caffeine you just ingested."
                            "Once you are finished you toss the empty cup, which almost goes wide from your body shaking."
                            jump craft_services

                        "Give it to Raine":
                            "You decide that Raine might need a pick-me-up and head over to the gecko's room."

                            "After walking in you see him in his usual spot sleeping on the couch and decided to wake him, Raine snorting slightly as you interupted his sleep."

                            "Raine"  "Wassat?"

                            "The rubber creature looks over and sees the hot liquid in your hand as you give it to him to drink."

                            "Raine"  "Thanks, I could use a drink."

                            "You watch as the bleary-eyed reptile drinks down the whole thing in one go, smacking his lips together once he was done as he looked down at the empty cup."

                            "It didn't take long however before his eyes went wide, his eyelid twitching slightly as he suddenly found himself wide awake."

                            "Raine" "Well that's a kick in the head!"

                            "The gecko grins and gives you a wink as he hands you the empty cup."

                            "Raine" "Thanks man, I needed that."

                            jump studio_dressing_rooms

                        "Set it back down":
                            "You decide against doing anything with the cup and set it back down on the table."
                            jump craft_services

                "A cup of tea":
                    "You pour yourself a cup of tea from the dispenser."

                    menu:

                        "What do you decide to do with it?"

                        "Drink it":
                            "You drink the cup of tea, taking in the flavor and aroma as you do before tossing the empty cup."
                            jump craft_services

                        "Leave it be":
                            "You decide not to do anything with it and set it down on the table."
                            jump craft_services

        "Grab utensils":

            "You grab yourself a few plastic forks and knives, as well as some napkins."
            $ studio_craft_utensils = True
            jump craft_services

        "Leave everything alone and head back to the staging area":
            jump studio_staging_area


label studio_props_department:

    if studio_props_intro:

        "You find yourself once more surrounded by the props and other items that go into the making of a successful television show or movie."

    else:

        "The props department was filled with anything that you might need in order to make a movie or television show look more realistic, from furiture and other home decor items to weapons and armor."

        "Though there are a number of interesting things here there's nothing that appears to be of any particular value and the way things seemed scattered about you probably couldn't find anything specific unless you knew what you were looking for."

        "You decide to leave it all where it is and venture forth into another area of the studio."

        $ studio_props_intro = True

    menu:

        "Investigate the props" if studio_control_room_intro:
            jump studio_prop_selection

        "Head to the control room":
            jump studio_control_room

        "Go into the backstage area":
            jump backstage_area

        "Check out the craft services cart":
            jump studio_craft_services

label studio_prop_selection:

    "There are all manner of props that can be used, most of them sealed away in various containers to only be used for a specific show or role."

    menu studio_props:

        "What you do look at?"

        "A pair of stylized goggles":

            if studio_prop_goggles:

                "The prop googles are still there, and you still wonder how anyone saw through them..."

                jump studio_props

            else:

                "You pick up the goggles and look them over, the insides slightly reflective from the paint that would likely make a human's eyes appear more fish-like through them."

                "It doesn't appear to have any other uses and it makes you wonder how someone could have seen through them as you hold them up to the light."

                "With so little vision you put them up closer to your face just to see even with your own warped eyes if there was a major vision change."

                "After a few seconds of looking through them you shrug and put them back down on the table."

                $ studio_prop_goggles = True

                jump studio_props

        "A rabbit's foot":

            if studio_zanzibar_charm:

                "As you look at the rabbit's foot you realize that this might be the charm that they had been talking about, the one that Zanzibar had lost."

                "You decide to go ahead and see if that was the case and walk over to the dressing rooms."

                "When you step inside Zanzibar's room you see the carno standing there lifting weights, but they soon hit the floor with a loud clang as his eyes widen from seeing what was in your palm."

                "Zanzibar" "It can't be..."

                "You feel yourself brace for impact as the synthetic saurian comes barreling towards you only to stop dead in his tracks a few inches from your body and grabs the rabbit's foot."

                "Zanzibar" "You found my lucky charm!"

                "The force of the carno squeezing you takes the wind out of your lungs as he lifts you up."

                $ studio_charm_found = True

            elif studio_prop_foot:

                "You look back down at the preserved foot of the rabbit, picking it up and watching it dangle for a second before putting it back down."

                jump studio_props

            else:

                "You look down at the small, furred foot of the rabbit and when you touch it you're reminded of real animals."

                "Are there any left out there in the city of Kajira?  Or even on the entire island?"

                "It makes you wonder as you put the rabbit foot back down where you found it on the table."

                jump studio_props

        "A large bin of fake treasure":

            jump studio_dragon_hoard #this is a bad end, go to bad ends

        "An ancient-looking book":

            if studio_fantim_pages and studio_missing_pages:

                "You once more pick up the book and look through its pages, but as you do Raine's words come back to your mind that Fantim had been reading a book... maybe it was this one?"

                "It takes a bit but soon you find a different set of paper that was wedged in between the pages of the book, as though put there as bookmarks."

                "You realize with happiness that these were the pages that Fantim was missing from his script!"

                "Once you have them all you go to the dressing room area and open the door of the rubber dragon still preening himself."

                "Fantim" "I'd say you should knock, but that would be just as if not moreso disruptive."

                "Fantim sighs and looked up from the mirror."

                "Fantim" "What do you want?"

                "When you say you've found the missing pages his eyes perk up, stopping what he was doing and looking through them."

                "Fantim" "Well thank goodness for that I guess."

                "He quickly gathers up the pages from you and gives you a nod before closing the door in front of you once again."

                "Just as you think that he might have blown you off you can hear him going over the lines in his dressing room."

                $ studio_pages_found = True

                jump studio_dressing_rooms

            elif studio_prop_book:

                "You find the heavy tome once more, opening it up and glancing through a few pages before setting it back down."

                jump studio_props

            else:

                "The book has a heavy leather cover that takes more than a little effort to open."

                "There's an aura of mysticism around it as you begin to look over the ancient pages, each one feeling almost brittle as you turn them to see row after row of strange symbols."

                "As you keep flipping through the pages you find that they have little rhyme or reason to them, and some look like jumbled scribbles."

                "You sigh as you realize this book is exactly what it should be, a prop for some movie as you close it once more."

        "A stone spear":

            jump studio_stone_spear #this is a bad end, go to bad ends

        "Leave the props and head backstage":
            jump backstage_area

label backstage_area:

    "Backstage is the dressing rooms were as well as the costume and set design department, all connected by a singular hallway that lead towards the main sound stages."

    "Though there are a number of different areas is appears that only a few ae being utilized, peaking around to see a number of rubber creatures either in the break room waiting for instruction or lounging about in the dressing rooms."

    menu:

        "Go back to the control room":
            jump studio_control_room

        "Check out the staging area":
            jump studio_staging_area

        "Look into the dressing rooms":
            jump studio_dressing_rooms

        "Check out the costume department":
            jump studio_costume_department

        "Go into the set design department":
            jump set_design_department

label studio_dressing_rooms:

    if studio_dressing_intro:

        "You walk into the dressing rooms once again and take a look around the mostly empty area."

    else:

        "As you go down the line of dressing rooms you find that a number of them are either locked or unoccupied, in fact only three appeared to be in use at all."

        "Two of the three were open and allowed you to peek inside, one of them had a synthetic dragon in shimmering golden latex scales who stood in front of the mirror primping himself while the other contained a colorful rubber gecko that seemed to be asleep on the couch."

        "The third one was locked, but you were pretty sure that it was occupied since the name Zanzibar had been scratched into the wood of the door as well as the crude drawing of a dinosaur head with a star around it."

        $ studio_dressing_intro = True

    menu studio_dressing_navigation:

        "Go into the dragon man's room" if studio_dragon_information == False:
            jump studio_dragon_actor

        "Go into Fantim's dressing room" if studio_dragon_information:
            jump studio_dragon_actor

        "Try to wake up the gecko" if studio_gecko_information == False:
            jump studio_gecko_actor

        "Try to wake up Raine" if studio_gecko_information:
            jump studio_gecko_actor

        "Knock on Zanzibar's dressing room":
            jump studio_carno_actor

        "Head backstage":
            jump backstage_area

label studio_dragon_actor:

    if studio_dragon_pacification == "finished":

        if studio_makeup_received:

            "Fantim grins and looks at you from the mirror that he had been using to apply the makeup that you had gotten him, grinning as he informs you that he is ready to go whenever you and Wendell are."

        else:

            "Just as you open the door to the dressing room once again a potted plant goes screaming past your face and hits the opposite wall with a loud crash."

            "As you hear the rubber dragon wind up to yell at you while continuing to throw things in your direction you quickly hold up the leather case, which instantly causes him to stop."

            "Fantim" "You... you found it..."

            "Almost immediately his mood shifts from murderous to overjoyed as he bounds up to you and give you a hug."

            "Fantim" "I knew you could do it!"

            "Before you could say anything he takes the leather case out of your hands and goes over to his mirror, rolling it out on the vanity table and immediately starting to apply it."

            "Fantim" "Thank you so much, wherever did you find it?"

            menu:

                "Tell him that Zanzibar took it":
                    "For a moment you think that the dragon was going to break the applicator that he was holding before grimacing in the mirror."

                    "Fantim" "I knew it!  That brutish carno was always jealous of my glory and being the main star."

                    "Fantim" "If it wasn't so close to production I would give that meathead a piece of my mind... but I wouldn't want to smear my makeup."

                    "You breathe a sigh of relief as it appears that the dragon wasn't going to do anything drastic or attempt to retaliate."

                    $ studio_dragon_anger = True

                "Tell him that you found it at the craft table":
                    "Fantim stops for the moment and you fear that he was about to call you out on the fabrication."

                    "Fantim" "I didn't think I brought it out there... oh well..."

                    "You breathe a sigh of relief that the primping rubber creature was so absorbed in his new task that he didn't realize, or just didn't care."

            "Fantim" "I can't thank you enough for getting me this back, it means everything to me."

            "Fantim" "You can tell Wendell that I'll be ready to go when everyone else it."

            "You thank the rubber dragon and tick his cooperation of the list of things to do."

            $ studio_makeup_received = True

            jump studio_fantim_interactions

    elif studio_dragon_pacification == "makeup":

        "When you walk into the room you are immediately greeted with something being thrown in your direction, the angry golden rubber dragon nearly pelting you with an item from his room."

        "Fantim"  "What did I tell you?!  Don't come back without my makeup!"

        "You quickly dodge back out into the hallway and close the door before the rain of items being thrown at you continued."

        jump studio_dressing_navigation

    elif studio_dragon_script == "mentioned":

        "You come back to the dressing room with Fantim and see that he's moved away from the full-length mirror in the corner of the mirror... and was sitting down at the vanity looking at himself in the mirror there while apparently talking to himself."

        "Fantim" "Oh darling, you're back!"

        "He looks at you in the reflection of the mirror with a wide smile on his face."

        "Fantim" "Did you talk to Wendell yet about my script changes?  Did he absolutely love them or did he only really like them?"

        menu:

            "Lie to Fantim":

                "You can see the eyes of the golden dragon light up when you say that Wendell loved the changes and that he will defintely incorporate them into the script for shooting."

                "Fantim" "Marvelous!"

                "For the first time since you met him Fantim tears his eyes away from his own reflection in the mirror and goes over to give you a big hug."

                "Fantim" "I just knew that dull old naga would come around to my way of thinking."

                "Fantim" "Now if you don't mind I'm going to have to get myself ready for the part, just have to make sure I look perfect for the roll."

                "You can already tell that's probably not going to be a good thing as he races back to the mirror and begins to rummage around a large bag that was nearby before his face fell into a frown."

                "Fantim" "Wait..."

                "In what is probably the purest expression of emotion you've seen from the rubber dragon thus far he frantically dumps everything out of his back and onto the desk and searches through it, then slams his fists against the wood and causes it all to scatter."

                "Fantim" "WHERE'S MY MAKEUP!!!"

                "The amount of anger that Fantim was exuding was palpable as his nostrils flared, breathing heavily as he takes his arms and sweeps all the items on the floor."

                "It seems to take him a few seconds before he even realizes that you're still in the room watching him, slowly turing his head before he turns and looks at you with an intensity that causes you to take a step back."

                "Fantim" "You..."

                "At this point Fantim is a creature possessed as he points in your direction."

                "Fantim" "Find it..."

                "Fantim" "Find my makeup..."

                "Fantim" "NOW!!!"

                "Before you can ask or say anything he goes back to angrily looking around in his bag and rummaging through the stuff on the ground in some attempt to find what he was looking for."

                "It appears that the rubber dragon would likely snap if you ask him anything, so you decide to go the cautious route and just leave."

                $ studio_dragon_script = "lied"
                $ studio_dragon_pacification = "makeup"

                jump studio_dressing_navigation

            "Tell Fantim the truth":

                if studio_self_costume == "alien":

                    "As you start to tell him that Wendell had looked over the changes and didn't appreciate them you see that the golden rubber dragon starts to drift off into his own space, but as he does glance back you he stops and suddenly seems far more intent."

                    "The amount of attention given to you causes you to pause, wondering why Fantim appeared to have a change of heart to listen to you when you realize he's not looking at you..."

                    "He's looking at the reflection of himself."

                    "It does seem that he's more responsive though and you even manuever yourself so that he's looking at your spandex-covered head while you tell him that the script changes aren't going to happen."

                    "Strangely it seems to work, not only does the dragon not seem to mind about the script changes happening but he seems to look at you with a certain fondness that he seemed to reserve for himself."

                    "Fantim" "I suppose it was too much to think that the naga would be able to handle my genius... but I'm sure you know how it is..."

                    "At this point you wonder if he's talking to you or himself, though it really doesn't matter as he opens the drawer to his vanity."

                    "Fantim" "Now if you don't mind I'm going to have to get myself ready for the part, just have to make sure I look perfect for the roll."

                    "You can already tell that's probably not going to be a good thing as he races back to the mirror and begins to rummage around a large bag that was nearby before his face fell into a frown."

                    "Fantim" "Wait..."

                    "In what is probably the purest expression of emotion you've seen from the rubber dragon thus far he frantically dumps everything out of his back and onto the desk and searches through it, then slams his fists against the wood and causes it all to scatter."

                    "Fantim" "WHERE'S MY MAKEUP!!!"

                    "The amount of anger that Fantim was exuding was palpable as his nostrils flared, breathing heavily as he takes his arms and sweeps all the items on the floor."

                    "It seems to take him a few seconds before he even realizes that you're still in the room watching him, slowly turing his head before he turns and looks at you with an intensity that causes you to take a step back."

                    "Fantim" "You..."

                    "At this point Fantim is a creature possessed as he points in your direction."

                    "Fantim" "Find it..."

                    "Fantim" "Find my makeup..."

                    "Fantim" "NOW!!!"

                    "Before you can ask or say anything he goes back to angrily looking around in his bag and rummaging through the stuff on the ground in some attempt to find what he was looking for."

                    "It appears that the rubber dragon would likely snap if you ask him anything, so you decide to go the cautious route and just leave."

                    $ studio_dragon_pacification = "makeup"

                    jump studio_dressing_navigation

                else:

                    "The second you start to tell him that Wendell didn't appreciate the script and that it probably wasn't going to happen you see his eyes glaze over after the first few words leave your mouth, and when you're done he just grins and nods at you."

                    "Fantim" "Well when Wendell does approve my script changes you just let me know, alright?"

                    "It's clear that he either didn't hear a word that you were saying as he went back to the mirror that he was using to once more look at himself in."

                    "Either you're going to have to find some way to get this dragon to listen to you or get the naga to use the script changes... either way this wasn't going to be an easy venture."

                    jump studio_dressing_navigation

    elif studio_dragon_pacification == "informed":

        "The golden rubber dragon is exactly where you left him, still looking at himself in the mirror as you come up behind him."

        "Fantim"  "Oh, you're back."

        "Fantim"  "Did you talk to Wendell about my script edits?"

        "You shake your head no, and the dragon just sighed and went back to primping himself."

        "Fantim"  "Do make sure to hurry dear, I would hate to hold up production with everyone learning the new lines that I gave them."

        "You nod and decide to head somewhere else for the time being."

        jump studio_dressing_navigation

    elif studio_dragon_intro:

        "When you walk into the dressing room you once more see the dragon actor where he usually was... standing in front of the mirror looking at himself."

        "From the look of it you'd probably have better luck talking to a brick wall, opting instead to leave and go elsewhere."

        jump studio_dressing_navigation

    else:

        "As soon as you step inside the dressing room the dragon man turns and looks to see you standing there, a wide grin stretching his latex muzzle as he stand up and goes to give you a hug."

        "Dragon Actor" "You must be the new help that the director promised us!  Marvelous!"

        "You are squeezed tight before you are finally let go and the dragon moves back to the dressing room."

        "Dragon Actor" "So now that you're here I need you to get my costume and also could you see if the director approved of my script revisions?  I know Zanzibar was furious on the edits but he already physically hogs the stage anyway."

        "Though you attempt to try and get the snake's attention long enough to tell him that you don't work for him the dragon man once more seems to be obcessed with checking his rubber scales once again."

        $ studio_dragon_intro = True

        $ studio_dragon_pacification = "started"

        jump studio_dressing_navigation

menu studio_fantim_interactions:

    "Look around the dressing room":
        jump fantim_dressing_room

    "Ask about his role in the production":
        jump fantim_production_role

    "Ask about the others involved in the production":
        jump fantim_actor_rumors

    "Leave the dressing room":
        jump studio_dressing_navigation

label fantim_dressing_room:
    "You take a glance around and see that everything is impeccibly placed, the rubber dragon seems to be a bit of neat freak when it comes to his items."

    menu:

        "Where do you look?"

        "Check out the closet":

            if studio_fantim_pages:

                "You check out the closet and find a bunch of clothes, probably from someone that had gotten caught in the Shining Rains, and a few other odds and ends."

                "Strangely you don't find any books or other reading material... didn't Raine say that the dragon preferred reading?"

            else:

                "You find a few things, but nothing of real interest."

                "When the rubber dragon asks what you're doing in there you quickly tell him nothing and back away from the closet."

            jump studio_fantim_interactions

        "Look in the trash bin":

            "You take a glance in the trash bin to find that there's nothing much inside of it, save for some papers that have a couple scribbles and notes on it."

            "Most of them appear to be from Fantim, while one appears to be from Wendell where he had circled a picture of an elf in some kind of ranger outfit with his hood drawn over his head along with a scantily-clad barbarian."

            "There are also a lot of empty makeup vials and applicators in the bin."

            jump studio_fantim_interactions

        "Examine the furniture":

            if studio_missing_pages:

                "Once more you look at the couch, seeing the incomplete script you found sitting on one of hte cushions."

                "You really wonder if you should try to find those pages... if they're even out there."

            else:

                "When you check out the couch and chair that were in the room you find them to be pretty standard, nothing really out of the ordinary except they're maybe a little nicer than the other ones."

                "As you sit down on it however you feel a lump where there shouldn't be one and when you reach down into the cushions you find the script that Fantim had been studying."

                "You take a look through it and as you look at the hightlighted parts you come across something rather odd; it appears that more than several of the script pages are missing!"

                "When you go to Fantim about it the rubber dragon informs you that he had lost those pages somewhere a while ago but not to worry, he had read them before hand and has a basic idea of what was on them."

                "Despite Fantim's confidence you wonder if that's really the wisest course of action and put the script down on the couch."

                $ studio_missing_pages = True

                jump studio_fantim_interactions

label fantim_production_role:
    "Fantim" "Well I'm the noble knight in shining armor of course!"

    "The gold rubber dragon adopts as regal a posture as he can muster for a few seconds before dropping back down."

    "Fantim" "With my stable boy Raine we wonder the land trying to find out how to save ourselves from the cataclysm that's about to happen."

    "Fantim" "Then... you know, Zanzibar comes and brings us to his ship or something."

    "Fantim" "Whatever."

    "You feel like that's about as good a description as you're going to get."

    jump studio_fantim_interactions

label fantim_actor_rumors:
    "Fantim" "The other actors... right..."

    "It takes more than a second for Fantim to think about what you just asked him, trying to recall the people he had supposedly been working with all this time."

    "Fantim" "Raine is... sleepy I guess?"

    "Fantim" "He's always napping on the couch at least, I think he has some sort of problem."

    "Fantim" "As for Zanzibar that dino has a head bigger than those muscles of his."

    "The dragon giggles and looks around as though to make sure that no one else is listening before leaning in."

    "Fantim" "I know that he's secretly a huge bundle of nerves in this whole thing, in fact more than once I've caught him talking into some lucky charm that he has."

    "Fantim" "The only reason I know that's what it he had is because a few days ago he must have lost it, pratically tore up his room screaming about where his charm went."

    "Fantim chuckles again and you can tell his focus on the conversation has been maxed as his body slowly begins to gravitate back to the mirror."

    $ studio_zanzibar_charm = True

    jump studio_fantim_interactions

label studio_gecko_actor:

    if studio_gecko_pacification == "finished":

        "You see the rubber gecko still lying there on the couch where you had last left him, snoring away loudly while waiting for the call to action."

        jump studio_raine_interactions

    elif studio_gecko_pacification == "informed":

        "You go up to the latex gecko and poke him once more, starling him awake as he looks up at you and pulls out his earbuds."

        "Raine" "Hey dude, did you get that naga to start production or is he still drinking up in the control booth."

        "You're a bit surprised to hear that he knows about that and the rubber reptile just gives you a coy grin as he sits up on the couch."

        "Raine" "I make sure to check in on him from time to time, this whole movie thing is getting him super stressed out and he's trying to show up those stupid hypnagas over at the movie theater because one of them has this whole big production..."

        "Raine" "I told him that it's not fair to himself to compare what he's doing to someone who can literaly hypnotize others just from having them look at him, but still he thinks he needs to be the best... or something like that."

        "When you bring up the fact that Wendell seems to think that he has narcolepsy it just causes the gecko to chuckle."

        "Raine" "It's not that man, just conserving my energy is all... don't want to be slouching or anything when it's time to finally hit the stage."

        "You just nod and it appears that even though the gecko is attempting to stay engaged with you he really, really wants to lie back down on the couch."

        "Raine" "Well unless there's something else that you need from me just go ahead and wake me when its time to film this thing."

        "You nod, glad to find the gecko actor seems to be on board and ready to go when you are."

        $ studio_gecko_pacification = "finished"

        jump studio_raine_interactions

    elif studio_gecko_intro:

        "You pop into the gecko's dresing room and find that he is fast asleep, snoring loudly."

        "At the moment you decide there's really no reason to wake him again and leave the dressing room."

        jump studio_dressing_navigation

    else:

        "The door slowly creaks open as you step inside, hearing nothing but the sound of the gecko's soft snoring as he continues to lay there on the couch."

        "As you walk over to him you realize that your sneaking in was pretty much for nothing as you spy a pair of ear buds pushed into the ear-holes of the sleeping male connected to an electronic device next to him."

        "You decide to give him a gentle push on the shoulders to try to wake him and it proves to be super effective as his eyes open wide with such intensity that it causes you to take a step back as he turns his head to look at you."

        "Gecko" "Huh... you're not the director."

        "When you tell him who you are he shrugs and stretches his body before settling back on the couch."

        "Gecko" "I don't suppose we're ready to shoot yet, otherwise I'm sure that naga would have me halfway in his coils dragging me to the stage.  Let me know when we're good to go and also I need to get changed."

        "You open your mouth to say something but the gecko settles back onto his couch and closes his eyes once again and before you know it he's asleep once more."

        $ studio_gecko_intro = True

        $ studio_gecko_pacification = "started"

        jump studio_dressing_navigation

menu studio_raine_interactions:

    "Look around the dressing room":
        jump raine_dressing_room_search

    "Ask Raine about Wendell":
        jump raine_wendell_relationship

    "Talk to Raine about his part in the production":
        jump raine_production_role

    "Ask about Zanzibar":
        jump raine_rumors_zanzibar

    "Ask about Fantim":
        jump raine_rumors_fantim

    "Leave the dressing room":
        jump studio_dressing_navigation

label raine_dressing_room_search:
    "You look around the dressing room and don't find too much around, in fact the only thing that's there is a backpack with a name on it that had been scratched out and replaced with Raine."

    "You wonder if the gecko was even an actor at all, or if perhaps he had just been passing through to possibly visit Wendell when the Shining Rains came."

    "Either way that's all you really find on your search of the area."

    jump studio_raine_interactions

label raine_wendell_relationship:
    "When you ask Raine about the relationship between him and Wendell the gecko just chuckles."

    "Raine" "I'm sure you heard all sorts of rumors by now of what we could possibly be."

    "Raine" "I'm afraid the truth is more boring then the rumor; Wendell and I were freinds since before the Shining Rains and decided to band together after we were transformed into... this."

    "Raine" "It was a little bit of a transistion period and I admit we had more than one romp on the casting couch as it were, but we were just both thankful that we didn't end up like those rubber monsters roaming the streets outside."

    "You ask if either he or Wendell had been outside the studio as of yet and the gecko shook his head."

    "Raine"  "No... we've taken peeks outside but even if those monsters ignore us I would rather stay in here where I know its safe."

    "You can feel your mouth turn to a frown on your latex muzzle, something Raine catches as well with a laugh."

    "Raine"  "Don't worry, I know about the arrangment with you and Wendell and I'm fully behind it, long as we can fulfill his dream I'm more than happy looking for a new home out there."

    "You nod and continue to chat about the naga for a bit before going back to another subject."

    jump studio_raine_interactions

label raine_production_role:
    "Raine" "From how it was explained to me I'm like the squire to Fantim, if he would be the knight."

    "Raine" "I guess I was found in the woods or something after I was abandoned by my town, living on my own in the wild until Fantim's character saved my life."

    "Raine" "Wendell is kinda strange when it comes to creating elaborate backstories for his characters, but I think I got it down enough to make it work."

    jump studio_raine_interactions

label raine_rumors_zanzibar:
    "Raine" "So you want to know about Zanzibar huh?  Has he caught your eye like he did Wendell?"

    "You grin sheepishly at the conotations and that causes the gecko to laugh."

    "Raine" "I don't know much about him I'm afraid, other then he can be a bit intimidating."

    "Raine" "He and Fantim don't get along to much, even though Zanzibar's part is smaller he thinks he's the big rubber reptile on campus."

    "Raine" "So far it hasn't interupted production at all, the two have at least that much sense about them."

    "The gecko shrugs and sits back."

    "Raine" "Like I said, don't hang out much with the guy... feel like I'd be laying down on this couch for a completely different reason if I did."

    jump studio_raine_interactions

label raine_rumors_fantim:
    "You ask Raine about Fantim and if there was anything that you heard about the golden rubber dragon."

    "Raine" "Well..."

    "The gecko thinks about it for a few seconds before finally giving you a shrug."

    "Raine" "I don't think he's really aware of our existance."

    "Raine" "He probably talks more to himself then he does anyone else here."

    "Raine" "When he's not looking longingly at his reflection he kinda just stays in his room reading books."

    "Raine" "Not that it really matters all that much, as long as he does what he has to do we're good to go."

    "That seems to be all the gecko wants to talk about on the matter."

    $ studio_fantim_pages = True

    jump studio_raine_interactions

label studio_carno_actor:

    if studio_carno_pacification == "finished":

        "Zanzibar gives you a little nod as you walk into the dressing room, mentioning that he's ready to go whenever you are to start production."

    elif studio_carno_pacification == "informed":

        "You can feel a growing sense of dread in the pit of your stomach as you go up to the defaced door and knock on it, trying to remain as passive as possible as you wait for the carno to answer."

        "It turns out you don't have to wait long as you ehar the sound of heavy footsteps and can feel the vibrations under your feet before the door swings open violently."

        "The first thing that Zanzibar does is look around, not even acknowledging your presence before looking down and narrowing his eyes."

        "Zanzibar" "You again..."

        "As the rubber carnotaur looms over you can't help but swallow hard as he stares down at you with those red eyes."

        "Zanzibar" "What did I tell you about coming here when it wasn't time to shoot this stupid thing?"

        "You start to wonder if this guy is going to punch you as he cracks his knuckles, an impressive feet considering that neither of you really have any bones to speak of."

        "Zanzibar" "Listen you little [corrupted_species], if the next time you talk it's not you saying that we're ready to shoot than I'm going to personally make sure that you leave this building in the roughest of fashions, you got it?"

        menu:

            "Try to be intimidating back":

                if shelter_partner == "Kalan":

                    "You begin to recognize this posturing... it was the same thing that Kalan tried to do to you the first time that you met him."

                    "During the interim of you trying to find a headquarters he's been teaching you a few things on how to be more dominant when it comes to other rubber creatures, and you figure that now was the time to do so as you adopt a more assertive stance."

                    "When you inform him in a clear, loud voice that you're running the show now and he was going to have to listen to you the demeanor of the carno changed, his face outlined with surprise as you talk to him so defiantly."

                    "Zanzibar" "You... really think that you can talk to me like that?"

                    "The carno seems to push back a bit as he uncrosses his arms and looks you dead in the eye."

                    "Zanzibar" "You sure you want to mess with this?"

                    menu:

                        "Hell yeah!":

                            "Your doubling down once more shocks the synthetic saurian, his domineering posture disappearing as he appears to not know what to do."

                            "Zanzibar" "I... uh..."

                            "To your surprise the tough, dominant male that had been standing before you melted before your eyes as he began to look down at the ground, scraping the ground with his foot talons and figiting with his fingers."

                            "Zanzibar" "What do you need from me sir?"

                            $ studio_carno_pacification = "finished"

                            jump zanzibar_dialogue

                        "Actually...":

                            "The second you falter in your resolution the smile on the carno returns, showing off his teeth as he leands down."

                            "Zanzibar" "Thought so..."

                            "You know that you're in trouble as he begins to push forward on you, prompting you to look around while backing up further into the dressing room."

                            jump studio_carno_assistant #this is a bad end, go to badends

                else:

                    "With a deep breath you attempt to puff up your chest and look as intimidating as possible and tell Zanzibar that Wendell put you in charge and that if you want this production to suceed he's going to have to deal with you and not Wendell."

                    "Even though you can see the carno's eyes widen in slight suprise he just huffs and crosses his arms before looking away."

                    "Zanzibar" "Well I guess if that snake is so useless that he needs to hire someone more competant to get this thing rolling that's his thing, all I want to do is get this thing filming."

                    "You watch those bulging muscles of his flex as he seems to regain his stature very quickly and leans in until he's only a few inches from your face."

                    "Zanzibar" "I'm holding you personally responsible though, if that naga doesn't get this thing going soon I'm going to make sure that the next job you two have are are rubbing my feet."

                    "You take a glance at the thick saurian toes of the male before glancing back up at the smirking carno."

                    "Zanzibar" "So boss, what can I do for you?"

                    $ studio_carno_pacification = "finished"

                    jump zanzibar_dialogue

            "Nod and attempt to be as apologetic as possible":

                "As you quickly try to placate the carno it appears that your words are falling on deaf ears as you tell him anything you can think of in order to make him not angry."

                "Zanzibar" "I knew you were here to waste my time!"

                "The next thing you know you suddenly find yourself in the air as the very strong saurian lifts you up and begins to walk you down the hall."

                "Zanzibar" "The last thing we need around here is any useless pieces of garbage cluttering up the place and prevening that naga from finishing this thing!"

                "You quickly realize that he's not taking you to the door, instead he's going straight towards the window that was at the end of the dressing room hallway."

                "Zanzibar" "I'm going to be a star and I'm not letting anything stand in my way!!"

                "The next moment you let out a shout as the window shatters when your body makes impact with it, rolling down the parking lot several times before you finally come to a stop."

                "Thankfully your latex body was made to withstand the shock of impacts and is cut-resistant or else you'd probably be in the hospital as you get up and brush yourself off."

                "When you look at the portal that you had just been forcefully exited from the carnotaur shouts at you to stay out before leaving, and you think that even if you go back in you'd likely just be going out again in a similar manner."

                "You sigh as you hit the streets of Kajira once again to look for a place to settle into."

                jump the_search_begins

            "Just slowly back away from the door.":

                jump studio_carno_assistant #this is a bad end, go to bad endings for this label

    elif studio_carno_intro:

        "The door remains steadfastly locked, and when you knock on the door you hear a booming voice tell you to go away unless it's time to start shooting."

        jump studio_dressing_navigation

    else:

        "You knock on the door of Zanzibar's room and immediately hear the scraping and banging of objects inside it as you take a step back."

        "Zanzibar" "It's about time you called us out here for this thing!"

        "The door flies open and you are staring at the pectorals of a huge crimson rubber-scaled carnotaur."

        "Your head cranes up slightly to see him staring down at you, the musclebound male snorting as he looks at you and shakes his head."

        "Zanzibar" "What, that naga doesn't even have the courage to come and tell me that we're delaying again anymore?  Talk to me when we're ready to roll!"

        "Before you can get in a word edgewise the door is slammed in your face with such an intensity that the wooden frame splinters slightly, leaving you alone in the hallway once more."

        $ studio_carno_intro = True

        $ studio_carno_pacification = "started"

        jump studio_dressing_navigation

menu zanzibar_dialogue:

    "Ask to come into his dressing room":
        jump zanzibar_dressing_room

    "Talk about Zanzibar's role in the production":
        jump zanzibar_production_role

    "Ask about the others involed in the production":
        jump zanzibar_actor_rumors

    "Go back into the main dressing room hallway":
        jump studio_dressing_navigation

label zanzibar_dressing_room:

    "You decide to take a look around the dressing room and see for yourself what the rubber carno is all about."

    "Most of it was random odds and ends, including a stack of pictures of himself that he had already signed."

    menu zanzibar_search:

        "Where would you like to investigate?"

        "Check the dressing room closet":
            "You look through the closet to find a mess of clothing that belonged to the previous owner of the dressing room... or perhaps they belonged to Zanzibar pre-Shining Rains."

            if studio_dragon_pacification == "makeup" and studio_zanzibar_rumors:

                "As you take a look through you notice something in the back of the closet hidden away behind one of the trunks."

                "Pulling out the leather case you unroll it to find a large number of makeup as well as the applicators for it, what looks to be thousands of dollars worth all contained in it."

                "From the looks of Zanzibar he was not the one to care about using such high-end products... and then remembering what he said he realized who these belonged to."

                "You quickly roll them back up and tuck them away before the carno catches wind that you found them, turning back nonchalantly."

                $ studio_dragon_pacification = "finished"

            else:

                "Nothing really else out of the ordinary you can see as you put everything else back."

            jump zanzibar_search

        "Look through the vanity":
            "It's clear that the carno didn't have much care on make-up or anything of that nature."

            "In fact the only thing you find scattered about the small desk area were empty food containers smeared with sauce; apparently he used the area as a dining room table."

            $ studio_zanzibar_food = True

            jump zanzibar_search

        "Check out his script notes":
            "You find what appears to be the script that Wendell had given him, but most of the words and lines were either smeared with grease or had notes written over them."

            "It looked to be well-read though; from the looks of it Zanzibar definitely prepared for his role in this movie."
            jump zanzibar_search

        "Stop searching":
            jump zanzibar_dialogue

label zanzibar_production_role:

    "When you ask about what his role is in the production his eyes immediately light up and he begins to move around excitedly."

    "Zanzibar" "Well I'm the star of the second act that leads the other two from caves into a... uh..."

    "The rubber carno thinks for a second, tapping his claw against the table before a look of realization crosses his face."

    "Zanzibar" "Oh yeah, a space station!"

    "Zanzibar" "That makes me the hero of the story of course, and also... a space dino I guess?"

    "Zanzibar" "Wendell tried to explain it to me that I was a robot or something from outer space but it was very confusing, plus so little of that backstory is in the script I didn't bother to really rememmber it."

    "The carno just shrugs and goes back to his introspection, sitting there at the desk in a daydream-like state."

    "Zanzibar" "I hope that we start soon... I'm getting hungry."

    jump zanzibar_dialogue

label zanzibar_actor_rumors:

    if studio_zanzibar_rumors:

        "When you ask him about any other rumors he just shrugs his shoulders."

        "Zanzibar" "That's really all I have to say about the matter, like I said I really don't interact much with the others."

    else:

        "When you ask about the others in the production the carno just shakes his head and chuckles."

        "Zanzibar" "I suppose every star needs their support team."

        "He sits back down and scratches his head."

        "Zanzibar" "I know that Raine and Wendell are like friends or lovers or something, either way Raine is only in it to help him which is why he took the smallest role."

        "Zanzibar" "That Fantim thinks he's running the show just because he's in the first act... he's such a diva."

        "His latex muzzle furls in a combination of a sneer and a snarl thinking about his draconic co-actor."

        "Zanzibar" "Always doting on himself in front of that mirror, may as well be kissing himself for how much he stares at his reflection."

        "Zanzibar" "In fact he gets so absorbed sometimes that he doesn't even realize when you go in there, you can just waltz right in and out if you wanted something and not have to worry about it."

        "There's a momentary smirk on his face before he seems to look at you and coughs to regain his composure."

        "Zanzibar" "Anyway, that's all I really know about them... don't really rub elbows much."

    if studio_dragon_pacification == "makeup":

        "Even though the rubber carno has effectively ended the convseration what he said makes you wonder... especially the way he smiled when he said it."

        "Did Zanzibar take something from Fantim?"

    else:

        "You nod, taking a moment for your mind to digest what he had just said about the other two."

        "You thank Zanzibar and decide not to bother the actor anymore about the subject."

    $ studio_zanzibar_rumors = True

    jump zanzibar_dialogue

label studio_costume_department:

    if studio_costume_intro:

        "You find yourself once more in the costume department, surrounded by garments of all shapes and styles as you walk past them."

    else:

        "The studio costume department appeared to be mostly a place where they could be created, a number of sowing stations located next to bolts of cloth and other accessories for making costumes."

        "There was also a handful of racks with already made clothing there, though you suspect that most of these would not fit a creature such as yourself anymore."

        "There are a number of costumes that you might be able to work with your body but at the moment you don't feel particularly like playing dress-up as you walk out of the costume area."

        $ studio_costume_intro = True

    menu costume_department_navigation:

        "Look through the various racks of costumes":
            jump studio_costume_conundrum

        "Head over to the dressing rooms":
            jump studio_dressing_rooms

        "Go to the set design area":
            jump set_design_department

        "Head back to the staging area":
            jump studio_staging_area

label studio_costume_conundrum:

    if studio_costume_needed:

        "As you look through the costumes you know that you need to get the actors the ones they need, especially since they don't seem to be capable of doing anything for themselves."

        "There are a number of choices though and even though you have an idea for what you need there's going to be a number of variations."

        menu studio_costume_actor:

            "Who are you selecting a costume for?"

            "Fantim":
                if studio_dragon_choice:

                    "Fantim's costume choice is currently set to [studio_dragon_costume]."

                    menu:

                        "Do you wish to change his costume?"

                        "Yes":
                            $ studio_costume_person = "dragon"
                            if studio_dragon_costume == "astronaut":
                                $ studio_astronaut_costume = "available"
                            elif studio_dragon_costume == "fatigues":
                                $ studio_fatigues_costume = "available"
                            elif studio_dragon_costume == "armor":
                                $ studio_armor_costume = "available"
                            elif studio_dragon_costume == "plainswalker":
                                $ studio_plainswalker_costume = "available"
                            elif studio_dragon_costume == "alien":
                                $ studio_alien_costume = "available"
                            elif studio_dragon_costume == "tribal":
                                $ studio_tribal_costume = "available"
                            elif studio_dragon_costume == "firefighter":
                                $ studio_firefighter_costume = "available"
                            elif studio_dragon_costume == "demon":
                                $ studio_demon_costume = "available"
                            else:
                                "This is a bug"
                            jump studio_costume_pieces

                        "No":

                            jump studio_costume_actor

                else:

                    $ studio_costume_person = "dragon"
                    jump studio_costume_pieces

            "Raine":
                if studio_gecko_choice:

                    "Raine's costume choice is currently set to [studio_gecko_costume]."

                    menu:

                        "Do you wish to change his costume?"

                        "Yes":
                            $ studio_costume_person = "gecko"
                            if studio_gecko_costume == "astronaut":
                                $ studio_astronaut_costume = "available"
                            elif studio_gecko_costume == "fatigues":
                                $ studio_fatigues_costume = "available"
                            elif studio_gecko_costume == "armor":
                                $ studio_armor_costume = "available"
                            elif studio_gecko_costume == "plainswalker":
                                $ studio_plainswalker_costume = "available"
                            elif studio_gecko_costume == "alien":
                                $ studio_alien_costume = "available"
                            elif studio_gecko_costume == "tribal":
                                $ studio_tribal_costume = "available"
                            elif studio_gecko_costume == "firefighter":
                                $ studio_firefighter_costume = "available"
                            elif studio_gecko_costume == "demon":
                                $ studio_demon_costume = "available"
                            else:
                                "This is a bug"
                            jump studio_costume_pieces

                        "No":

                            jump studio_costume_actor

                else:

                    $ studio_costume_person = "gecko"
                    jump studio_costume_pieces

            "Zanzibar":
                if studio_carno_choice:

                    "Zanzibar's costume choice is currently set to [studio_carno_costume]."

                    menu:

                        "Do you wish to change his costume?"

                        "Yes":
                            $ studio_costume_person = "carno"
                            if studio_carno_costume == "astronaut":
                                $ studio_astronaut_costume = "available"
                            elif studio_carno_costume == "fatigues":
                                $ studio_fatigues_costume = "available"
                            elif studio_carno_costume == "armor":
                                $ studio_armor_costume = "available"
                            elif studio_carno_costume == "plainswalker":
                                $ studio_plainswalker_costume = "available"
                            elif studio_carno_costume == "alien":
                                $ studio_alien_costume = "available"
                            elif studio_carno_costume == "tribal":
                                $ studio_tribal_costume = "available"
                            elif studio_carno_costume == "firefighter":
                                $ studio_firefighter_costume = "available"
                            elif studio_carno_costume == "demon":
                                $ studio_demon_costume = "available"
                            else:
                                "This is a bug"
                            jump studio_costume_pieces

                        "No":

                            jump studio_costume_actor

                else:

                    $ studio_costume_person = "carno"
                    jump studio_costume_pieces

            "Yourself":
                if studio_self_choice:

                    "Your own costume choice is currently set to [studio_self_costume]."

                    menu:

                        "Do you wish to change your costume?"

                        "Yes":
                            $ studio_costume_person = "self"
                            if studio_self_costume == "astronaut":
                                $ studio_astronaut_costume = "available"
                            elif studio_self_costume == "fatigues":
                                $ studio_fatigues_costume = "available"
                            elif studio_self_costume == "armor":
                                $ studio_armor_costume = "available"
                            elif studio_self_costume == "plainswalker":
                                $ studio_plainswalker_costume = "available"
                            elif studio_self_costume == "alien":
                                $ studio_alien_costume = "available"
                            elif studio_self_costume == "tribal":
                                $ studio_tribal_costume = "available"
                            elif studio_self_costume == "firefighter":
                                $ studio_firefighter_costume = "available"
                            else:
                                "This is a bug"

                            jump studio_costume_pieces

                        "No":

                            jump studio_costume_actor

                else:

                    $ studio_costume_person = "self"
                    jump studio_costume_pieces

            "Decide to do something else":
                jump costume_department_navigation

    else:

        "There are so many different costumes that you have no idea what you want to do or where to even go with this, looking through racks to find everything from pirate to astronaut outfits."

        "With no clear direction you decide to leave the costumes as they are."

        jump costume_department_navigation

    menu studio_costume_pieces:

        "Astronaut costume" if studio_astronaut_costume == "available":

            "This is the costume of an astronaut with a full-body suit that includes a backpack and a helmet, and though the visor is missing on the helmet you suspect that with the muzzles of the actors it would likely have to go anyway."

            "Is this the costume you wish to pick out?"

            menu:

                "Yes":

                    if studio_costume_person == "dragon":
                        "You place the astronaut costume into the spot marked for Fantim."
                        $ studio_dragon_choice = True
                        $ studio_dragon_costume = "astronaut"
                        $ studio_astronaut_costume = "picked"

                    elif studio_costume_person == "gecko":
                        "You place the astronaut costume into the spot marked for Raine."
                        $ studio_gecko_choice = True
                        $ studio_gecko_costume = "astronaut"
                        $ studio_astronaut_costume = "picked"

                    elif studio_costume_person == "carno":
                        "You place the astronaut costume into the spot marked for Zanzibar"
                        $ studio_carno_choice = True
                        $ studio_carno_costume = "astronaut"
                        $ studio_astronaut_costume = "picked"

                    elif studio_costume_person == "self":
                        "You take the costume and put it on yourself."
                        $ studio_self_choice = True
                        $ studio_self_costume = "astronaut"
                        $ studio_astronaut_costume = "picked"

                    else:
                        "This is a bug."

                    jump studio_costume_actor

                "No":
                    jump studio_costume_pieces

        "Military fatigues" if studio_fatigues_costume == "available":

            "It's a classic military uniform that features camo pants, shirt, jacket, and boots.  It also has a few props with it such as a pair of dog tags, a canteen, and a fake gun that you can strap onto the side."

            "Is this the costume you wish to pick out?"

            menu:

                "Yes":

                    if studio_costume_person == "dragon":
                        "You place the military fatigues into the spot marked for Fantim."
                        $ studio_dragon_choice = True
                        $ studio_dragon_costume = "fatigues"
                        $ studio_fatigues_costume = "picked"

                    elif studio_costume_person == "gecko":
                        "You place the military fatigues into the spot marked for Raine."
                        $ studio_gecko_choice = True
                        $ studio_gecko_costume = "fatigues"
                        $ studio_fatigues_costume = "picked"

                    elif studio_costume_person == "carno":
                        "You place the military fatigues into the spot marked for Zanzibar"
                        $ studio_carno_choice = True
                        $ studio_carno_costume = "fatigues"
                        $ studio_fatigues_costume = "picked"

                    elif studio_costume_person == "self":
                        "You take the military fatigues and put them on yourself."
                        $ studio_self_choice = True
                        $ studio_self_costume = "fatigues"
                        $ studio_fatigues_costume = "picked"

                    else:

                        "This is a bug."

                    jump studio_costume_actor

                "No":

                    jump studio_costume_pieces

        "Suit of armor" if studio_armor_costume == "available":

            "You find a full suit of armor on a rack, and though the head to toe plate mail looks like the real deal when you pick up the pieces you find that they are quite lightweight.  Also comes with a sword and shield."

            "Is this the costume you wish to pick out?"

            menu:

                "Yes":

                    if studio_costume_person == "dragon":
                        "You place the astronaut costume into the spot marked for Fantim."
                        $ studio_dragon_choice = True
                        $ studio_dragon_costume = "armor"
                        $ studio_armor_costume = "picked"

                    elif studio_costume_person == "gecko":
                        "You place the astronaut costume into the spot marked for Raine."
                        $ studio_gecko_choice = True
                        $ studio_gecko_costume = "armor"
                        $ studio_armor_costume = "picked"

                    elif studio_costume_person == "carno":
                        "You place the astronaut costume into the spot marked for Zanzibar"
                        $ studio_carno_choice = True
                        $ studio_carno_costume = "armor"
                        $ studio_armor_costume = "picked"

                    elif studio_costume_person == "self":
                        "You take the costume and put it on yourself."
                        $ studio_self_choice = True
                        $ studio_self_costume = "armor"
                        $ studio_armor_costume = "picked"

                    else:

                        "This is a bug."

                    jump studio_costume_actor

                "No":

                    jump studio_costume_pieces

        "Plainswalker outfit" if studio_plainswalker_costume == "available":

            "This costume looks like something right out of a fantasy novel, leather boots and breeches with a billowy tunic along with a cloak complete with hood.  Also has a coin pouch, dagger, and flask as props."

            "Is this the costume you wish to pick out?"

            menu:

                "Yes":

                    if studio_costume_person == "dragon":
                        "You place the plainswalker costume into the spot marked for Fantim."
                        $ studio_dragon_choice = True
                        $ studio_dragon_costume = "plainswalker"
                        $ studio_plainswalker_costume = "picked"

                    elif studio_costume_person == "gecko":
                        "You place the plainswalker costume into the spot marked for Raine."
                        $ studio_gecko_choice = True
                        $ studio_gecko_costume = "plainswalker"
                        $ studio_plainswalker_costume = "picked"

                    elif studio_costume_person == "carno":
                        "You place the plainswalker costume into the spot marked for Zanzibar"
                        $ studio_carno_choice = True
                        $ studio_carno_costume = "plainswalker"
                        $ studio_plainswalker_costume = "picked"

                    elif studio_costume_person == "self":
                        "You take the plainswalker costume and put it on yourself."
                        $ studio_self_choice = True
                        $ studio_self_costume = "plainswalker"
                        $ studio_plainswalker_costume = "picked"

                    else:

                        "This is a bug."

                    jump studio_costume_actor

                "No":

                    jump studio_costume_pieces

        "Alien suit" if studio_alien_costume == "available":

            "You pull out the one piece zentai outfit that's completely enclosed, the silver material so shiny you can see yourself in it as you look at it, and see that it comes with a strange fake alien gun and set of boots."

            "Is this the costume you wish to pick out?"

            menu:

                "Yes":

                    if studio_costume_person == "dragon":
                        "You place the alien costume into the spot marked for Fantim."
                        $ studio_dragon_choice = True
                        $ studio_dragon_costume = "alien"
                        $ studio_alien_costume = "picked"

                    elif studio_costume_person == "gecko":
                        "You place the alien costume into the spot marked for Raine."
                        $ studio_gecko_choice = True
                        $ studio_gecko_costume = "alien"
                        $ studio_alien_costume = "picked"

                    elif studio_costume_person == "carno":
                        "You place the alien costume into the spot marked for Zanzibar"
                        $ studio_carno_choice = True
                        $ studio_carno_costume = "alien"
                        $ studio_alien_costume = "picked"

                    elif studio_costume_person == "self":
                        "You take the alien costume and put it on yourself."
                        $ studio_self_choice = True
                        $ studio_self_costume = "alien"
                        $ studio_alien_costume = "picked"

                    else:

                        "This is a bug."

                    jump studio_costume_actor

                "No":

                    jump studio_costume_pieces

        "Pirate outfit" if studio_pirate_costume == "available":
            "You pull out a typical pirate costume, complete with cutlass, eyepatch, and even a fake beard and parrot for those who really wish to get into the role."

            "Is this the costume you wish to pick out?"

            menu:

                "Yes":

                    if studio_costume_person == "dragon":
                        "You place the pirate costume into the spot marked for Fantim."
                        $ studio_dragon_choice = True
                        $ studio_dragon_costume = "pirate"
                        $ studio_pirate_costume = "picked"

                    elif studio_costume_person == "gecko":
                        "You place the astronaut costume into the spot marked for Raine."
                        $ studio_gecko_choice = True
                        $ studio_gecko_costume = "pirate"
                        $ studio_pirate_costume = "picked"

                    elif studio_costume_person == "carno":
                        "You place the astronaut costume into the spot marked for Zanzibar"
                        $ studio_carno_choice  = True
                        $ studio_carno_costume = "pirate"
                        $ studio_pirate_costume = "picked"

                    elif studio_costume_person == "self":
                        "You take the costume and put it on yourself."
                        $ studio_self_choice = True
                        $ studio_self_costume = "pirate"
                        $ studio_pirate_costume = "picked"

                    else:

                        "This is a bug."

                    jump studio_costume_actor

                "No":

                    jump studio_costume_pieces

        "Tribalwear" if studio_tribal_costume == "available":
            "This costume mostly consists of a loincloth and a few straps that go over the chest, leaving the rest of the body pretty much exposed."

            "Is this the costume you wish to pick out?"

            menu:

                "Yes":

                    if studio_costume_person == "dragon":
                        "You place the tribal costume into the spot marked for Fantim."
                        $ studio_dragon_choice = True
                        $ studio_dragon_costume = "tribal"
                        $ studio_tribal_costume = "picked"

                    elif studio_costume_person == "gecko":
                        "You place the tribal costume into the spot marked for Raine."
                        $ studio_gecko_choice = True
                        $ studio_gecko_costume = "tribal"
                        $ studio_tribal_costume = "picked"

                    elif studio_costume_person == "carno":
                        "You place the astronaut costume into the spot marked for Zanzibar"
                        $ studio_carno_choice = True
                        $ studio_carno_costume = "tribal"
                        $ studio_tribal_costume = "picked"

                    elif studio_costume_person == "self":
                        "You take the costume and put it on yourself."
                        $ studio_self_choice = True
                        $ studio_self_costume = "tribal"
                        $ studio_tribal_costume = "picked"

                    else:

                        "This is a bug."

                    jump studio_costume_actor

                "No":

                    jump studio_costume_pieces

        "Firefighter uniform" if studio_firefighter_costume == "available":
            "You find a pretty standard firefighter's uniform with helmet and coat, also seems to come with an axe, air tanks, and hose."

            "Is this the costume you wish to pick out?"

            menu:

                "Yes":

                    if studio_costume_person == "dragon":
                        "You place the firefighter costume into the spot marked for Fantim."
                        $ studio_dragon_choice = True
                        $ studio_dragon_costume = "firefighter"
                        $ studio_firefighter_costume = "picked"

                    elif studio_costume_person == "gecko":
                        "You place the astronaut costume into the spot marked for Raine."
                        $ studio_gecko_choice = True
                        $ studio_gecko_costume = "firefighter"
                        $ studio_firefighter_costume = "picked"

                    elif studio_costume_person == "carno":
                        "You place the astronaut costume into the spot marked for Zanzibar"
                        $ studio_carno_choice = True
                        $ studio_carno_costume = "firefighter"
                        $ studio_firefighter_costume = "picked"

                    elif studio_costume_person == "self":
                        "You take the costume and put it on yourself."
                        $ studio_self_choice = True
                        $ studio_self_costume = "firefighter"
                        $ studio_firefighter_costume = "picked"

                    else:

                        "This is a bug."

                    jump studio_costume_actor

                "No":

                    jump studio_costume_pieces

        "Demon costume":
            "This is a sterotypical demon costume, mostly a pair of hoof feet and horns along with a cape and even a pitchfork."

            "Is this the costume you wish to pick out?"

            menu:

                "Yes":

                    if studio_costume_person == "dragon":
                        "You place the demon costume into the spot marked for Fantim."
                        $ studio_dragon_choice = True
                        $ studio_dragon_costume = "demon"
                        $ studio_demon_costume = "picked"

                    elif studio_costume_person == "gecko":
                        "You place the demon costume into the spot marked for Raine."
                        $ studio_gecko_choice = True
                        $ studio_gecko_costume = "demon"
                        $ studio_demon_costume = "picked"

                    elif studio_costume_person == "carno":
                        "You place the demon costume into the spot marked for Zanzibar"
                        $ studio_carno_choice = True
                        $ studio_carno_costume = "demon"
                        $ studio_demon_costume = "picked"

                    elif studio_costume_person == "self":
                        "You take the demon costume and put it on yourself."
                        jump studio_demon_costume #this is a bad end, go to badends

                    else:

                        "This is a bug."

                    jump studio_costume_actor

                "No":

                    jump studio_costume_pieces

        "Naked":

            "There is always the option of wearing nothing at all."

            "Is this what you wish to happen?"

            menu:

                "Yes":

                    if studio_costume_person == "dragon":
                        "You make sure that there is nothing for Fantim to wear in his spot."
                        $ studio_dragon_choice = False
                        $ studio_dragon_costume = "naked"

                    elif studio_costume_person == "gecko":
                        "You make sure that there is nothing for Raine to wear in his spot."
                        $ studio_gecko_choice = False
                        $ studio_gecko_costume = "naked"

                    elif studio_costume_person == "carno":
                        "You make sure that there is nothing for Zanzibar to wear in his spot."
                        $ studio_carno_choice = False
                        $ studio_carno_costume = "naked"

                    elif studio_costume_person == "self":
                        "You take off the costume you were wearing and once more feel the air on your bare latex scales."
                        $ studio_self_choice = False
                        $ studio_self_costume = "naked"

                    else:

                        "This is a bug."

                    jump studio_costume_actor

                "No":

                    jump studio_costume_pieces

label set_design_department:

    if studio_setdesign_intro:

        "The smell of fresh paint and sawdust greet you once more as you head into the set design department."

    else:

        "As you walk inside the area where they build all the sets you can still smell the sawdust in the air, piles of lumber and other raw materials were on one side of the room while tools and other construction materials were in the other."

        "Just like in the staging area there were a number of sets in the middle that appeared to be in the process of being built, including several that were nearly finished save for a few finishing touches."

        "Though you could probably finish up those sets yourself you decide now is not the time for such things and after a cursory investigation you decide to head back into the backstage area in order to figure out what to do next."

        $ studio_setdesign_intro = True

    menu:

        "Design the sets for the movie" if studio_set_ideas:
            jump studio_set_designing

        "Head to the dressing rooms":
            jump studio_dressing_rooms

        "Check out the costume department":
            jump studio_costume_department

        "Go back towards the staging area":
            jump studio_staging_area

label studio_set_designing:

    if studio_set_designing_intro:

        "You go back and see the set pieces exactly where you left them, ready to be set up however you wish."

        if studio_set_choice == "nothing":

            "What do you do?"

        else:

            "You currently have the [studio_set_choice] set ready to be worked on."

        jump set_manipulation

    else:

        "You decide to go over to where the set designs are and quickly realize that while it would take far more time than you have to custom make something there are already a number of backdrops that are finished and ready to be rigged up to the stage."

        "The first set is a moonlit lake with that has a lot of stars and the full moon reflected in the water."

        "The second set is a modern day city skyline in the middle of the day."

        "The third set is an ancient castle that is set on a cliff on the left that overlooks a river delta."

        "The fourth set appears to be the inside of some sort of subway or train that is inside of a tunnel."

        "The fifth set is an areial view of an autumn forest that stretches out through most of the set save for the top part that is a sunset sky."

        "The sixth set is a set of caves that leads into a dark cavern."

        "The seventh set is a destroyed skyscraper looking over a war-torn battlefield."

        "The final set is once of a field of flowers in the daytime."

        "You also find upon closer examination that a number of them have the ability to be altered, some of the set pieces cut and fastened in the way to allow them to come apart and be stuck onto other backgrounds to change details."

        "One thing you notice as you start to look at the process is that it's rather one way, once you chose a set you have to put it into one of the slots before working on another one."
    $ studio_set_designing_intro = True

    jump set_manipulation

    menu set_manipulation:

        "Choose a set" if studio_set_choice == "nothing":
            jump set_choice

        "Place a set into the proper positions":
            if studio_set_choice == "nothing":
                "You must load a set into the workshop first before it can be moved or placed."
                jump set_manipulation

            else:
                jump set_placement

        "Alter a set piece":
            if studio_set_choice == "nothing":
                "You must load a set into the workshop first before it can be moved or placed."
                jump set_manipulation

            else:
                jump set_alteration

        "Look over the different sets again":

            "You decide to take stock of all the different sets that you could use for this movie."

            "The first set is a moonlit lake with a mountain backdrop that has a lot of stars and the full moon reflected in the water."

            "The second set is a modern day city skyline in the middle of the day."

            "The third set is an ancient castle that is set on a cliff on the left that overlooks a river delta."

            "The fourth set appears to be the inside of some sort of subway or train that is inside of a tunnel."

            "The fifth set is an areial view of an autumn forest that stretches out through most of the set save for the top part that is a sunset sky."

            "The sixth set is a set of caves that leads into a dark cavern."

            "The seventh set is a destroyed skyscraper looking over a war-torn battlefield."

            "The final set is once of a field of flowers in the daytime."
            jump set_manipulation

        "Check the status of the set placements":
            "You currently have [studio_act_one_set] for the first act, [studio_act_two_set] for the second act, and [studio_act_three_set] for the final act."
            jump set_manipulation

        "Reset the entire stage":
            "You go over to the lever and the entire stage resets itself, stopping only when you would have to put a set piece back together into its original form so it can go into the queue."
            $ studio_set_choice = "nothing"
            $ studio_act_one_set = "nothing"
            $ studio_act_two_set = "nothing"
            $ studio_act_three_set = "nothing"
            $ studio_firstact_empty = True
            $ studio_secondact_empty = True
            $ studio_thirdact_empty = True
            $ studio_lake_open = True
            $ studio_skyline_open = True
            $ studio_castle_open = True
            $ studio_subway_open = True
            $ studio_forest_open = True
            $ studio_cavern_open = True
            $ studio_skyscraper_open = True
            $ studio_flowers_open = True
            jump set_manipulation

        "Head back to the main set area for now:":
            jump set_design_department

    menu set_choice:

        "Which set are you choosing?"

        "The moonlit lake set" if studio_lake_open:
            "You manipulate the pulleys and levers until you have the moonlit lake set chosen."
            $ studio_set_choice = "lake"
            $ studio_lake_open = False
            jump set_manipulation

        "The modern day skyline set" if studio_skyline_open:
            "You use the equipment provided until you have the modern day city skyline set into place."
            $ studio_set_choice = "skyline"
            $ studio_skyline_open = False
            jump set_manipulation

        "The ancient castle set" if studio_castle_open:
            "You move the set piece carefully over to the main stage until you have it in the workstation area."
            $ studio_set_choice = "castle"
            $ studio_castle_open = False
            jump set_manipulation

        "The subway tunnel set" if studio_subway_open:
            "You take the set piece and carefully bring it over into the workstation area."
            $ studio_set_choice = "subway"
            $ studio_subway_open = False
            jump set_manipulation

        "The autumn forest sunset set" if studio_forest_open:
            "You take the colorful backdrop and use the equipment to bring it to the workstation queue."
            $ studio_set_choice = "forest"
            $ studio_forest_open = False
            jump set_manipulation

        "The dark cavern set" if studio_cavern_open:
            "You use the equipment in order to take the set piece and move it to the workstation to be looked at."
            $ studio_set_choice = "cavern"
            $ studio_cavern_open = False
            jump set_manipulation

        "The destroyed skyscraper set" if studio_skyscraper_open:
            "You take the backdrop and move it over to the workstation."
            $ studio_set_choice = "skyscraper"
            $ studio_skyscraper_open = False
            jump set_manipulation

        "The field of flowers set" if studio_flowers_open:
            "You take the scene and use the machinery to get it to the area where it can be moved further."
            $ studio_set_choice = "flowers"
            $ studio_flowers_open = False
            jump set_manipulation

        "Leave the sets alone for now":
            jump set_manipulation

    menu set_placement:

        "It appears as you look at the set placement slots for each act that once you lock it into place it will stay there, save for if you decide to reset the entire thing.  Where do you put the [studio_set_choice]?"

        "First Act placement" if studio_firstact_empty:
            "You take the [studio_set_choice] set and lock it in so that it's the first set to be seen."
            $ studio_act_one_set = studio_set_choice
            $ studio_firstact_empty = False
            $ studio_set_choice = "nothing"
            jump set_manipulation

        "Second Act placement" if studio_secondact_empty:
            "You push the [studio_set_choice] set before locking it in so that it will be seen after the first set is raised."
            $ studio_act_two_set = studio_set_choice
            $ studio_secondact_empty = False
            $ studio_set_choice = "nothing"
            jump set_manipulation

        "Third Act placement" if studio_thirdact_empty:
            "The [studio_set_choice] set is pulled all the way to the back before being locked it, keeping it immobile as it will be the last set."
            $ studio_act_three_set = studio_set_choice
            $ studio_thirdact_empty = False
            $ studio_set_choice = "nothing"
            jump set_manipulation

        "Check the status of the set placements":
            "You currently have [studio_act_one_set] for the first act, [studio_act_two_set] for the second act, and [studio_act_three_set] for the final act."
            jump set_placement

        "Reset the entire thing.":
            "You find a quick release lever and when you pull it all the sets are unlocked and you move them back into their proper place, the process only stopping to allow you to unmerge and reattach any altered sets to make everything fit back into place."
            $ studio_set_choice = "nothing"
            $ studio_act_one_set = "nothing"
            $ studio_act_two_set = "nothing"
            $ studio_act_three_set = "nothing"
            $ studio_firstact_empty = True
            $ studio_secondact_empty = True
            $ studio_thirdact_empty = True
            $ studio_lake_open = True
            $ studio_skyline_open = True
            $ studio_castle_open = True
            $ studio_subway_open = True
            $ studio_forest_open = True
            $ studio_cavern_open = True
            $ studio_skyscraper_open = True
            $ studio_flowers_open = True
            jump set_manipulation

    menu set_alteration:

        "Seperate part of the set" if studio_scene_cut == False:
            if studio_set_choice == "lake" or studio_set_choice == "skyline" or studio_set_choice == "cavern" or studio_set_choice == "forest" or studio_set_choice == "flowers":
                "When you look at the back of the set to see where you can split it into two you see nothing that would indicate a seam in the background."

                "It appears that whoever made this one had no intention of needing it to be altered in any way and you don't have the tools or know-how to do it yourself."

                "You decide to leave it as is for the time being."

                jump set_manipulation
            else:

                "You find the seperations between the two pieces of the set and afer a bit of work manage to pull them apart, resulting in two pieces hanging there now instead of one."

                if studio_set_choice == "castle":

                    "When you look back at your handiwork you see that the two pieces you now have are that of a castle on one side and a river delta on the other."

                    "It appears that the predominant piece in this set is hte castle scene, so you take part with the river delta and set it aside in case you want to reattach it later."

                elif studio_set_choice == "subway":

                    "When you take a look at what you have when you're done you have the foreground of a subway car wall and the cutouts of the tunnel behind it."

                    "It's clear that the subway car wall is the main piece, you take the sections of the tunnel that were in the windows and put them aside in case you want to put the set piece back together."

                elif studio_set_choice == "skyscraper":

                    "Once you are finished you take a look at what you have and see that one piece is the destroyed skyscraper while the second piece is the war-torn landscape that was its backdrop."

                    "With the skyscraper having the bulk of the backdrop you decide to take out the background and put it aside, leaving the destroyed building to be layered onto another set."

                else:

                    "This is a bug, you're not suppose to see this."

                "The way the system is set up you could now put the set back together, or layer the predominant piece on top of a second set."

                $ studio_scene_cut = True
                jump set_alteration

        "Put the seperated setting back together" if studio_scene_cut:
            "You decide that the scene looks better put back together and you carefully manuever the two pieces back into place before using the claps to make it one piece again."

            $ studio_scene_cut = False
            jump set_alteration

        "Layer it on top of a different set." if studio_scene_cut:

            "As you go to move a set into the background layer you notice that only the sets that don't have the ability to be altered can go there."

            "What is the set that you would like to use as the background?"

            menu:

                "The moonlit lake set":
                    "You take the moonlit lake set piece and merge it together..."
                    $ studio_lake_open = False
                    if studio_set_choice == "castle":

                        "You now have a backdrop of a castle overlooking a moonlit lake."

                        $ studio_set_choice = "moon lake castle"

                    elif studio_set_choice == "subway":

                        "You now have a backdrop of a subway car wall with a backdrop of the moon and stars that can be seen through the windows."

                        $ studio_set_choice = "moonlit subway car"

                    elif studio_set_choice == "skyscraper":

                        "You now have a backdrop of a destroyed skyscraper overlooking an otherwise peaceful moonlit lake."

                        $ studio_set_choice = "moonlit skyscraper"

                    else:

                        "This is a bug, you shouldn't see this."

                    "With the two set pieces now merged it's time to choose a place to put the new backdrop."

                    $ studio_scene_cut = False

                    jump set_placement

                "The modern day skyline set":
                    "you take the city skyline set piece and merge it together..."
                    $ studio_skyline_open = False
                    if studio_set_choice == "castle":

                        "You now have a backdrop of a castle overlooking a modern day city."

                        $ studio_set_choice = "city castle"

                    elif studio_set_choice == "subway":

                        "You now have a backdrop of a subway car overlooking a modern day city."

                        $ studio_set_choice = "elevated city train"

                    elif studio_set_choice == "skyscraper":

                        "You now have a backdrop of a destroyed skyscraper in front of a modern day city skyline."

                        $ studio_set_choice = "destroyed city"

                    else:

                        "This is a bug, you shouldn't see this."

                    jump set_placement

                "The autumn forest sunset set":
                    "You take the autumn forest piece and merge it together..."
                    $ studio_forest_open = False
                    if studio_set_choice == "castle":

                        "You now have a backdrop of a castle overlooking a vibrant forest."

                        $ studio_set_choice = "forest castle"

                    elif studio_set_choice == "subway":

                        "You now have a backdrop of a train car with a sunset in the background."

                        $ studio_set_choice = "sunset train"

                    elif studio_set_choice == "skyscraper":

                        "You now have a backdrop of a destroyed skyscraper set in front of a forest at sunset."

                        $ studio_set_choice = "destroyed skyscraper forest"

                    else:

                        "This is a bug, you shouldn't see this."

                    jump set_placement

                "The dark cavern set":
                    "You take the dark cavern set and merge them together..."
                    $ studio_cavern_open = False
                    if studio_set_choice == "castle":

                        "You now have a backdrop of a castle inside a cave."

                        $ studio_set_choice = "cave castle"

                    elif studio_set_choice == "subway":

                        "You now have a backdrop of a subway car going through a cave system."

                        $ studio_set_choice = "underground train"

                    elif studio_set_choice == "skyscraper":

                        "You now have a backdrop of a destroyed skyscraper set against a cavern."

                        $ studio_set_choice = "subterranian skyscraper"

                    else:

                        "This is a bug, you shouldn't see this."

                    jump set_placement

                "The field of flowers set":
                    "You take the flower field set and merge the two together..."
                    $ studio_flowers_open = False
                    if studio_set_choice == "castle":

                        "You now have a backdrop of a castle overlooking a field of flowers."

                        $ studio_set_choice = "castle meadow"

                    elif studio_set_choice == "subway":

                        "You have a backdrop of a train going past a flower meadow."

                        $ studio_set_choice = "idyllic train ride"

                    elif studio_set_choice == "skyscraper":

                        "You have a backdrop of a destroyed skyscraper set against a bunch of flowers."

                        $ studio_set_choice = "idyllic destruction"

                    else:

                        "This is a bug, you shouldn't see this."

                    jump set_placement

                "Leave the sets be for a second":
                    jump set_alteration

        "Head back to the set storage area":
            if studio_scene_cut:
                "As you look at the partially created set you realize that you can't load or place any more sets until you finish with this one and that the slots will not properly latch onto a partially constructed scenery."

                "You will either have to put the set back together or layer it on top of a different set and set it into the slot to continue."
                jump set_alteration

            else:
                jump set_manipulation

label studio_control_room:

    if studio_control_room_intro:

        "You walk into the control room and find the naga still coiled up on himself, though the bottle is now gone and he appears to be full of determination."

    else:

        "When you arrive in the control room you see that it's open, and when you walk inside you feel on guard as you can hear something in the otherwise empty room."

        "For a few seconds you're unable to place the sound before you finally realize that it's someone... crying?  It doesn't take long for you to realize there was someone on the floor with a bottle of alcohol next to him."

        "Drunk naga" "Go away!  Show's cancelled!"

        "After your initial surprise that a rubber creature could get drunk in the first place you tell him that you're not there to be in any show and offer to help him back onto his... serpentine lower body."

        "Drunk naga" "Well if you're not here to be in the show than why are you here?"

        "Though you wonder about potentially telling this creature about your plans you decide to lay it all out on the table and tell him that you were thinking of making the studio your base of operations."

        "When you finish the naga's shoulders remained slumped forward as he leans against one of the control panels for support while his body sways slightly."

        "Drunk naga" "You know what... you can have it..."

        "Well... that was easy, you think to yourself."

        "Drunk naga" "But!"

        "There it was."

        "Drunk naga" "You can only have it if you can help me put on... *hic* the greatest show that has ever been produced on Kajira."

        "Great..."

        "Drunk naga" "When I came here all I wanted to do was make something that rivaled those hypnagas, who think that they are all better than me because they can just hypnotize people by having them look at them..."

        "Drunk naga" "There's no hard work in it!"

        "You watch as the synthetic serpent continues to rant for a bit while slowly falling asleep, finally drifting off into a fit of snores."

        "When you lean over to poke him he wakes himself up with a start, continuing right where he had left off before slipping into his drunken stupor."

        "Drunk naga" "You help me put on this show and I promise you that this place will be all yours, no muss or fuss from anyone in here, do we have a deal?"

        "Whether you're not sure he's even going to remember this in a few hours you shake his hand and say that he has a deal, causing the naga to let out a shout of joy and raise his hands in the air which spilt alcohol on himself."

        "Drunk naga" "No time for drinking, we got to go!"

        "Just as he appears to go into full work mode he stops and looks down at you once again."

        "Drunk naga" "Oh, my name is Wendell by the way, yours?"

        "You introduce yourself the naga nods before once more pumping his fist in determination."

        "Wendell"  "Let's make the best show that Kajira has ever seen!!"

        "The surprisingly sober-sounding male took the bottle of booze he had been holding and smashed it against the back wall before exclaiming that they had a lot of work ahead of them..."

        $ studio_control_room_intro = True

    menu:

        "Talk to Wendell":
            jump studio_wendell

        "Head to the staging area":
            jump studio_staging_area

        "Go into the backstage area":
            jump backstage_area

label studio_wendell:

    "You go up to Wendell and when the naga sees you he gives you a nod and asks if you need anything."

    menu wendell_dialogue:

        "Discuss the dragon actor" if studio_dragon_pacification == "started":
            jump studio_dragon_discussion

        "Discuss the gecko actor" if studio_gecko_pacification == "started":
            jump studio_gecko_discussion

        "Discuss the carnotaur actor" if studio_carno_pacification == "started":
            jump studio_carno_discussion

        "Talk to Wendell about Fantim's script changes" if studio_dragon_pacification == "informed":
            jump studio_script_edits

        "Talk about Wendell's production":
            jump studio_wendell_production

        "Ask Wendell about himself":
            jump studio_wendell_history

        "Start the production" if studio_dragon_pacification == "finished" and studio_gecko_pacification == "finished" and studio_carno_pacification == "finished":
            jump studio_production_start

        "That's all for now":
            "You tell the naga that's all you need and head back into the main area of the control room."
            jump studio_control_room

label studio_dragon_discussion:

    "You mention the shimmering golden rubber dragon preening himself in one of the dressing rooms and it seems Wendell knew exactly what you were talking about as he nods his head."

    "Wendell" "Ah, you're talking about Fantim."

    "Wendell" "I guess he was part of a military incursion into the island in order to figure out what happened during the Shining Rains and then became that golden creature, which unlike most that undergo the transformation he retained his rational mind."

    "Wendell" "Of course he's also seemed to have grown an incredible sense of narcissium and spends more time looking at himself than he does anything else."

    "When you ask why would hire such a creature to be in his movie the naga just sighs and shakes his head."

    "Wendell" "I needed something to match the fixation that the hypnaga's create and thought if I had that sparkly piece of eye candy in my movie that people would definitely sit up and take notice of it."

    "Wendell" "Now that I realize what a pain in the butt he is I wish I hadn't, but it's too late to recast and he at least has some sense of how to act in him."

    $ studio_dragon_information = True

    $ studio_dragon_pacification = "informed"

    jump wendell_dialogue

label studio_gecko_discussion:

    "As you bring up the gecko that you found sleeping in one of the dressing rooms the rubber naga just lets out a sigh and rubs his temples."

    "Wendell" "That would be Raine..."

    "Wendell" "He's a sweet guy and all but he's super lazy, part of me wonders if he has that sleeping disorder... narcolepsy I think it's called?"

    "Wendell" "Either way he was a friend of mine before the Shining Rains and when I decided to do this whole project he wanted to tag along and since I knew he had acting experience from before I told him it would be fine."

    "Wendell" "Even though I wasn't expecting him to help me out continuously on this project he seemed so motivated in the beginnning, now he just sleeps all the time."

    "You nod slightly and realize that you have your work cut out for you as Wendell just shakes his head in disappointment."

    $ studio_gecko_information = True

    $ studio_gecko_pacification = "informed"

    jump wendell_dialogue

label studio_carno_discussion:

    "You can see the rubber naga visibly cringe when you bring up Zanzibar's name, groaning and putting his hand to his forehead."

    "Wendell"  "Man, I can't believe I ever hired him on."

    "Wendell sighs and rests his head on his hands, putting his elbows on one of the stacked coils of his body before continuing on."

    "Wendell"  "The carno was definitely a vanity hire, I could tell from the second that he strutted in here that he would be trouble for me if I would hire him on."

    "Wendell"  "Still, watching those bulging muscles when he attempted to act... I let my lust get the better of me and I thought that if he could turn me on that way then maybe he'll do the same to the viewers too."

    "Wendell"  "So I went against my better judgement and said that I would give him a small part, but as you could no doubt see from his doorway he now thinks he's the star of the show."

    "Wendell"  "He definitely plays the part of the actor, almost as much of a diva as Fantim and very supersitious."

    "The serpentine male shifted and looked at you with a weary eye in concern."

    "Wendell"  "If you've dealt with Zanzibar already you know that he can be a bit hot under the collar, so be careful when you try and handle him because I don't know what he would do if he flew into a proper rage."

    $ studio_carno_information = True

    $ studio_carno_pacification = "informed"

    jump wendell_dialogue

label studio_script_edits:

    "You're glad that Wendell wasn't holding that bottle of liquor because the anger that you saw in the rubber naga's eyes was firey when you brought up that Fantim had wanted to make changes in the script."

    "Wendell"  "That stupid latex dragon thinks that he can just come in here and tell me how to write my scripts?!"

    "All you can do is stand there and wait as the naga launches into a tirade about how no one has any respect for the craft anymore punctuated by some very colorful language that lasts for several minutes before finally calming down."

    "Wendell"  "*pant pant pant*"

    "Wendell"  "Anyway..."

    "Wendell"  "Yes, I looked at Fantim's... 'changes' he wanted to make to the script and not only would it run my production over by an hour and a half but it would be mostly him monologuing."

    "You state that doesn't sound like a great improvement and the naga just shakes his head."

    "Wendell"  "I've already told him this several times but he never seems to listen to me... doubtful he'll do the same to you either since the only person he seems to listen to is his reflection in the mirror."

    "Wendell"  "If you can get through his thick golden skull and tell him that the script is going to be left as-is for the sake of my sanity and the production I would be most greatful."

    "You nod and though you can tell that the naga is still fuming over the fact that the mere mention of script changes was had and you decide that perhaps it would be best to change the subject."

    $ studio_dragon_script = "mentioned"

    jump wendell_dialogue

label studio_wendell_production:

    if studio_set_ideas:

        "You ask Wendell to discuss your ideas once more and he once more broke out the sketchbook showing you the various drawings that go with each act."

        "He tells you that the first act was in a forest with a castle overlooking it, the second one is the two heroes escaping the caves, and the last one is a spacestation overlooking a barren planet."

        "You thank him and the naga gets back to work."

    else:

        "You see Wendell's eyes light up as you ask what his production is all about, the naga hissing excitedly as he shows you a crude sketchbook with a number of pictures in it, most of them scribbled or blacked out with a few that managed to escape the wrath of the black marker."

        "Wendell" "It's going to be an amazing production in three acts!"

        "He flips the page and you see stick figures that might represent trees and a crude box of a castle overlooking it."

        "Wendell" "It starts with our dragon lamenting that his world was ending to his gecko companion and that there was no way out."

        "Wendell" "The second act then takes them to the underground caverns where they are attempting to escape and then they meet a carno who survived the last apocolypse and would save them too."

        "Wendell" "Finally they end up on a space station that the carno teleports them too and they watch as the world is destroyed but the three survived and they will live together until the world can be repopulated."

        "You find yourself at a loss for words... Wendell certainly seems to have put a lot of thought into the production and you can tell the way he's vibrating from excitement that he's rather proud of it."

        "Wendell" "I wish I could go into greater detail but I'm afraid that if I keep talking about it then we're going to spend all day here on it and we have bigger fish to fry!"

        "Wendell" "The actors all know their roles; they should have everything ready to go, but if they don't they can tell you anything that they might need."

        "Though you try to get more out of him the naga goes back to his work on the control panel, telling you that once you get the actors on set you'll see for yourself."

        "It appears that there's no way around his determination now, so it's likely best to just get the actors on the stage so you can get this over with and take the studio for yourself."

        $ studio_set_ideas = True
        $ studio_costume_needed = True

    jump wendell_dialogue

label studio_wendell_history:

    "The naga sighs and leans back on his own coils as he thinks back."

    "Wendell" "Well the Shining Rains messed with my head a bit, but I remember that I worked here at the studio."

    "Wendell" "I always wanted to make something great, some piece of art that would transcend time like some of those classic movies that you see."

    "Wendell" "Of course for all I know I could have been a gopher... but when the Shining Rains came and turned most of the production crew into those monsters I suddenly found myself with a studio all to myself."

    "Wendell" "Still not sure why I didn't change into creatures like the others, same for the others that are currently attempting to help me."

    "The naga stood up once more and slithered over to another command console."

    "Wendell" "All I can tell you is that I have a burning need to get this movie done no matter what, and thanks to your help I finally will."

    jump wendell_dialogue

label studio_production_start:

    "With your work finished you inform Wendell that you are completely done and that everything is ready to go for him to shoot his movie."

    "A few hours later the entire stage is bristling with activity, the three actors sitting in chairs off set as Wendell worked behind the camera."

    "Wendell" "Places everyone!  We have enough film for one take, so make sure you're ready!"

    "Raine" "Only one take?  Are you sure that's wise?"

    "Wendell" "I don't have the means to stop the camera because I'll be directing."

    "Wendell" "Don't worry, I can edit out the scene change parts when I put the music in.  Everyone put on your game face!"

    "While the other actors looked worriedly at one another Wendell informs you to go back and take care of the sets and props, making sure that everything happens quickly."

    "You nod and head over to the stage control panel, giving the naga a thumbs up when you're ready to go."

    "Once you get the nod that Wendell has started the camera you get the first scene into place while Wendell instructs Fantim and Raine where they need to go."

    if studio_act_one_set == "nothing" and studio_act_two_set == "nothing" and studio_act_three_set == "nothing":

        "When you go over to the set pieces to load them in you realize your mistake quite quickly; the sets are required to be locked into slots before they are ready to be used by the stage."

        "Not only that but the act of picking out a set and manuvering it into position took a lot of time... time that Wendell had made clear that you didn't have."

        "The second that you tell him that you didn't get any of the sets ready for the movie his mouth opens, then closes, then opens again with no words coming out at all."

        "Finally the rubber naga just starts crying as he slithers off towards the table with all the alcohol on it for the after party, Raine quickly following behind."

        "Zanzibar" "Smooth move."

        "For a few seconds you aren't sure what to do as the naga drinks heavily from one of the bottles before pointing to you in accusation."

        "Wendell"  "He didn't even try!"

        "The others looks immediately at you, causing you to take a step back."

        "Wendell"  "Take him down Zanzibar!"

        jump studio_carno_assistant #this is a bad end, go to badends

    elif studio_act_one_set == "nothing" or studio_act_two_set == "nothing" or studio_act_three_set == "nothing":

        "When you look at the sets that are ready to be dropped into place you realize in horror that you are missing a crucial set piece, and the second you go over and tell Wendell that he lets out a cry of anguish."

        "Wendell"  "How could you do this to me!?"

        "Wendell"  "I'm ruined!  You ruined me!"

        "As the naga quickly slithers back towards the stash of liquor bottles he had previously sworn off Raine quickly moves to confort him while Fantim and Zanzibar go to the craft services cart."

        "Zanzibar" "Better get out of here while you still can, because once he starts drinking he's going to tell me to do things to you... and I'm going to want to do them."

        "You don't need much more prompting then that to quickly remove yourself from the studio, leaving it behind in search for a place to call your own."

        jump the_search_begins

    else:

        "You put the first set into place and the actors all get into their spots."

    "With the camera rolling the two that start the production immediately go into their lines with practiced ease."

    if studio_dragon_script == "lied":

        "You don't get too far into the shooting until the entire thing desends into chaos, Wendell shouting for everyone to stop after Fantim and Raine stumble over one another's lines."

        "Fantim" "What's going on here Wendell?  Didn't you give the others my script changes?"

        "Wendell"  "I thought I told you that we aren't doing them?!"

        "Fantim" "That's not what [pov] said!"

        "After more arguing between the two it's clear that the production isn't going anywhere and that the window for shooting such a thing was done."

        "As Zanzibar gives you a scathing look you decide it best to just get out of the situation, putting as much distance between you and the studio as possible."

        jump the_search_begins

    else:

        "Shooting continues for a while, the lines flowing into one another as they share a tale of love during the apocolypse."

    "For nearly four hours the entire stage is a flurry of activity as the actors played their roles, stopping only to set the stage for the next act."

    "When you get to the end of the final act Wendell calls cut and says that's a wrap, the three exhausted actors immediately stripping off their costumes and heading over to the craft services table."

    "Wendell invites you into the editing room so that you can see the fruits of yours and his labors."

    "Once the film is loaded in Wendell starts up the first act, watching with a critical eye as everyone gets into their respective places to start the flim."

    if studio_act_one_set == "forest castle":

        "Wendell"  "Mmmmm yes, that's exactly how I imagined the setting, really sets the mood that this is not a modern day setting."

        $ studio_movie_rating += 10

    elif studio_act_one_set == "castle" or studio_act_one_set == "flower castle" or studio_act_one_set == "moonlit lake castle":

        "Wendell"  "Well the castle is definitely there... it's not quite what I envisioned but it does set the scene."

        $ studio_movie_rating += 7

    elif studio_act_one_set == "city castle" or studio_act_one_set == "forest":

        "Wendell"  "Mmmmm... not quite what I was thinking, but I think I could make it work with a little narration over it."

        $ studio_movie_rating += 5

    elif studio_act_one_set == "cave castle" or studio_act_one_set == "skyscraper":

        "The naga seems a bit perplexed on your choice of set, but doesn't seem to say anything as the show begins."

        $ studio_movie_rating += 2

    else:

        "As you look over at the director for his reaction on your set choice you just see him frown and shake his head in dismay... not a good start to the whole thing."

        $ studio_movie_rating += 1

    "Wendell"  "Ah, and now our performance begins!"

    if studio_dragon_costume == "plainswalker":

        "Wendell"  "Mmmmm, good, Fantim definitely has that wild and free feeling to him with that scout outfit."

        $ studio_movie_rating += 10

    elif studio_dragon_costume == "armor":

        "Wendell"  "Not bad, not bad, Fantim seems a bit rigid though in that armor which isn't quite what I had in mind but still works."

        $ studio_movie_rating += 7

    elif studio_dragon_costume == "firefighter" or studio_dragon_costume == "fatigues":

        "Wendell"  "Not sure about the costume for Fantim... but I suppose we could give it a little more modern day twist that they're in."

        $ studio_movie_rating += 4

    else:

        "Wendell frowns slightly as he looks at Fantim and you can tell he is not pleased with the look at all."

        $ studio_movie_rating += 1

    "You watch as the naga's eyes shift from Fantim to Raine, who also just appeared on the scene."

    if studio_gecko_costume == "tribal":

        $ studio_movie_rating += 10

        "Wendell" "And Raine is definitely looking marvelous with that tribalwear, keeps his role as the follower really cemented."

    elif studio_gecko_costume == "plainswalker" or studio_gecko_costume == "armor":

        "Wendell" "Hmmm... while Raine is definitely in the right period there's something off about it... like he's definitely got the right feel but he seems more important than Fantim."

        $ studio_movie_rating += 7

    elif studio_gecko_costume == "naked":

        "Wendell" "Well he's certainly hanging free and loose, though it shows he is the servant of Fantim I would have liked something that indicated the scene."

        $ studio_movie_rating += 4

    else:

        "Wendell frowns as he looks at Raine's outfit, shaking his head before moving on."

        $ studio_movie_rating += 1

    if studio_raine_awake:

        "As Raine performs his lines Wendell comments on how vibrant and expressive he is, something that he has a very hard time getting out of the gecko."

        $ studio_movie_rating += 5

    else:

        "The two continue to perform their lines and then go off screen, which was time for the scene to change."

        "Even though you're not in frame you know its you hoising up the first scene stage to reveal the second one behind it."

    if studio_act_two_set == "cavern":

        "Wendell"  "Ah yes, the deep dark caverns of the underground, the perfect place to hide out from the apocolypse."

        $ studio_movie_rating += 10

    elif studio_act_two_set == "cave castle" or studio_act_two_set == "subterranian skyscraper" or studio_act_two_set == "underground train":

        "Wendell"  "Huh, that is an... interesting addition that you put there on the set."

        $ studio_movie_rating += 5

    else:

        "Wendell"  "Oh... that's not what I wanted at all..."

        "Wendell"  "Did you forget they were supposed to be in a cavern trying to escape the apocolypse?"

        $ studio_movie_rating += 1

    "The movie continues on with Fantim and Raine continuing to perform their lines, then midway through Zanzibar shows up and begins to deliver his performance as well."

    if studio_carno_costume == "alien":

        "Wendell"  "Oh!  He looks absolutely delightful, like a real alien robot!"

        $ studio_movie_rating += 10

    elif studio_carno_costume == "astronaut":

        "Wendell"  "Hmmm... not quite what I had in mind, but it certainly works."

        $ studio_movie_rating += 7

    elif studio_carno_costume == "fatigues":

        "Wendell"  "Well that looks odd... I guess I could make it work though in post."

        $ studio_movie_rating += 4

    else:

        "Wendell looks at the carno's outfit and just shakes his head, not saying a word about it."

        $ studio_movie_rating += 1

    if studio_zanzibar_meatballs:

        if studio_zanzibar_messy:

            "Wendell"  "Well Zanzibar is certainly giving it his all."

            "A few seconds later though the naga is leaning forward, squinting at the monitor before his serpentine snout turns down into a frown."

            "Wendell"  "I told that carno not to eat anything!"

            "You're not sure what he means until he points out stains that can be clearly seen on Zanzibar from where he had wiped sauce on himself."

            "Wendell"  "Well, nothing we can do about it... just have to let the audience assume he's messy."

            $ studio_movie_rating += 2

        else:

            "Wendell" "Well Zanzibar certainly has a pep in his step."

            $ studio_movie_rating += 5

    else:

        "Zanzibar continues to deliver his lines as normal, though every once in a while he looks off-screen to where you believe the craft services table is while rubbing his stomach."

    if studio_dragon_anger:

        "As the scene goes on you happen to notice that Zanzibar and Fantim, keep shooting one another looks, like they're about to fight or something."

        "Wendell"  "What are those two doing?  They're supposed to be happy to see one another since they're going to be saved."

        "It appeared that the effect was not lost on the naga either, hopefully it wasn't enough to ruin the movie though."

    else:

        "The three worked rather well together, everyone playing off of one another very well as the scene drew to a close."

    "After that came the final act, which you saw transitioning with the raising of the final set piece into position."

    if studio_act_three_set == "moonlit subway car":

        "Wendell"  "Stunning, that planet in the background definitely gives you a sense of the apocolypse from a space station."

        $ studio_movie_rating += 10

    elif studio_act_three_set == "subway" or studio_act_three_set == "elevated city train" or studio_act_three_set == "underground train":

        "Wendell"  "Huh... looks more like a subway car than a space station with that background... but we can make it work with the background."

        $ studio_movie_rating += 5

    elif studio_act_three_set == "sunset train" or studio_act_three_set == "idyllic train ride":

        "Wednell"  "It's a little... too happy for me, should have a sense of foreboding in there since the apocolypse just happened."

        $ studio_movie_rating += 3

    else:

        "The naga just shakes his head as he sees the setting you've chosen, obviously dismayed at what was going on in the background."

        $ studio_movie_rating += 1

    "Once the three actors had delivered their lines and ended the scene Wendell sat back, remaining silent for a while you sit there eagerly awaiting his review."

    if studio_act_one_set == "forest castle" and studio_act_two_set == "cavern" and studio_act_three_set == "moonlit subway car":

        "Wendell"  "All the sets were amazingly picked out, I definitely have to hand it to you there."

        $ studio_movie_rating += 10

    else:

        "Wendell"  "There were certainly a few issues with the sets that could have been addressed, but it can't be helped now."

    if studio_dragon_costume == "plainswalker" and studio_gecko_costume == "tribal" and studio_carno_costume == "alien":

        "Wendell"  "The costumes were impeccible too, they all certainly looked the role."

        $ studio_movie_rating += 10

    else:

        "Wendell" "Costumes could have been done with a little bit more thought as well..."

    if studio_pages_found:

        "Wendell" "Fantim certainly seemed on the ball too, didn't even stumble through a single line."

        $ studio_movie_rating += 5

    else:

        "Wendell" "Fantim also stumbled through a few of his lines... probably because he wanted to do his own lines and I told him no."

    if studio_charm_found:

        "Wendell" "Also Zanzibar was incredibly relaxed, last few days he had been a bit shaky and I was starting to wonder about him."

        $ studio_movie_rating += 5

    else:

        "Wendell" "Zanzibar was so nervous on his performance too, which is a shame because I was hoping he would have gotten over whatever was causing that by now."

    "Wendell"  "All in all though..."

    if studio_movie_rating == 100:

        "Wendell"  "It was... absolutely..."

        "Wendell"  "WONDERFUL!"

        "You are quickly wrapped up in the rubber naga's coils before he comes in and kisses you full on the muzzle."

        "Wendell" "I'm going to be the envy of every corrupter in Kajira, and it's all thanks to you!"

        "Wendell" "I can't wait to tell the others, we're going to party all night long!  With you coming along of course!"

        "Even if you wanted to protest the naga was having none of it as he brought you out with him to share the good news with the other actors."

        "Everyone seemed extremely pleased and the alcohol flowed freely, as well as the sex as you all took turns with one another."

        "By morning everyone was exhausted in more than one way, but as Wendell was quick to tell you they would be honoring your arrangement."

        "It took the four little time to go and pack up their things and by the time the sun was in the air they had given you the keys to your new home before leaving with their masterpiece."

        jump corruption_headquarters

    elif studio_movie_rating >= 80:

        "Wendell"  "I say we put on a really good show here!"

        "Wendell"  "I can't wait until that stupid hypnaga sees my movie, he's going to wish that he had let me into his theater..."

        "Wendell"  "Well I think that we've done all we could, now it's time to go out and enjoy the reward for a job well done."

        "You and the naga go out to where the others had already gathered around the snacks table, reveling in the good news the director told them."

        "The party goes into the long hours of the night, with Zanzibar eventually hooking up with you while Wendell took Raine and Fantim with him."

        "By morning the naga was quick to remind you that he remembered his promise and with the three actors they packed up all their things."

        "They were out before the sun was up, Wendell looking back and waving to you as they left the studio that was now your new home."

        jump corruption_headquarters

    elif studio_movie_rating >= 60:

        "Wendell"  "Not to bad... not to bad..."

        "The naga grins slightly and pats you on the shoulder."

        "Wendell"  "While I don't think it would win any film awards it's definitely something to show for all of our hard work on this project."

        "Wendell"  "A deal is a deal though and this should be good, let's go celebrate with the others."

        "You and the naga join in with the others at the party table, talking and having a good time with one another."

        "The night ends early and as promised the four pack up their things and leave you to your new headquarters."

        jump corruption_headquarters

    elif studio_movie_rating >= 40:

        "Wendell"  "It's just... not as good as I would have liked it to be."

        "You can see the disappointment in the naga's face as he screens through it a couple times, editing here and there to try and get it closer to his vision."

        "Wendell"  "I... maybe can do something, but it's going to take a lot of editing."

        "Wendell"  "Maybe I can do some reshoots if I can find some film... but this is going to take a lot of time, so I can't give up the studio to you."

        "The sudden declaration of your hard work being for nothing draws up your ire, but as you get ready to voice your opinion on it Zanzibar opens the door and looks inside."

        "Zanzibar" "Party is waiting for you guys."

        "Wendell" "Sorry Zanzibar, no party for me... nothing to really celebrate here."

        "Zanzibar frowns and calls the others over to ask what was wrong, and you quickly take your leave as you realize you will soon be outnumbered four to one."

        "You make a dash out of the studio and back into the streets of Kajira, avoiding Zanzibar's wrath but losing all that work in the process."

        "Still... there were plenty of other opportunities to find a home, you just needed one of them."

        jump the_search_begins

    elif studio_movie_rating >= 20:

        "Wendell"  "That... wasn't very good at all."

        "You can see the naga is furrowed deep into his own frustration as he looks at the screen, then shoves himself away."

        "Wendell"  "I don't think I can salvage this..."

        "Wendell"  "You should probably go."

        "When you ask about the deal that you had made to get the studio the naga just shakes his head."

        "Wendell"  "I asked you to help me make a movie, not whatever travesty this is."

        "Wendell"  "But the real reason you need to leave is that when Zanzibar finds out about this he's not going to be happy... and you don't want to know what that's like."

        "You find yourself swallowing hard and even though it would mean leaving all your work behind you decide that it's better to take the naga's advice then tangle with an angry rubber dino."

        "As you leave the studio you can hear the carno bellow, causing you to increase your pace until your safely in the streets of the city."

        "Even though that area failed there were still plenty of chances for you to find a place, you just have to try a little harder."

        jump the_search_begins

    elif studio_movie_rating >= 10:

        "Wendell"  "Well, that was garbage..."

        "The naga shakes his head and slithers away from the editing screen, going over to an area where he had put his half-empty liquor bottles."

        "Wendell"  "Maybe it was me, maybe I just didn't give good enough direction..."

        "Wendell takes a particularly large swig from the bottle before looking at you."

        "Wendell"  "It's your fault too though, you should have heeded my instructions better."

        "Wendell"  "Of course now that this movie isn't going to happen you may want to leave... Zanzibar is not going to like hearing all his preparation went to waste and is probably going to take it out on you."

        "You don't need much more prompting then that and decide to leave the studio, making sure not to get caught by the three actors at the table with all the refreshments waiting to hear the bad news."

        "The second you get out of the studio you put as much distance between you and it as possible, heading back into the streets to once more look for a base of operations."

        jump the_search_begins

    else:

        "Wendell"  "That was... without a doubt..."

        "Wendell"  "The WORST movie that has ever been put to film EVER!"

        "The other actors come in as they hear the naga burst into a fit of tears."

        "Wendell"  "It was like you didn't even try to help me!  What was wrong with all of you?!"

        "Raine"  "Hey Wendell, it's alright... it can't be that bad..."

        "Wendell"  "It is!  The costumes were all wrong and the sets didn't make any sense!"

        "Just as you think it might be time to leave you feel a pair of strong hands against your shoulders, looking up to see Zanzibar standing there behind him."

        "Zanzibar"  "What should we do with this one then boss?"

        "Wendell"  "He was the one who ruined everything, he deserves to be punished!"

        "The grin on the rubber carno's muzzle grew wide with that statement, nodding to the crying naga."

        "Zanzibar"  "I think I have just the thing... I have been wanting an assistant for a while now..."

        jump studio_carno_assistant #this is a bad end, go to bad ends.
